Using Help for Management Reporter

The Help content topics for Management Reporter for Microsoft Dynamics ERP have been organised to provide an efficient approach to accessing the information that you need to use Management Reporter. Some functionality of Management Reporter depends on which Microsoft Dynamics ERP system you are using. It may be helpful to also see the Help or user guide for your Microsoft Dynamics ERP system.

Using Help

To open Help in the Management Reporter designer or the Management Reporter viewer, click Help or press F1. The Help pane opens with the Contents tab displayed. You can use the table of contents as a guide or expand the headings to find a specific topic.

The tool bar provides the following functions.

Tool bar Function | Description
Hide | Minimises the Contents, Search, Favourites tabs.
Back | Displays the previous topic viewed in the view pane.
Options | Hide Tabs – Minimises the Help tabs. Back – Displays the previous topic viewed in the view pane. Forward – Displays the next topic when you are viewing a topic that was previously displayed. Home – Displays the topic, ”Using Help for Management Reporter.” Stop – Stops the page from loading. Refresh – Refreshes the topic displayed in the view pane. Internet Options – Opens the Internet Options dialogue box. Print – Opens the Print dialogue box. Search Highlight Off – Prevents keywords from being highlighted. By default, search keywords are highlighted in a topic that is displayed.

Click the Search tab to search the Help for a particular word or phrase. The results of that search include all topics that contain your search keywords. To search for a word relative to another word, click the arrow to the right of the search field and select AND, OR, NEAR, or NOT. At the bottom of the pane, you can indicate whether you want to search previous results, match similar words, or search titles only. Click List Topics to start the search process. To view a particular topic in the list, click the topic, and then click Display.

The Favourites tab is where you can add topics to a list of frequently used or important topics, similar to the functionality of the Favourites menu in a web browser. Click a topic in the Contents tab, and then click the Favourites tab. The topic title that you select is displayed in the Current topic field at the bottom of the pane. Click Add to add it to your Topics list. To delete or view favourite topics, click the topic title in the Topics list, and then click Remove to delete it or Display to view it.

Send comments about this topic to Microsoft Dynamics Content Publishing Team.

Build date: 2013-08-19 [04:07]


Management Reporter overview

Management Reporter for Microsoft Dynamics ERP is an interactive reporting application that financial and business professionals can use to create, maintain, deploy, and view financial statements. It moves past traditional reporting constraints, and lets you enhance your creativity and helps you design a variety of reports efficiently. Communication is stream-lined with the use of interactive notes and instant messaging.

Management Reporter includes native dimension support. Account segments or dimensions are immediately available to select in Management Reporter and does not require additional tools or configuration.

For more information about Management Reporter and your Microsoft Dynamics ERP system, such as news, training, downloads and updates, demos, and additional documentation, go to CustomerSource.

Components

The following components of Management Reporter provide ease of use to create, view, and schedule reports.

Management Reporter Component | Functions
Report Designer | Used to create report building blocks that are combined to define and generate a report. The report wizard guides less experienced users through the design process. Advanced users can create report building blocks from scratch or modify existing building blocks to meet their needs. For more information, see Report Designer interface.
Report Viewer | Used to organise and view reports and supporting files. It also stores the report library. For more information, see Report Viewer.
Report schedules | A user can schedule a single report or a group of reports to generate on a regular basis. For more information, see Schedule reports.
Management Reporter database | This SQL database stores the components, known as building blocks, which are used to generate reports. It also stores report definitions and previously generated reports.
Application service | Controls access to the data provider and provides connectivity to clients. For more information, see Client connections and user preferences.
Process service | Generates the reports that are created and queued by the Management Reporter client.

Information flow

The following illustration shows how Management Reporter fits into the flow of your financial information.

See Also

Building blocks and reports
Security, user roles, and permissions
Report Viewer
Migrating from Microsoft FRx to Management Reporter


What's new in Mangement Reporter 2012

Management Reporter 2012 contains the following new features to help you create, view, and interact with reports to save you time and effort.

New Feature

Description

Report design flexibility

Report Designer features enhanced reporting options for report design:

  • Easily save and resume dimension combinations when designing reports.

  • Control how dimension descriptions are formatted and displayed.

  • Quickly identify accounts or dimensions that have been omitted from report building blocks. For more information, see Missing account analysis.

  • Format headers for rolling forecasts. For more information, see Conditional spanning headers.

Financial report collaboration

The following features help you manage the generation and distribution of reports:

  • Schedule reports to automatically generate on a daily, weekly, monthly, or annual basis. For more information, see Schedule reports.

  • Export to the read-only .XPS format, which provides better document security with digital signatures. For more information, see XPS and Management Reporter.

  • Export to a Microsoft Excel worksheet. For more information, see Excel and Management Reporter.

  • Publish reports to a Microsoft SharePoint or network location. For more information, see Share a report.

  • For easy distribution, you can now create emails that contain links to reports. For more information, see Share a report.

Interactive report viewing

Interactive features have been added to Report Viewer so that you can perform the following:

  • Quickly create a chart based on selected report rows and columns.

  • Locate key features in Report Viewer with enhanced toolbar options.

  • Jump to key areas of the report for fast analysis.

  • Easily find a page in a report.

  • Add comments to important rows in a report version.

  • Copy comments from one version of a report to another version.

  • Initiate an instant message exchange with co-workers using Microsoft Lync 2010 while you are viewing the report.

For more information, see Interactive components in Report Viewer.

Deeper Microsoft Dynamics ERP integration

Integrate data between a Microsoft Dynamics ERP system and Management Reporter to create reports. You can view and work with information from Microsoft Dynamics in financial reports from Management Reporter without affecting the original data in the Microsoft Dynamics ERP system.

The following features are now available for integrations:

  • While you are viewing a report, you can view the source information and transaction detail in the Microsoft Dynamics ERP system. For more information, see Drill to Dynamics.

  • Display or filter on properties of dimensions and transactions to design more precise financial reports.

  • Import company information from a Microsoft Dynamics ERP data into Management Reporter.

For more information about integration options, and reporting features for a Microsoft Dynamics ERP system, see the data integration guide for your Microsoft Dynamics ERP.


Accessibility features in Management Reporter

Microsoft is committed to making its products and services easier for everyone to use. The following topics provide information about the features, products, and services that make Management Reporter easier to use for people with differing abilities:

  • Accessibility features of Management Reporter Help

  • Accessibility features of Management Reporter

Accessibility features of Management Reporter Help

Management Reporter Help includes features that make it accessible to a variety of users that include those who have limited dexterity, low vision, and differing abilities.

Keyboard shortcuts for using the Help window

To do this | Use this keyboard shortcut
Display the Help window | F1
Switch the pointer between the Help topic pane and the navigation pane (tabs such as Contents, Search, and Index) | F6
Change between tabs, for example, Contents, Search, and Index, when in the navigation pane | Alt+underlined letter of the tab
Select the next hidden text or hyperlink | Tab
Perform the action for the selected Show All, Hide All, hidden text, or hyperlink | Enter
Display the Options menu to access any Help toolbar command | Alt+O
Hide or show the pane that contains the Contents, Search, and Index tabs | Alt+O, and then press T
Display the previously viewed topic | Alt+O, and then press B
Display the next topic in a previously displayed sequence of topics | Alt+O, and then press F
Return to a specified home page | Alt+O, and then press H
Stop the Help window from opening a Help topic. This is useful to stop a Web page from being downloaded. | Alt+O, and then press S
Open the Internet Options dialogue box for Microsoft Internet Explorer, where you can change accessibility settings. | Alt+O, and then press I
Refresh the topic. This is useful if you have linked to a Web page. | Alt+O, and then press R
Print all topics in a book or a selected topic only | Alt+O, and then press P
Close the Help window | Alt+F4

Accessibility features of Management Reporter

In addition to the accessibility features and utilities found in Microsoft Windows, Management Reporter provides the following features to make it more accessible for people with differing abilities:

  • Keyboard shortcuts in Report Designer

  • Keyboard shortcuts in Report Viewer

Note Note

The information in this section applies only to users who license Microsoft products in the United States. If you obtained this product outside the United States, you can use the subsidiary information card that came with your software package or visit the Microsoft website for a list of telephone numbers and addresses for Microsoft support services. You can contact your subsidiary to determine whether the type of products and services described in this section are available in your area. Information about accessibility is available in other languages, including Japanese and French.

Keyboard shortcuts in Report Designer

To do this | Use this keyboard shortcut
Toggle between the navigation pane and the view pane | F6
Select multiple, contiguous items in the navigation pane | Shift+Up Arrow or Shift+Down Arrow
Go to Report Definitions | Ctrl+1
Go to Row Definitions | Ctrl+2
Go to Column Definitions | Ctrl+3
Go to Reporting Tree Definitions | Ctrl+4
Go to Report Groups | Ctrl+5
Go to Report Schedules | Ctrl+6
Go to Security | Ctrl+7

Keyboard shortcuts in Report Viewer

To do this | Use this keyboard shortcut
Go to Report Library | Ctrl+1
Go to Report Data | Ctrl+2
Toggle between the navigation pane and the view pane | F6
Select the first cell in a report | Ctrl+Home
Select the last cell in a report | Ctrl+End
Select a row in a report | Shift+Spacebar
Select a column in a report | Ctrl+Spacebar
Move to the next page in a report | Ctrl+Alt+right arrow
Move to the previous page in a report | Ctrl+Alt+Left Arrow
Open the next report | Alt+Right Arrow
Open the previous report | Alt+Left Arrow
Drill to Dynamics | Alt+D
Add a comment to the highlighted cell in a report | Alt+C
Create a Quick Chart | Ctrl+Q
Send an instant message from a report | Ctrl+M


Frequently asked questions

The following information is intended to provide you with efficient and effective solutions for a variety of frequently asked questions. The following topics are addressed:

  • How do I reset my Management Reporter password for a company after it expires?

  • How do I change the date format on a report?

  • How do I view log files?

  • How do I enter the registration or licence key?

  • Why do I receive an error when I try to create a new Management Reporter user?

  • When I select an output path other than the report library, why do I receive a permissions error message

  • Why do I receive an ACE error when linking or exporting to Microsoft Excel?

  • Why do I receive an error when I try to change companies in Management Reporter?

  • Additional resources

How do I reset my Management Reporter password for a company after it expires?

If you have saved your credentials for logging on to a company and those credentials have expired, the credentials must be reset.

  1. Open Report Designer. From the Company menu, click Companies.

  2. Select the company for which credentials have expired, and then click Credentials.

  3. Enter the new credentials for logging on to the company.

  4. Click OK to save settings.

How do I change the date format on a report?

Management Reporter uses the date format that is selected in the Region and Language Formats settings on the client computer. For example, if you specify Long date in a Management Reporter header and you do not want the day of the week to be printed in the header, click Start, select Control Panel, and then click Region and Language. Select a different Long date option that does not include the day of the week setting (dddd).

The default date setting for Windows 7 and Windows Server 2008 English (United States) is dddd, MMMM dd, yyyy, where dddd represents the day of the week.

Note Note

When you change these settings, the new date formats are displayed in the Examples area of the Region and Language Formats dialogue box. These settings are the same as what is displayed in Management Reporter headers.

How do I view log files?

The log files contain more detail than the error messages that are displayed for users and are more informative for troubleshooting. You can view Management Reporter log files by using Windows Event Viewer or Windows Explorer. For more information, see View log files.

How do I enter the registration or licence key?

The Management Reporter licence key is provided by your Microsoft Partner and is usually entered at the time of installation. After it is entered, it displays the company name, expiration date, and number of users who can be assigned to the roles of administrator, designer, generator, and viewer. Management Reporter has an evaluation period of 90 days. During that time, the installation user can assign a total of five users, which includes the installation account, two users who have the role of administrator or designer, and two users who have the role of generator or viewer. If Management Reporter is not registered after the 90-day evaluation period, a dialogue box will prompt you for a licence key. If you do not enter a licence key, you can no longer use Management Reporter.

To enter the licence key, open Report Designer. On the Tools menu, click Registration to open the Registration dialogue box. Enter the licence key in the Licence key field, and then click Validation.

For more information, see the Management Reporter installation guide.

Why do I receive an error when I try to create a new Management Reporter user?

The licence key that you purchase for Management Reporter grants you access to a specific number of user roles. When you have exceeded the total number of licensed users allowed by the licence key, you must inactivate other users or purchase additional licences in order to add more users. See your Microsoft Partner for more information about licences and licence configurations.

When I select an output path other than the report library, why do I receive a permissions error message?

Reports in Management Reporter are generated on the server computer rather than the client computer. When a report is generated, the output location must follow a \\server\share path, not a file address on a local computer (C:\files path). Additionally, the Management Reporter process service requires permission to any folder on the network that is being written to or read from. If the process service does not have access to the output location, it cannot generate reports to that folder.

Why do I receive an error when linking or exporting to Microsoft Excel?

To connect to Microsoft Excel, the server computer must have Microsoft Office or additional components installed. See the Management Reporter installation guide for more information.

Why do I receive an error when I try to change companies in Management Reporter?

When you log on to a company in Management Reporter, you are provided credentials for Management Reporter to access information in the Microsoft Dynamics ERP database. If you encounter an error when logging on to a company, verify the following information:

  • The credentials that you provide in Management Reporter match the credentials required for your Microsoft Dynamics ERP system.

  • The company information is stored on the server that you are accessing.

Verification procedures and required logon credentials will vary, depending on your Microsoft Dynamics ERP system. See the data provider guide for your ERP system for more information.

Additional resources

More information and troubleshooting solutions are also shared on the following Microsoft Dynamics ERP communities:

  • Management Reporter for Microsoft Dynamics ERP product page

  • Management Reporter for Microsoft Dynamics ERP Download Page

  • Management Reporter for Microsoft Dynamics ERP Known Issues

  • Microsoft Dynamics product communities and user groups

  • Microsoft Dynamics CPM blog


Account systems

Management Reporter includes native dimension support, which means that the application works the same whether it is connected to a fully-qualified account system or a dimension-based system. New account segments or dimensions are immediately available in Management Reporter without requiring any additional tools or configuration.

Fully qualified account system

Dimension-based account system


Fully qualified account system

A fully qualified account contains a value for an account or natural segment, such as Cash or Sales, in addition to values for additional segments, such as Location, Division, and Department. In Management Reporter, these additional segments are referred to as the responsibility segments, and each of the segments is a fixed length.

The following illustration shows how the natural and responsibility segments combine to form a fully qualified account.

Account structure in Dynamics

The difference between a natural segment for a fully qualified account and a responsibility segment is important to the use of Management Reporter. Typically, users specify the natural segment values in a row definition and the responsibility segment values in a reporting tree definition. When reports are generated, these values are combined in various ways to extract specific financial data records from a Microsoft Dynamics ERP system.

See Also

Dimension-based account system


Dimension-based account system

A dimension-based account system includes an account dimension and other dimensions that can represent details, such as customers, projects, departments, or other areas of importance to your company. Each dimension can be variable in length. Typically, users specify the natural dimension values in a row definition and the responsibility dimension values in a reporting tree definition. When reports are generated, the values are combined in various ways to extract specific financial data records from your Microsoft Dynamics ERP system.

Dimension values

Management Reporter row definitions and reporting tree definitions support the use of special characters as a way to identify multiple dimension values without naming each item individually. The following table describes the characters that are supported for specifying dimension values.

Character

Function for Row Definitions

Function for Reporting Tree Definitions

Ampersand (&)

In the Dimension row of the Insert Rows from dialogue box, identifies the dimension from which to bring values into the row definition. These values become the basis of the rows in the generated report.

Ampersands are typically used for the account dimension.

Not used in a dimension-based system.

Number sign (#)

In the Dimension row of the Insert Rows from dialogue box, identifies the dimensions to ignore when bringing values into the row definition.

Number signs are typically used for the responsibility dimensions.

Not used.

Plus sign (+)

Not used.

In the segments area of the Insert Reporting Units from dialogue box, identifies the dimensions from which to bring values into the row definition. These values become the reporting units in the reporting tree.

Digits (0-9)

In the Range rows of the Insert Rows from dialogue box, identify the first and last dimension values to bring into the row definition.

In the Link to Financial Dimensions column of a row definition, identify the dimension values to include in the report for each row.

In the From Account and To Account columns of the Insert Reporting Units from dialogue box, identify the first and last dimension values to bring into the reporting tree definition.

In the Dimensions column of a reporting tree definition, identify the dimension value to include in the reporting unit for each row.

Letters (a-z, A-Z)

Used in the same ways as digits.

Question mark (?)

A placeholder for a single character in a dimension value. For example, the value 22?? indicates that Management Reporter should insert the total financial amount for all dimension values in the range from 2200 through 2299 into the generated report.

Asterisk (*)

A placeholder for one or more characters in a dimension value. For example, for a colour dimension, the value GR* indicates that Management Reporter should insert the combined financial amount for the GREEN and GREY dimension values into the generated report.


Advanced formatting

Advanced formatting

Management Reporter provides several advanced formatting functions for when you design reports.

Function | Description
Dimension filter | To access specific sets of data, you can use dimensions in the row definition and column definition. Many reports are built to use just the natural account in the row format. The rows can also be modified to include dimension values. Dimension filters in the column definition are used to access specific dimension values.
Reporting unit restriction | Set up a report row to display only information that is linked to a specific reporting unit. For more information, see Restrict a row to a specific reporting unit.
Non-printing (NP) rows | Non-printing rows are helpful in many reports. If several calculations are needed to obtain a value, these calculations can be hidden on the printed report. Non-printing rows are also helpful for troubleshooting report designs and for advanced cell placement.
Column restriction | The column restriction within the row definition is helpful for hiding values that are only relevant on some rows of the report. When percentage calculations are performed on a row, this column restriction prevents total columns or other columns from printing where these numbers do not apply. For more information, see Column Restriction cell in row definitions.
IF/THEN/ELSE statement | Modify calculations in a row definition or a column definition. For more information, see IF/THEN/ELSE statements in a row definition and IF/THEN/ELSE statements in a column definition.

Advanced cell placement

Advanced cell placement, also called forcing, involves the placement of specific values into specific cells. The most common example of forcing is moving the correct balance in a Cash Flow Statement. Forcing can be used to:

  • Move values from Microsoft Excel into specific cells.

  • Hard code specific values into a report.

  • Modify signs by copying a value from a previous cell and multiplying * -1.

Note Note

In many cases, you need to configure your report definition to perform column calculations before row calculations. To select this option, complete the following procedure:

  1. In Report Designer, open the report definition.

  2. Click the Settings tab.

  3. Under Calculation priority, select Perform column calculation first and then row.

Designing the report

When designing your report, create all of the detail rows first to ensure that values are being pulled in as you expect, and then add NP (No Print) Format Overrides to suppress the detail that makes up the final values.

Important Important

When you use the CAL format code in the row definition, you cannot drill down into transaction detail.

The key concept in forcing is to use a formula of destination column = originating column (dot) row code. Separate any additional placements for that row by a comma and a space and then add the next column reference. For example:

[Destination Column for this Row]=[Source Column].[Source Row]

C=C.100, F=D.100

Examples

The following examples show how to format the row definition and column definition for forcing for a basic cash flow report (Example 1), for forcing a statistical report (Example 2), and the resulting reports.

Example 1: Basic forcing

The following is an example row definition using basic forcing.

basic forcing row def example

The following is an example column definition using basic forcing in the row.

adv formatting example

The following is the generated report using the previously defined row and column definitions.

Example 2: Statistical reports

The following is an example row definition using forcing for a statistical report.

advanced formatting example

The following is an example column definition using forcing for a statistical report.

advanced formatting example

The following is the generated report using the previously defined row and column definitions.

advanced formatting example


Migrating from Microsoft FRx to Management Reporter

If you are migrating from Microsoft FRx to Management Reporter, see the Migration Guide on the Management Reporter for Microsoft Dynamics ERP Installation, Migration, and Configuration Guides web site.

See Also

Management Reporter overview


Management Reporter administration

When Management Reporter is installed, the user doing the installation is assigned the role of administrator. The administrator has permission to do the following tasks:

  • Create users and groups and assign appropriate permissions. For more information, see Security, user roles, and permissions, Report library security, Manage users and Manage user groups.

  • Add companies and modify company information. For more information, see Maintaining company information (data provider).

  • Select a default company. For more information, see Select a default company.

  • Configure connections to the Microsoft Dynamics ERP system. For more information, see Client connections and user preferences.

  • View log files. For more information, see View log files.

  • Design and view reports. For more information, see Building blocks and reports and Report Viewer.


Security, user roles, and permissions

Management Reporter uses several levels of security to help ensure that only authorised users can perform tasks in Management Reporter, modify the building blocks that are used for reports, and view the reports that are generated to the report library.

For information about securing individual reports or folders, see Report security options.

User security and permissions

Users in Management Reporter are assigned to one of four roles: administrator, designer, generator, or viewer. Some security permissions are limited to certain roles, but you can also modify security permissions for individual users, or assign users to a group and then modify security for the entire user group.

By default, all new users are assigned to the role of viewer.

For more information, see Users in Management Reporter.

Note Note

Depending on the Microsoft Dynamics ERP system that you are integrating with, user roles might automatically be assigned, based on user permissions in the ERP database. For more information, see the integration guide for your Microsoft Dynamics ERP system.

Report Designer security

Security settings in Report Designer are managed through company access and protected building blocks.

To access information for a specific company, you must be granted access to that company by an administrator in Management Reporter. For more information, see Manage access to a company and Reset password for company access.

You can also protect individual building blocks from modifications by using a password. Other users cannot modify the protected building block, but they can still view it and use to generate reports. For more information, see Lock a building block.

If you are using a reporting tree, you can restrict access to specific reporting units in the tree, and prevent certain users or user groups from accessing the reporting unit. For more information, see Restrict access to a reporting unit.

Report library security

In Report Viewer, security can be set up for individual folders, reports, and report groups in the report library. You can store reports in a public folder that all Management Reporter users can access, or you can limit folders, reports, and report groups to specific users or user groups. You can define security settings only for folders that you are granted access to by an administrator in Management Reporter.

For more information, see Report library security and Change report library permissions.

See Also

Report library security
Reset password for company access
Lock a building block
Users in Management Reporter
Manage access to a company
Report security options


Users in Management Reporter

Security for Management Reporter ensures that only authorised users can access the program and limits the tasks that each user can perform. An administrator role is created at the time of installation, and the user assigned to the role of administrator can create and manage other users and user groups.

Note Note

To manage security for users, user groups, and companies, open Report Designer, and on the Go menu, click Security.

User roles

Users are assigned one of four roles: administrator, designer, generator, or viewer. By default, all new users are assigned the role of viewer. Before you set up new users, some planning is required. List the tasks that each user performs, and assign the role that is appropriate for each user. By default, the roles can perform the following tasks.

Role | Report Designer tasks | Report Viewer tasks
Administrator | The administrator is allowed full access to all tasks in Report Designer. | The administrator is allowed full access to all tasks in the Report Viewer.
Designer | The designer can design, generate, edit, view reports and report building blocks, and schedule when reports are generated. | The designer can delete, edit, create folders, rename reports and folders, export reports, and view reports that the designer has been granted access to.
Generator | The generator can generate reports and to modify parameters for reports. | The generator can create and rename folders, view, delete, edit, rename, and export reports that the generator has been granted access to.
Viewer | The viewer is not granted access to Report Designer. | The viewer can view and export reports that the viewer has been granted access to.

User groups

You can create user groups and grant access to a company based on groups. This allows you to grant users access to many companies without having to change each user's permissions. You can create a report and select one group, instead of selecting dozens or hundreds of individual users. For example, instead of selecting each manager in a company, you can create a Managers group and then add managers to the group.

You can grant group access to reporting units in reporting tree definitions. You can also grant group access to a report library location.

For more information, see Manage user groups.

Permissions

Management Reporter defines the following permissions. Each of these permissions is associated with one or more roles.

Permissions | Description | Roles Allowed
Generate | Allows you to generate reports from Report Designer to include all output. | Administrator, Designer, Generator
Exporting reports | Allows you to export and print from Report Viewer. | Administrator, Designer, Generator, Viewer
Create reports | Allows you to create rows, columns, trees, and report definitions in Report Designer. | Administrator, Designer
Report library administration in Management Reporter Report Viewer | Allows modifications to the security settings (view, edit, create, and delete access) on folders, items, and report versions in the report library. | Administrator
Dimension set access | Allows modifications (create, edit, and delete) to dimension sets, and to view dimension sets from the Edit menu while you are viewing a row definition. Users without this permission can see the list of dimension sets and use them in reports, but cannot change them. | Administrator, Designer
All companies access | Allows you to generate reports and to access the data for all companies in Management Reporter. Users without this permission can be granted access to specific companies on the Company Access tab. Users without access to any company cannot log on to Management Reporter. | Administrator
Company administration | Allows modifications (create, edit, and delete) to companies, and to view companies from the Company menu. Users without this permission can see the list of companies, but cannot change them. | Administrator
Building block administration | Allows modifications (create, edit, and delete) to building block groups and to view building block groups from the Company menu. Users without this permission can see the list of building blocks, but cannot change them. | Administrator, Designer
Security administration | Allows modifications (view, edit, create, and delete for users, groups, and companies) to security settings in Report Designer. | Administrator
Undo building block checkout | Allows you to undo a building block checkout and to view the list of building block checkouts from the Tools menu. Users without this permission can see the list of building block checkouts, but cannot change them. | Administrator
Unprotect protected building blocks | Allows you to unprotect building blocks and to unprotect the building blocks from the Tools menu while you are viewing a building block. Users without this permission can protect a building block that they have modification access to, but they cannot unprotect any building blocks. | Administrator
Report queue administration | Allows you to clear and view all reports in the Report Queue Status dialogue box. | Administrator

See Also

Manage users
Manage user groups
Security, user roles, and permissions


Manage users

You must have the role of administrator to create user accounts and assign the appropriate permissions for a user’s work functions, add a user to a group, and provide access to specific companies. The administrator can also inactivate or delete a user account.

Windows authentication verifies a user’s existing Windows credentials to allow access to Management Reporter. Rather than entering a user name and password, a user can click OK in the connection dialogue box.

Security note Security Note

Two levels of security are used in Management Reporter. Management Reporter always refers to a user’s Windows authentication when security is discussed. Windows users are added, as allowed, to use the application. However, to log on to a company and access the data that is needed to create reports, a user must also be set up as a valid user in the Microsoft Dynamics ERP system.

Create a user account

A user cannot use Management Reporter until they are set up as a valid user. As part of Management Reporter security, an administrator must assign a role for a user before the user can generate or view reports within Management Reporter. For more information about roles, see Users in Management Reporter.

Note Note

Some data provider integrations can create user accounts in Management Reporter based on user permissions in the Microsoft Dynamics ERP system. For more information about user roles and data integrations, see the data integration guide for your Microsoft Dynamics ERP system.

  1. Open Report Designer. On the File menu, click New, and then click User to open the New User dialogue box. You can also select Security in the navigation pane, right-click in the results pane, and then select New User.

  2. On the General tab, in the User name field, type the domain and user name of the user to add, or click Search to browse for users.

  3. In the Management Reporter assigned role field, select a role for the user in Management Reporter. For more information about roles, see Users in Management Reporter.

  4. To grant permission to modify building blocks that are part of a report schedule, select the Edit scheduled building blocks check box.

  5. To add this user to a group, click the Groups tab. In the Member of list, select the Access check box next to the group name or names to associate with this user. To remove access, clear the Access check box or boxes.

  6. To grant access to companies, click the Company Access tab. In the Access column, select the check box next to each company that the user should have access to. The Inherited from group check box indicates any companies that the user inherits access to based on the user group settings.

  7. Click OK to save the new user settings.

Modify a user account

  1. Open Report Designer. In the navigation pane, click Security, and then click Users.

  2. Right-click a user name and select Modify User to open the Modify User dialogue box.

  3. Change the appropriate settings.

  4. Click OK.

Inactivate a user account

You can inactivate a user account without deleting the user information in Management Reporter. This can be helpful if you have a limited number of Management Reporter licences and you want to temporarily allow access to another user.

  1. Open Report Designer. In the navigation pane, click Security, and then click Users.

  2. Right-click a user name and select Modify User to open the Modify User dialogue box.

  3. On the General tab, select the Account is disabled check box.

  4. Click OK.

Delete a user account

  1. Open Report Designer. In the navigation pane, click Security, and then click Users.

  2. Right-click a user name, and then select Delete.

  3. Click Yes to permanently delete the user account.

See Also

Security, user roles, and permissions
Manage user groups
Manage access to a company


Manage user groups

Assigning users to a group allows a Management Reporter administrator to create access settings that are tailored to specific work functions. Members of a user group inherit the permissions assigned to the group. This approach helps to minimise the maintenance activities for user accounts.

Security note Security Note

The administrator can use groups to prevent or permit user access to certain companies or specific folders or sets of data within the report library.

Create a group

  1. Open Report Designer. On the File menu, click New, and then click Group.

  2. Enter a unique name and description for the user group.

  3. To add a user to the group, click Add, and then select the users to add to the group. To select more than one name, hold down the Ctrl key as you select user names.

  4. To select group access to companies, click the Company Access tab, and then select the Access check box for each company that members of the group should have access to. All users in a group inherit access to the selected companies.

  5. Click OK to save the group settings.

Modify a group

  1. Open Report Designer. In the navigation pane, click Security, and then click Groups.

  2. Double-click a group name to open it.

  3. Modify any settings.

  4. Click OK to save the group settings.

Delete a group

  1. Open Report Designer. In the navigation pane, click Security, and then click Groups.

  2. Right-click a group name, and then click Delete.

  3. Click Yes to permanently delete the group.

See Also

Security, user roles, and permissions
Manage users
Manage access to a company
Report library security


Report library security

To maintain report library security, by default, only users who have the role of administrator can generate or view reports in the root library folder. Other users and groups must be granted permission to view, create, edit and delete an item in the report library. You must have the role of administrator to grant or modify these user and group permissions. For more information about how to change user and group permissions to the report library, see Change report library permissions.

Because all users are assigned to the Public folder, the administrator can change the default location of generated reports to be the Public folder, instead of granting various permissions to each user and group for access to the report library folder. For more information, see Everyone group and Public folder.

For more information about what a user may see in the report library at different security levels, see MSDN Blog (Dynamics Corporate Performance Management).

Security and user groups

When validating a user’s access to a folder or report, the user’s group memberships are considered. For example, if you grant access to a report in the library to a group, and then later add users to the group, the new users will gain access to the existing report. Alternatively, if a user is removed from a group, that user will no longer have access to the report that is provided by the security group. For more information about how to add and delete users and groups, see Manage users and Manage user groups.

Everyone group and Public folder

By default, new users are added to the Everyone group. This is a system group and cannot be modified. There is also a Public folder that can be accessed by all users who are included in the Everyone group. By default, generated reports are sent to the report library. Users can change to this public folder location to generate reports because all users have access to it. If the Public folder is not used, it can be renamed or deleted.

Granting permissions

A user with the role of administrator can grant a user or a group permissions to all of the report library, or permissions to specific folders, reports, report versions, or external documents. If you grant permissions to all of the report library, those permissions cascade down into all folders, reports, and external documents in the report library. Similarly, if you grant permissions to a folder, those permissions cascade down into the subfolders, reports, report versions, and external documents for the folder.

Access to some menu commands in Report Viewer requires a combination of the correct Management Reporter role and the correct permission on the folder in the report library.

By default, the report library and all its folders and subfolders are visible to all Management Reporter users. Even though all users can see the names of all folders and subfolders in the report library, users can open and view only the reports and documents that they have view permissions for.

For reporting trees, report library security works together with unit security. For example, if you grant user permissions to individual units in a reporting tree in Report Designer, that user is automatically granted permission to that report in the report library. In other words, if you grant permissions to a reporting tree in Report Designer, you do not have to grant those permissions again after the report is generated.

For details about how to change user and group permissions, see Change report library permissions.

Show Inherited Permissions option

The Report Library Permissions dialogue box, which an administrator modifies to grant user and group view, edit, create, and delete permissions to report library objects, has an option called Show inherited permissions. This option shows or hides permissions that are inherited by the selected item, such as a report library folder, report, report version, or external document.

When the Show inherited permissions option is not selected, only permissions granted specifically for the selected object appear.

When the Show inherited permissions option is selected, permissions granted specifically for the selected report or item appear, in addition to permissions that have been inherited from a group, role, or folder. If permission is inherited from more than one folder, each folder location is displayed separately. For more information about how to access the Report Library Permissions dialogue box, see Change report library permissions.

See Also

Security, user roles, and permissions
Change report library permissions
Select user preferences


Change report library permissions

To give access to the contents of the report library to a user or a user group, you must have the role of administrator within Management Reporter. The administrator can grant View, Create, Edit, and Delete permissions for the entire report library or for just an item within it, such as a folder, a report, a version of a report, or an external document to users.

Add report library permissions to a user or group

  1. In Desktop Viewer, click Report Library in the navigation pane.

  2. Open the Report Library Permissions dialogue box in one of the following ways:

    • Right-click a report library item, such as a report, and then click Report Library Permissions.

    • Click the permissions icon in toolbar.

    • On Tools menu, click Report Library Permissions.

  3. In the Report Library Permissions dialogue box, select Show inherited permissions to view inherited permissions from the report library or other library items.

  4. In the upper pane, select the report or document to modify permissions for.

  5. Click Add.

  6. In the Add Users or Groups dialogue box, select the user or user group to add. To select more than one user or group, press Ctrl as you select users or groups.

    Note Note

    If a user or group does not appear in the Add Users and Groups dialogue box, use Management Reporter security to add the user, and then return to Desktop Viewer to add permissions for the users and groups. For more information, see Manage users and Manage user groups.

  7. Click OK to close the Add Users or Groups dialogue box.

  8. To modify the View, Edit, Create, or Delete permissions for individual users or groups, select or clear those options for a user or group in the lower pane of the Report Library Permissions dialogue box.

Note Note

Some permissions are defined by default, depending on the user's assigned role. These options cannot be changed. For more information about user roles, see Users in Management Reporter.

Modify report library permissions from a user or group

  1. In Desktop Viewer, click Report Library in the navigation pane.

  2. Right-click a report library item, such as a report, and then click Report Library Permissions.

  3. To view inherited permissions, select Show inherited permissions.

  4. To modify access to one item in the report library, select the item in the upper pane of the Report Library Permissions dialogue box, and make the appropriate modifications to the users and groups listed in the lower pane.

  5. To modify access to all of the contents of the report library, select Library in the upper pane, and make the appropriate modifications to the users and groups listed in the lower pane.

  6. To remove access to an item in the report library, select the item in the upper pane. The users and groups that have permission to that report are displayed in the lower pane. Select a user or group in the lower pane, and then click Remove.

    A remove verification message is displayed. Click OK to remove the permission for the user or group.

  7. Click OK to close the Report Library Permissions dialogue box and save settings.

See Also

Report library security
Maintain report versions
Delete report library items
Insert external files into the report library
Move a folder, report, or building block
Rename a folder, report, or building block


Reset password for company access

Depending on your company’s security policy, administrators often set an expiration date for a user’s password. If the credentials that you use to access company data have expired, or you save your credentials to access company data and must refresh those credentials, you must enter the credentials for that company again.

Reset your password for company access

  1. Open Report Designer. From the Company menu, select Companies.

  2. In the Companies dialogue box, click the company name, and then click Credentials.

  3. In the Connect to dialogue box, type the user name and password. To avoid having to enter these credentials every time that you log on to a company, select Save my credentials.

  4. Click OK.

See Also

Security, user roles, and permissions
Change report library permissions
Lock a building block


Lock a building block

You can create a password to protect and lock a building block. Doing so adds a level of security to a report component without securing the entire system. This can protect building block information that is very important to your month-end reporting process.

A user in any role can protect a building block; however, a protected component is always available to users in a read-only capacity. Users can open, change, and save the protected component with a new name. A user who has the role of administrator can always access and change a protected building block.

To use the locking function from any report building block, click the Protect/Unprotect icon in the toolbar.

Protect a building block

  1. In Report Designer, open the report component to protect, such as a row definition, column definition, report definition, or reporting tree definition.

  2. In the menu, click the Protect/Unprotect icon to open the Protect dialogue box.

  3. Type and confirm a password, and then click OK.

See Also

Report library security


Maintaining company information (data provider)

The data provider is the mechanism used to access data from the Microsoft Dynamics ERP system. When a company is imported into Management Reporter, it is associated with the company data in the Microsoft Dynamics ERP system. You must specify a default company, which is the company whose data is accessed when you create and generate reports. Additional companies can be defined, as needed.

Create a company profile

To access company information in Management Reporter, the company must be imported from the Microsoft Dynamics ERP system into Management Reporter. Only a Management Reporter administrator can import company information.

For more information about importing company information, and for import procedures, see the Management Reporter installation guide and the data integration guide for your Microsoft Dynamics ERP system.

Modify a company profile

  1. Open Report Designer. On the Company menu, click Companies.

  2. In the Companies dialogue box, select a company, and then click Modify.

  3. In the Modify Company dialogue box, change the values of the settings, as needed. For information about the company information settings, see Description of company definitions.

  4. Click OK to return to the Companies dialogue box, and then click Close.

    Note Note

    Management Reporter automatically saves the company information when you close the Companies dialogue box.

Description of company definitions

The following table describes the fields that are displayed in the company definition.

Field

Description

Company name

A unique name for the company. This name can be printed on reports.

This field is based on the company information in the Microsoft Dynamics ERP source system and cannot be modified.

Company description

A short description of the company. This description can be printed on reports.

This field is based on the company information in the Microsoft Dynamics ERP source system and cannot be modified.

Source system

The Microsoft Dynamics ERP system that provides real-time financial data that is associated with the company.

Building block group

A collection of definitions for rows, columns, reporting trees, dimension sets, and reports. Each Management Reporter company can have its own building block group, or several companies can share a building block group. For information about building block groups, see Create and assign a building block group.

Regional options

The regional value identifies the region and currency symbol that is used to display the monetary amounts for the company. The currency symbol is the default symbol for the company and is used for every amount. A row or column definition can be used to override the symbol for an amount.

Period description

The period description appears in the header of a report. For example, if you enter Month Ending in the Period description box, the report header for December 2011 would be For the Month Ending December 31, 2011.

If you enter the description in uppercase, the whole date line is printed in uppercase in the report.

Note Note

Management Reporter accesses the regional settings of the Windows operating system for the period description information. For example, if you specify Autotext of @DateLong and the day of the week is displayed in your report headers but you do not want to display the day of the week, you must change the operating system regional settings and remove dddd (day of the week) from the Long Date definition.

Period description (plural)

The plural period description appears in the headers of reports that cover multiple reporting periods. For example, if you enter Months Ending in the Period description (plural) field, the report header for March 2012 would be For the Three Months Ending March 31, 2012.

XBRL entity

The XBRL entity specified is used to create an XBRL instance document. For more information about XBRL entities, see Create and maintain XBRL entities.

See Also

Select a default company


Select a default company

If you have multiple company profiles, you must select one of the companies as the default company. Management Reporter uses the data files and the appropriate general ledger data from the default company to build row definitions, column definitions, reporting tree definitions, and to generate financial reports. By default, the company description in the report definition appears on all reports that are created in Management Reporter.

Note Note

A company cannot be selected as a default company until you have configured your Microsoft Dynamics ERP system. For more information about configuring the connection to your system, see the data provider documentation for your Microsoft Dynamics ERP system.

Select a default company

  1. In Report Designer, close all building block definition windows that are open.

  2. On the Company menu, click Companies.

    The Companies dialogue box displays a list of existing companies.

  3. Select a company, and then click Set As Default. A check mark appears next to the default company.

    Note Note

    If an existing company does not appear in the Companies dialogue box, you do not have permission to access that company.

See Also

Maintaining company information (data provider)


Manage access to a company

A user who has an administrator role can grant or deny access to companies in Management Reporter.

Security note Security Note

Granting or denying access in Management Reporter only prevents users from logging into a company or generating report data from a company in Management Reporter. Your Microsoft Dynamics ERP system may also have additional security measures to grant or prevent access to this data.

Manage user and group access to a company

  1. Open Report Designer. In the navigation pane, click Security, and then click Companies.

  2. Double-click a company name to open the Modify Company Access dialogue box.

    • To add a user or group, click Add. In the Add Users and Groups dialogue box, select one or more users or groups. To select more than one user or group name, hold down the Ctrl key as you select the user or group name.

    • To remove a user, select the user name, and then click Remove.

  3. Click OK.

Tip Tip

You can also set up multiple groups to manage security. A group can be used to manage multiple users who have access to specific companies or to specific groups of companies. For more information, see Manage user groups.

See Also

Security, user roles, and permissions
Manage users
Manage user groups
Report library security


View log files

Management Reporter provides client and server logs to disk and to Windows Event Viewer so your IT support staff can analyse technical information and troubleshoot error messages. The logs display error messages about the system, such as building blocks that were not imported, and provide details and direction regarding errors that occur in the application. Log files can be viewed in Windows Event Viewer or in Windows Explorer.

To open log files in Windows Event Viewer, click Start > Control Panel > System and Security > Administrative Tools > Event Viewer. In the navigation pane, expand the Applications and Services Logs node to locate Management Reporter log files.

In Windows Explorer, the log files are stored in the following location: C:\Users\UserName\AppData\Local\Microsoft\Management Reporter. If the AppData folder is not displayed, click Organise in Windows Explorer, select Folder and search options, and then click the View tab. In the Advanced settings section of the Folder Options window, select Show hidden files, folder, and drives, and then click OK.

Log files

The following log files are created on the client computer as a result of activity in Report Designer, Report Viewer, and the migration process on the client computer.

Log file

Description

Location

Report Designer

The Report Designer log file contains detailed information about errors encountered regarding the administration of users and of the reports you created.

C:\Users\UserName\AppData\Local\Microsoft\Management Reporter\ManagementReporterDesigner.log

Report Viewer

The Report Viewer log file contains detailed information about errors that occur as you are using the report viewer.

C:\Users\UserName\AppData\Local\Microsoft\Management Reporter\ManagementReporterViewer.log

Migration

The Management Reporter migration log file contains details about all migration stages and steps. This includes messages about errors that occurred during the migration process.

This log file is created only if you have migrated data from Microsoft FRx. For more information, see Migrating from Microsoft FRx to Management Reporter.

C:\Users\UserName\AppData\Local\Microsoft\Management Reporter\ManagementReporterMigration.log

Additional log files for the application service and process service are located on the server where Management Reporter is installed.


Client connections and user preferences

As a user in Management Reporter, you can modify server connections, refresh cached data, and set user preferences to accommodate personal preferences. See the following topics for details.

Configure your server connection

Select user preferences

Refresh cached financial data


Configure your server connection

You can configure a server connection to a remote or local server in Report Designer or Report Viewer. For example, you might need to change a configuration when Management Reporter server components have been installed on a new server. When you change the connection in Report Designer, it is updated it in Report Viewer as well.

Configure the server connection in Report Designer

Whenever you change a server connection, Report Designer starts using the modified connection without restarting the application. Close all building blocks before you begin.

  1. In Report Designer, select the Tools menu, and then click Connection.

  2. In the Connection dialogue box, type the application server address (URI) for the connection in the Server field.

    A fully-qualified Management Reporter Server URI follows this format: Protocol://destination:port. For example: http://mrservermachine:4712

    The following table explains the components of a fully-qualified URI:

    Component

    Description

    Protocol

    • http:// and https:// are supported.

    • If you do not type the protocol, http:// is added to the URI.

    Destination

    • Type the name of the server for destination.

    • If you type only the destination name, the protocol and port information is added to the URI.

    • You can type a fully-qualified URI.

    Port

    • You can type the port.

    • If you do not enter the port, it is added to the URI.

    • You are not required to enter the trailing slash (/). If you do not enter the trailing slash, it is added to the URI, but not displayed in the URI server box.

    Note Note

    The default port is localhost together with the local server.

  3. Click Test Connection to test the connection to the server. This connection remains until it is changed by a user in the application. If the server connection fails, verify that you entered the correct server name.

  4. After you click Test Connection, the URI is updated to reflect any URI segments added. For example, if you did not add the port to the URI, the URI is updated to display the port after you click the Test Connection button.

Configure the server connection in Report Viewer

When you change the connection in Report Viewer, connection for Report Designer is updated, also. Close all reports before you begin.

  1. In Report Viewer, select the Tools menu, and then click Connection.

  2. In the Connection dialogue box, type the application server address for the connection in the Server field.

  3. Click Test Connection to test the connection to the server. This connection remains until it is changed by the user in the application. If the server connection fails, verify that you entered the correct server name.

See Also

Refresh cached financial data
Select user preferences


Select user preferences

You can set up user preferences to customise your interactions with Management Reporter and to control the initial logon experience and the display of individual reports, the report library, and the default file locations.

Select user preferences

  1. In Report Designer, select the Tools menu, and then click Options.

  2. In the Options dialogue box, set up your preferences. For more information about option descriptions, refer to the information below.

  3. Click OK.

Options dialogue box options

User Option

Description

At startup:

The following options are available:

  • Show Welcome Page – Provides quick access to common tasks in Management Reporter.

  • Load last loaded report – Displays the report that you viewed last.

  • Show Open window – Displays the Open window. The Open window provides a search window to quickly find building blocks.

  • Show empty environment – Displays an empty Management Reporter screen.

Display confirmation before exiting Management Reporter

Displays a warning message when you exit. This is to make sure that you do not exit the program unintentionally.

Automatically apply cell underline in column headers

Inserts an underline in the cell of a new column header.

Report library location

Specifies the default location for the report library. You can change the default report library location if all of the reports that you work on are located in a subfolder of the report library. You must have permission to access this folder to be able to generate reports.

Management Reporter files location

Specifies the default location for files. Management Reporter uses the default location when you export building block groups and Excel files.

See Also

Configure your server connection
Refresh cached financial data


Refresh cached financial data

Using cached financial data in Management Reporter helps improve performance because it limits the number of calls to the database. You should periodically update cached financial data to add new information or updated structures. If you add a new dimension and it does not appear in the dimension list in rows, refresh the cache to refresh the data.

Refresh cached financial data source data

  1. Open Report Designer.

  2. On the Tools menu, click Refresh Cached Financial Data.

  3. When a message indicates that the cache is successfully refreshed, click OK.

See Also

Configure your server connection
Select user preferences


Building blocks and reports

The design philosophy behind Management Reporter is to break information down to the smallest component or building block, and then mix and match components, as needed. Therefore, your report formatting is completely separate from your financial data. As a result, you can change the design of a report without modifying the financial data in your Microsoft Dynamics ERP system.

By using this building block approach, you can combine text, amounts, calculations, and to produce the reports that you need. Equally important, this flexibility encourages creativity by making it easy for you to look at your operations in different ways.

The individual building blocks of a report definition work something like a three-dimensional spreadsheet, but with more power. A report definition specifies the row definition, column definition, and optional reporting tree definition to use for the report. It also includes information about where to store the generated report and how to format it.

For greater reusability and sharing, you can also create a building block group, which is a collection of existing report definitions, row definitions, column definitions, reporting tree definitions, and dimension sets that are associated with a company in Management Reporter. For more information about how to create a building block group, see Building block groups.

Building blocks of a report

Building Block | Description
Row definition | A row definition defines the descriptive lines, for example, salaries or sales, on a report. It also lists the segment values or dimensions that contain the values for each line item and includes row formatting and calculations.
Column definition | A column definition defines the period to use when extracting data from the financial dimensions. It also includes column formatting and calculations.
Reporting tree definition | A reporting tree definition is similar to an organisational chart. It contains individual reporting units that represent each box in the chart. The units can be either individual departments from the financial data or higher-level units that summarise data from other reporting units.
Report definition | A report definition uses a row definition, a column definition, and an optional reporting tree definition to build a report. It also provides additional options and settings to customise a report.

If you are new to designing reports, it is helpful to use the report wizard to quickly create a report definition that you can customise later. If you have experience designing reports and want more flexibility for report design, you can combine new or existing building blocks to create a new report definition.

You do not have to fully understand all available report definition options to produce quality reports. As you become familiar with designing reports, you can expand your report definitions to take advantage of more advanced features.

After you have created a basic report, you can customise the report definition and any of the building blocks in the report definition.

See Also

Row definitions
Column definitions
Reporting tree definitions
Create and manage report groups
Report definitions
Link reports to Microsoft Excel
XBRL and Management Reporter


Report Designer interface

The topics in this section describe how to navigate through Report Designer and how to use these options to suit your specific needs.

Report Designer menu commands

Report Designer toolbar buttons


Report Designer menu commands

The following table provides descriptions of the menu commands and options that you can use when you design reports in Management Reporter. Some menu commands and options are available only in specific circumstances. For example, the commands to promote and demote reporting units are available only while you are editing a reporting tree definition.

Welcome page

The Welcome page is available to all users and can be configured to open when you start Report Designer. You can also access the Welcome page from the View menu.

Command | Description
Create a company | Opens the Companies dialogue box, where you can create a new company definition. Management Reporter accesses company information and financial data from the company definition. For more information about how to create a company, see Maintaining company information (data provider).
Add new users | Opens the New User dialogue box, where you can add a user and grant permissions. For more information about working with users, see Manage users.
Create a new Group | Opens the New Group dialogue box, where you can create new user groups and grant access to companies to user groups. For more information about working with user groups, see Manage user groups.
Import building block groups | Opens the Building Block Groups dialogue box, where you can maintain building block groups. For more information about sharing report building blocks, see Maintain building block groups.
Run at startup | Opens the Welcome page when Report Designer starts. To turn off the Welcome page, clear this check box.

Create reports

The commands on the Welcome page used to create reports are available to users with the role of administrator, designer, and with limitations, generator, and include the following commands. For more information about roles and permissions, see Security, user roles, and permissions.

Command | Description
Launch Report Wizard | Starts the report wizard, which guides you through the process of creating a report. For more information about the report wizard, see Building blocks and reports.
Create a new row | Opens a new Row Definitions pane where you can create a new row definition for a report. For more information about creating row definitions, see Row definitions.
Create a new column | Opens a new Column Definitions pane where you can create a new column for a report. For more information about adding and deleting columns, see Select report columns in a row definition.
Create a new tree | Opens a new Reporting Tree Definitions pane where you can create a new reporting tree unit. For more information about adding reporting tree units, see Build a reporting tree definition.
Create a new report | Opens a new Report Definitions pane and the Report tab, where you can create a new report. For more information about creating a basic report, see Building blocks and reports.
Close | Closes the Welcome page.

File menu

The File menu is available to all users and includes the following commands.

Command | Description
New | Creates a new report definition, row definition, column definition, reporting tree definition, report group definition, or folder. Additional options are available based on your Management Reporter user role.
Open | Opens an existing row definition, column definition, reporting tree definition, or report definition.
Close | Closes the current building block.
Close All | Closes all building blocks.
Save | Saves the current row definition, column definition, reporting tree definition, or report definition.
Save As | Allows you to save the current row definition, column definition, reporting tree definition, or report definition with a new name.
Properties | Opens the Properties dialogue box, where you can change the name and description of a report.
Generate | Generates the current report. This command is available from a report definition.
View Report | Opens the most recent version of the generated report in Report Viewer. This command is available from a report definition if you have generated at least one report.
Recent Report Definitions | Displays a list of newly created or modified reports that you can select from.
Recent Row Definitions | Displays a list of newly created or modified row definitions that you can select from.
Recent Column Definitions | Displays a list of newly created or modified column definitions that you can select from.
Recent Reporting Tree Definitions | Displays a list of newly created or modified reporting tree definitions that you can select from.
Exit | Closes Report Designer.

Edit menu

The Edit menu is available to users who have the role of designer or administrator and includes the following commands.

Command | Description
Undo | Reverses the last action.
Redo | Ignores the last undo action.
Cut | Deletes the selected text and copies it to the clipboard.
Copy | Copies the selected text to the clipboard.
Paste | Inserts the most recently cut or copied text from the clipboard.
Clear | Deletes the contents of the selected building block cell.
Find | Opens the Find and Replace dialogue box, where you can search text in the view pane.
Replace | Opens the Find and Replace dialogue box, where you can search and replace text in the view pane.
Insert Rows from Dimensions | Opens the Insert Rows from Dimensions dialogue box, where you can select the dimension values to include in the row definition. This command is available from a row definition.
Renumber Rows | Renumbers all numeric row codes. This command is available from a row definition.
Row Links | Opens the Row Links dialogue box, where you can specify the sources for data links in row definitions and reporting tree definitions. This command is available from a row definition.
Rounding Adjustment | Opens the Rounding Adjustments dialogue box, where you can specify the parameters for rounding. This command is available from a row definition.
Manage Dimension Sets | Opens the Dimension Sets dialogue box, where you can create and modify dimension sets. This command is available from a row definition or a reporting tree definition.
Insert Row | Inserts an empty row into the row definition or empty header row in the column definition. This command is available from a row or column definition.
Delete Row | Deletes the selected row from the row definition or the selected header row from the column definition. This command is available from a row or column definition.
Insert Column | Inserts an empty column into the column definition. This command is available from a column definition.
Delete Column | Deletes the selected column from the column definition. This command is available from a column definition.
Insert Reporting Units from Dimensions | Opens the Insert Reporting Units from Dimensions dialogue box, where you can select the dimension values to include in the reporting tree definition. This command is available from a reporting tree definition.
Import Dimension Set Hierarchy | Opens the Dimension Set Hierarchy dialogue box, where you can import a dimension set hierarchy from the financial data. This command is available from a reporting tree definition for a dimension-based system.
Insert Reporting Unit | Inserts an empty row into the reporting tree definition. This command is available from a reporting tree definition.
Delete Reporting Unit | Deletes the selected reporting unit row from the reporting tree definition. This command is available from a reporting tree definition.

View menu

The View menu is available to all users and includes the following options.

Option | Description
Navigation Pane | Show or hide the navigation pane.
Toolbars | Select the toolbars that will be visible.
Status Bar | Show or hide the status information in the Report Designer window.
Welcome Page | Open the Welcome page.

Format menu

The Format menu is available to users who have the role of designer or administrator and includes the following commands.

Command | Description
Styles and Formatting | Opens the Styles and Formatting dialogue box, where you can create and modify the styles for text in row and column definitions. This command is available from a row or column definition.
Column Width | Opens the Column Width dialogue box, where you can set the width of the selected column. This command is available from a row definition, column definition, or reporting tree definition.
Hide | Hides the selected column. This command is available from a row definition, column definition, or reporting tree definition.
Unhide | Makes the hidden columns between the selected columns visible. This command is available from a row definition, column definition, or reporting tree definition.

Company menu

The Company menu is available to users who have the role of designer or administrator and includes the following options.

Option | Description
Companies | Opens the Companies dialogue box, where you can create and modify companies.
Building Block Groups | Opens the Building Block Groups dialogue box, where you can create, modify, import, and export building block groups.

XBRL menu

The XBRL menu is available to users who have the role of designer or administrator and includes the following options.

Option | Description
Taxonomies | Opens the XBRL Taxonomies dialogue box, where you can add, view, modify, or delete a taxonomy.
Entities | Opens the XBRL Entities dialogue box, where you can add, modify, view, or delete an entity.
Units | Opens the XBRL Units dialogue box, where you can add, modify, view, or delete a unit.

Go menu

The Go menu is available to all users and includes the following commands.

Note Note

These options have no visible effect if the navigation pane is not visible.

Options | Description
Report Definitions | Displays report definitions in the navigation pane.
Row Definitions | Displays row definitions in the navigation pane.
Column Definitions | Displays column definitions in the navigation pane.
Reporting Tree Definitions | Displays reporting tree definitions in the navigation pane.
Security | Displays security information for users, groups, and companies in the navigation pane.

Tools menu

The Tools menu is available to all users, but some options have limited availability. The Tools menu includes the following options.

Option | Description
Protect | Applies a password to the current building block. This option is available to users who have the role of designer or administrator.
Report Queue Status | Opens the Report Queue Status dialogue, which displays all recently generated reports, and the details for each report.
Report Wizard | Opens the Report Wizard, where you can create a new report definition. This option is available to users who have the role of designer or administrator.
Source System Information | Displays the settings for your Microsoft Dynamics ERP system. This option is available to users who have the role of designer or administrator.
Checked Out Items | Displays the row definitions, column definitions, reporting tree definitions, and report definitions that are currently open. This option is available to users who have the role of designer or administrator.
Refresh Cached Financial Data | Updates the data in the financial dimensions column. For more information, see Refresh cached financial data.
Connection | Opens the Connection dialogue box, where you can specify a different server. Building blocks must be closed.
Report Library Permissions | Opens the Report Library Permissions dialogue box, where you can modify library permissions.
Registration | Opens the Registration dialogue box, where you can view and modify the Management Reporter licence key.
Options | Opens the Options dialogue box, where you can modify user preferences in Report Designer.

Window menu

The Window menu is available to all users and includes the following commands.

Command | Description
Tile Horizontally | Displays all open windows next to each other.
Tile Vertically | Displays all open windows, one on top of the other.
Cascade | Layers all open windows to display the title bar of each.
Freeze Horizontal | Freezes the selected row so that as you scroll, that row continues to be displayed in the window. This command is available to users who have the role of designer or administrator.
Freeze Vertical | Freezes the selected column so that as you scroll, that column continues to be displayed in the window. This command is available to users who have the role of designer or administrator.
List of Open Windows | Displays a list of windows that are open. Click one to bring it to the front.

Help menu

The Help menu is available to all users and includes the following options.

Option | Description
Management Reporter Help | Opens the Management Reporter Help documentation.
About Management Reporter | Displays the Management Reporter release number and available Microsoft Windows system resources.

See Also

Report Designer toolbar buttons


Report Designer toolbar buttons

The following tables describe the toolbar buttons for designing reports. Some toolbar buttons are available only in specific circumstances. For example, the buttons to promote and demote reporting units are only available when you modify a reporting tree definition.

Standard toolbar

The standard toolbar provides quick access to file and edit commands. The standard toolbar includes the following buttons.

Toolbar Button | Description
New | Create a new (empty) report definition, row definition, column definition, or reporting tree definition.
Open | Open an existing row definition, column definition, reporting tree definition, or report definition.
Save | Save the current row definition, column definition, reporting tree definition, or report definition.
Copy | Copy the selected text and copy it to the Clipboard.
Cut | Delete the selected text and copy it to the Clipboard.
Paste | Insert the text from the Clipboard.
Undo | Undo the last action.
Redo | Redo the last undo action.
Find | Open the Find and Replace dialogue box to search and replace text in the current window.
Insert Row | Insert an empty row into the row definition or an empty header row in the column definition. This button is available from a row or column definition.
Insert Column | Insert an empty column into the column definition. This button is available from a column definition.
Lock | Apply a password to the current building block. This button is available to report designers and Management Reporter administrators.
Row Link | Open the Row Links dialogue box to specify the sources for data links in row definitions and reporting tree definitions. This button is available from a row definition.
Promote Unit | Promote a unit of the reporting tree definition.
Demote Unit | Demote a unit of the reporting tree definition.
Expand All | Expand all units of the reporting tree definition at the level of the selected unit.
Collapse All | Collapse the entire reporting tree.
Report Wizard | Opens the report definition wizard to create a new report definition. This button is available to report designers and Management Reporter administrators.
Help | Open Management Reporter Help.

Formatting toolbar

The formatting toolbar provides easy access to style commands. The formatting toolbar includes the following buttons

Toolbar Button | Description
Font Size No Text | Apply the selected font style to the current text.
Font Size No Text | Set the current text to use the selected font.
Font Size | Set the current text to use the selected point size.
Bold | Make the current text bold.
Italics | Make the current text italic.
Underline | Underline the current text.
Decrease Indent | Decrease the indent of the current text.
Increase Indent | Increase the indent of the current text.
Fill Color | Change the background colour of the current cell.
Font Color | Change the colour of the current text.

Management Reporter toolbar

The Management Reporter toolbar provides quick access to commands for navigating within Management Reporter. The toolbar includes the following buttons.

Toolbar Button | Description
Open DDV | Display the report definition that is listed on the Window menu.
Open Row | Display the row definition that is assigned to the active report definition.
Open Column | Display the column definition that is assigned to the active report definition.
Open Reporting Tree | Display the reporting tree definition that is assigned to the active report definition.
Report Viewer | Start the report viewer with the most recent version of the generated report. This button is available from a report definition if you have generated at least one report.
Generate Report | Generate a report from the active report definition. This button is available from a report definition.

See Also

Report Designer menu commands


Row definitions

A row definition is a report component, also called a building block, which specifies the contents of each row in a Management Reporter report. It can be combined with column definitions, reporting tree definitions, and report definitions to create a building block group that can be used by multiple companies. For more information about building block groups, see Building block groups.

Open a row definition

  1. Open Report Designer. In the navigation pane, click Row Definition.

  2. Double-click the name of the report or object to open. For information about the elements of a row definition, see Contents of a row definition.

Create a row definition

  1. Open Report Designer. In the navigation pane, click Row Definition.

  2. From the File menu, click New, and then select Row Definition. For more information about the content of each cell, see Row definition cells.

Contents of a row definition

A row definition can contain up to 20,000 financial dimension rows and includes the following information:

  • Descriptive text that adds meaning to the report by creating section headings, lines, and spaces, such as Cash or Total Revenue.

  • Links to financial data, which can include dimension values in the Microsoft Dynamics ERP system or cells in an Excel spreadsheet.

    Note Note

    You can set up a row definition to pull data from the financial dimensions system every time that the report is generated.

  • Row totals and formulas that are based on the linked financial data.

Usually, each row in a row definition contains one of the following types of information:

  • References to the financial dimensions system.

  • Totals or calculations based on the data.

  • Formatting.

You can enter information into a row definition in one of the following ways:

  • Enter row information manually into a new row definition. For details about the information to add to each cell, see Row definition cells.

  • Use Management Reporter to pull row information directly from the financial dimensions as described in the following topics:

    • Related formulas/rows/units

    • Totals and calculations in row definitions

    • Format row and column text


Add dimensions in a row definition

A dimension is an intersection of data and values. You can group data and values in Management Reporter for Microsoft Dynamics ERP with one another to classify and analyse transactions in more detail.

You can use the Insert Rows from Dimensions dialogue box to add multiple rows to a row definition at one time. The dialogue box displays one column for each dimension. For each dimension, you can specify the following information:

Option | Description
Dimension | The pattern that identifies the dimension to add to the row definition. This pattern contains one ampersand (&) or number sign (#) for each position in the dimensions. Generally, use all ampersands for the Account dimension and all number signs for other dimensions.
Dimension Range Start | The first value for this dimension to add to the row definition.
Dimension Range End | The last value for this dimension to add to the row definition.

Add dimensions to a row definition

  1. In Report Designer, click Row Definitions, and then open a row definition to modify. On the Edit menu, click Insert Rows from Dimensions.

  2. In the Insert Rows from Dimensions dialogue box, in the Dimensions row, select the cell for the dimension to be transferred to the row definition, and then click All &&&.

  3. To limit the row definition to a specific range of dimension values, type the starting dimension value in the Dimension Range Start cell, and then type the ending dimension value in the Dimension Range End cell.

    To include all values for the selected dimension, leave these cells empty.

    Note Note

    Wildcard characters (* ?) in dimension ranges might not return all of the results that you want, depending on how the ERP database collates data.

  4. Select or type a value in the Starting row code field to specify the row code for the first dimension value to be added to the row definition.

  5. Select or type a value in the Increment each row by field to specify the gap between consecutive row codes. For example, if the first row code is 100 and the increment value is 30, the first several new rows have the codes 100, 130, 160, 190, and 220. Use an increment value that provides space for inserting new format and formula rows.

  6. Click OK. One line per selected dimension value is added to the row definition.

See Also

Row definitions


Adjust rounding in a row definition

When you have a balance sheet in which the amounts are rounded, totals may be out of balance. You can correct this by using the rounding adjustment option.

The following table shows how amounts are rounded.

Row Code | Amounts without rounding | Amount with rounding to whole thousands
100 | 3,600 | 4
200 | 3,700 | 4
TOTAL | 7,300 | 8

In this table, the totals of rows 100 and 200 differ when rounding is turned on. For example, when you use the rounding option in a balance sheet report and the report definition also specifies rounding, you can use the rounding adjustment option in the row definition to balance the amounts in the balance sheets.

Adjust rounding in a balance sheet

  1. In Report Designer, click Row Definitions, and then open the row definition to modify.

  2. On the Edit menu, click Rounding Adjustment.

  3. In the Rounding Adjustments dialogue box, enter the following values:

    • Rounding adjustment row – The row code for the row that will be adjusted to balance the balance sheet.

    • Total assets row – The row code for the row in the balance sheet that contains the total assets.

    • Total liabilities and equity row – The row code for the row in the balance sheet that contains the total liabilities and equity.

    • Adjustment amount limit – The limit, expressed as a positive whole number, on automatic adjustments. This amount is compared with the absolute value of the actual rounding difference.

      Note Note

      These row codes must be linked directly to your financial data. In other words, the row must have a dimension value in its Link to Financial Dimensions cell. Do not reference a description (DESC), calculated (CALC), or totalled (TOT) row.

The amounts in your balance sheet will balance evenly when rounding is turned on.

Note Note

The adjustment limit is applied based on the Rounding precision option that is specified for the report definition. For example, if you select to round your report to thousands and enter 2 in the Adjustment amount limit box, a warning message is displayed when the value identified in the Rounding adjustment row box increases or decreases by more than MYR 2,000.

For more information, see Specify rounding options in a report definition.

See Also

Customising a transaction detail report
Specify rounding options in a report definition
Tabular report example


Row definition cells

The topics in this section describe the information required for each cell within a row definition and how to enter it.

Specify a row code in row definition

Description cell in row definition

Add a format code

Related formulas/rows/units

Select Format Override cell in row definition

Change Normal Balance cell in row definition

Select print control in row definition

Column Restriction cell in row definitions

Row modifier in row definitions

Link to Financial Dimensions cell


Specify a row code in row definition

In row definitions, the numbers or labels in the Row Code cell identify each line in the row definition. You can specify the row code to refer to data in calculations and totals.

Row code requirements

A row code is required for all rows. You can mix numeric, alphanumeric, and unset (empty) row codes within a row definition.

The row code can be any positive integer (below 100,000,000) or a descriptive label that identifies that row. A descriptive label must adhere to the following rules:

  • A descriptive label must begin with an alphabetical character (a through z or A through Z) and can be any combination of numbers and letters up to 16 characters.

    Note Note

    A descriptive label can use the underscore (_) character, but no other special characters are allowed.

  • A descriptive label cannot use any of the following reserved words: AND, OR, IF, THEN, ELSE, PERIODS, TO, BASEROW, UNIT, NULL, or CPO, RPO.

The following are examples of valid row codes:

  • 320

  • TL_NET_INCOME

  • TL_NET_94

Specify a row code in a row definition

To specify a row code, open a row definition in Report Designer, and then type the new value into the cell in the Row Code column.

To reset numeric row codes, complete the following steps:

  1. In Report Designer, click Row Definitions, and then open the row definition to modify.

  2. On the Edit menu, and click Renumber Rows.

  3. Specify the new values for starting row code and row code increment.

    Note Note

    When you renumber row codes, Management Reporter automatically updates TOT and CAL references. For example, if a TOT row refers to a range that starts with row code 100 and you renumber starting with 90, the starting TOT reference changes from 100 to 90.

You can reset the numeric row codes to equally spaced values. Management Reporter renumbers row codes that begin with numbers, for example, 130, 246, but does not renumber row codes that begin with letters, for example, INCOME_93, TP0693.

See Also

Column Restriction cell in row definitions
Description cell in row definition
Add a format code
Select Format Override cell in row definition
Link to Financial Dimensions cell
Change Normal Balance cell in row definition
Select print control in row definition
Related formulas/rows/units
Row modifier in row definitions


Description cell in row definition

The description cell provides the description of the financial data in the row of the report, such as Revenue or Net Income. The text in the Description cell appears on the report exactly as you type it in the row definition.

Note Note

The width of the description column in the report is set in the column definition. If the text in the row definition Description column is long, verify the width of the DESC column. For more information, see Add special formatting options.

When you use the Insert Rows from dialogue box, the values in the Description column are the segment values or dimension values from the financial data. You can insert rows to add descriptive text, such as a section heading or a section total, and to add formatting, such as a line before a total row.

If the report includes a reporting tree, you can include the additional text that is defined for the reporting units in the reporting tree, and you can restrict the use of the additional text to a specific reporting unit. For information about how to create additional text entries in a reporting tree, see Build a reporting tree definition.

Add the description for a line in a report

  1. In Report Designer, click Row Definitions, and then select a row definition to modify.

  2. Select the Description cell, and then type the name of the report row.

  3. Apply formatting. For more information, see Manage font styles.

Add additional text from a reporting tree in the description

  1. In Report Designer, click Row Definitions, and then select a row definition to modify.

  2. Type the additional text code and any other text into the Description cell.

  3. Apply formatting. For more information, see Manage font styles.

The format of the additional text code is @UnitText#, where # specifies which additional text entry to extract from the reporting tree. The possible values depend on the number of additional text entries that are defined for a reporting unit.

For example, @UnitText4 specifies the fourth additional text entry for the reporting unit.

Restrict the additional text to a specific reporting unit

  1. In Report Designer, click Row Definitions, and then select a row definition to modify.

  2. Locate the row where additional text should be created, and then double-click the cell in the Related Formulas/Rows/Units column.

  3. In the Reporting Unit Selection dialogue box, select a reporting tree in the Reporting tree field.

  4. In the Select reporting unit for restriction box, expand or collapse the reporting tree, and then select a reporting unit.

See Also

Column Restriction cell in row definitions
Add a format code
Link to Financial Dimensions cell
Change Normal Balance cell in row definition
Select print control in row definition
Related formulas/rows/units
Specify a row code in row definition
Row modifier in row definitions


Add a format code

The Format Code cell offers a selection of preformatted choices for the content of that row. If the Format Code cell is blank, the row is interpreted as a financial data detail row.

Note Note

If a report contains non-amount formatting rows that relate to amount rows that have been suppressed, for example, because of zero balances, you can suppress the printing of title and format rows by using the Related Formulas/Rows/Units column. For more information, see Relate a format row to an amount row.

Add a format code to a report row

  1. In Report Designer, click Row Definitions, and then select a row definition to modify.

  2. Double-click the Format Code cell.

  3. Select a format code from the list. For a list of format codes and their actions, see the following table:

Format Code | Interpretation of Format Code | Action
(none) |  | Clears the Format Code cell.
TOT | Total | Identify a row that uses mathematical operators in the Related Formulas/Rows/Units column. Totals contain simple operators, for example, + or -. For more information, see Use a row total in a row definition.
CAL | Calculation | Identify a row that uses mathematical operators in the Related Formulas/Rows/Units column. Calculations contain complex operators, for example, +, -, *, /, and IF/THEN/ELSE statements. For more information, see Use a calculation formula in row definition.
DES | Description | Identifies a heading line or an empty line in a report.
LFT RGT CEN | Left Right Centre | Aligns the row description text on the report page, regardless of its placement in the column definition.
CBR | Change Base Row | Identifies a row that sets the base row for column calculations. For more information, see Select the base row for a column calculation.
PAGE | Page | Starts a new report page.
--- | Single underline | Places a single line under all amount columns in the report.
=== | Double underline | Places a double line under all amount columns in the report.
LINE1 | Thin line | Draws a single thin line across the page.
LINE2 | Thick line | Draws a single thick line across the page.
LINE3 | Dotted line | Draws a single dotted line across the page.
LINE4 | Thick line and thin line | Draws two lines that appear as thick line followed by a thin line across the page.
LINE5 | Thin line and thick line | Draws two lines that appear as a thin line followed by a thick line across the page.
BXB BXC | Boxed row | Draw a box around the report rows that begin with the BXB row and end with the BXC row.
REM | Remark | Identifies a row that is a comment row and should not be printed on the report. For example, a remark row might explain your formatting techniques.
SORT ASORT SORTDESC ASORTDESC | Sort | Sorts expenses or revenues, sequences an actual or budget variance report by the largest variance, or sorts the row descriptions alphabetically. For more information about the sorting format codes, see Select a sorting code for a row definition.

See Also

Column Restriction cell in row definitions
Description cell in row definition
Select Format Override cell in row definition
Link to Financial Dimensions cell
Change Normal Balance cell in row definition
Select print control in row definition
Related formulas/rows/units
Specify a row code in row definition
Row modifier in row definitions


Related formulas/rows/units

The Related Formulas/Rows/Units cell has multiple purposes. Depending on the type of row, a Related Formulas/Rows/Units cell can do one of the following functions:

  • Link a formatting row to an amount row to print the formatting only when the related amount is printed. For information, see Relate a format row to an amount row.

  • Restrict a row to a specific reporting unit. For information, see Restrict a row to a specific reporting unit.

  • Define the base row for calculations when you use the BASEROW format code. For information, see Select the base row for a column calculation.

  • Define the rows to sort when you use any of the sorting format codes. For information, see Select a sorting code for a row definition.

  • Define the rows to include in a calculation when you use a TOT format code or a CAL format code.

See Also

Column Restriction cell in row definitions
Description cell in row definition
Add a format code
Link to Financial Dimensions cell
Change Normal Balance cell in row definition
Select print control in row definition
Specify a row code in row definition
Row modifier in row definitions


Relate a format row to an amount row

In the Format Code column in a row definition, the DES, LFT, RGT, CEN, ---, and === format codes apply formatting to non-amount rows. To avoid printing this formatting when the related amount rows are suppressed, because the amount rows contain zero values, you must relate the format rows to the corresponding amount rows. This is helpful when you want to suppress the printing of headers or formatting related to subtotals when there is no detail to print for the period.

Note Note

You can also suppress the detailed amount rows from printing by clearing the option to display rows with no amounts, which is on the Settings tab of the report definition.

Relate a format row to an amount row

  1. In Report Designer, click Row Definitions, and then select a row definition to modify.

  2. In the Related Formulas/Rows/Units cell in the formatting row, type the row code of the amount row to be suppressed.

  3. On the File menu, click Save.

Example

In the following example, Phyllis wants to suppress printing of the heading and underscores in the Total Cash row in her report because there was no activity in either of the cash accounts. She types 190, the amount row code to be suppressed, in the Related Formulas/Rows/Units cell in row 160, which is a formatting row because the Format Code is ---.

Suppress printing example

See Also

Restrict a row to a specific reporting unit
Select the base row for a column calculation
Select a sorting code for a row definition


Restrict a row to a specific reporting unit

When a report row is restricted to a specific reporting unit, that row displays the linked data for the named reporting unit, only, and ignores the data for other reporting units in the reporting tree. For example, you can create a row that provides details for the total operating expenses for a specific department.

Your report may contain duplicate data when the report contains both a reporting tree and a row definition that has more than just the natural account. For example, suppose that you have a reporting tree that lists the six departments in your organisation and also have a row definition that lists a specific account department combination in the row. When you generate the report, the specific account and department combination listed in the row is printed on every level of the reporting tree, even though that department may not match what is in the tree. This is because the row overrides what is normally filtered out by the report definition.

Restricting a row to a specific reporting unit is one way to avoid duplication of data.

Note Note

When you restrict a row that includes dimensions to a child reporting unit, the row amount is included without duplication for that unit and for its parent units.

Restrict a row to a reporting unit

  1. In Report Designer, click Row Definitions, and then select a row definition to modify.

  2. Double-click the appropriate Related Formulas/Rows/Units cell.

  3. In the Reporting Unit Selection dialogue box, in the Reporting tree field, select the tree that is assigned in the report definition.

  4. Select a reporting unit, and then click OK. The restriction is displayed in the cell of the row definition.

  5. Double-click the cell in the Link to Financial Dimensions column of the restricted row, and then enter a link to the financial data system. For more information, see Prepare a link column in a row definition.

See Also

Relate a format row to an amount row
Select the base row for a column calculation
Select a sorting code for a row definition


Select the base row for a column calculation

In relational reporting, one or more base rows are assigned in the row definition by using the CBR (Change Base Row) format code. A base row is then referenced by a calculation in the column definition. Common examples of CBR calculations include the following:

  • Percentage of total revenue as it relates to individual revenue items.

  • Percentage of total expense as it relates to individual expense items.

  • Percentage of gross margin as it relates to division or department details.

One or more base rows are defined in the row definition, and then the column definition determines the relationship that the base row is reported on. The code used in the column formula is BASEROW. The following basic mathematical operators are used with BASEROW: divide, multiply, add, or subtract, although the most common is divide by BASEROW, where the result is displayed as a percentage.

Column calculations that use BASEROW in the formula use the row definition for the related base row code(s). CBR rows have the following characteristics:

  • CBR rows are not printed print on the completed report.

  • The CBR format code and its related row code are positioned above the row or section that displays related calculations.

In a column definition, the CALC column type indicates a column that specifies a formula in the Formula row. This formula operates on the data for this column of the report and uses the Baserow keyword to base calculations off of the CBR format code(s) in the row.

In the row definition, the CBR format code defines the base row for columns that calculate a percentage of or multiply by the base row for each row in the report. You can have multiple CBRs in a row format, such as one with net sales, one with gross sales, and one with total expenses. Usually, the CBR is used to create a percentage for accounts that are compared to a total line. A base row is used for all calculations until another base row is defined. You must define a starting CBR and an ending CBR.

For example, to determine expenses as a percentage of net sales, you could divide the value in each expense row by the value in the net sales row. In this case, the net sales row is the base row.

Select the base row in a row definition for a column calculation

You can define a column definition that reports current and year-to-date results, together with a base percentage of each. Start with a detailed income statement.

  1. In Report Designer, click Column Definitions, and then open the column definition for an income statement.

  2. Add a new column to the column definition with a column type of CALC.

  3. In the Formula cell of the new column, enter the formula of X/BASEROW, where X is the FD column type that you want to see a percentage of.

  4. Double-click the Format/Currency Override cell to open the Format Override dialogue box. Select Percentage in the Format Category list, and then click OK.

  5. On the File menu, click Save As to save the column definition with a new name. Append the current file name with CBR, such as CUR_YTD_CBR. This is your baserow column definition.

  6. In Report Designer, click Row Definitions, and then open the row definition to modify with the baserow calculation. Insert a new row above where the baserow calculation should start.

  7. Double-click the Format Code cell of the row definition, and then select CBR.

  8. In the Related Formulas/Rows/Units cell, type the Row Code number for the base row.

Example

In the following row definition example, row 100 shows that the base row for calculations is row 340.

Screenshot of column definition to set baserow

In the following column definition example, the calculations use the CBR code. The calculation in column C has the effect of dividing the value in column B of the report by the value in row 340 of column B. The format override in column B prints the result of the calculation as a percentage. Similarly, each amount in column E is the amount in column D expressed as a percentage of net sales.

Column def screen shot for Set Base Row Column

As a result of the previous calculations, the following sample report could be generated.

Sample report for Set Base Row for a Column Calc

See Also

Relate a format row to an amount row
Restrict a row to a specific reporting unit
Select a sorting code for a row definition


Select a sorting code for a row definition

Sorting codes sort accounts, values, sequence an actual or budget variance report by the largest variance, or sort the row descriptions alphabetically. The following sorting codes are available:

  • SORT – Sorts the report in ascending order, based on the values in the specified column.

  • ASORT – Sorts the report by the absolute value of the values in the specified column in ascending order. In other words, the sign of each value is ignored in the sort. This format code sequences the values by the magnitude of the variance, whether positive or negative.

  • SORTDESC – Sorts the report in descending order, based on the values in the specified column.

  • ASORTDESC – Sorts the report in descending order by the absolute value of the values in the specified column.

Specify a sorting code

  1. In Report Designer, click Row Definitions, and then open the row definition to modify.

  2. Double-click the Format Code cell, and then select a sorting code.

  3. In the Related Formulas/Rows/Units cell, type the range of row codes to sort. To specify a range, enter the first and last row codes separated with a colon. For example, 160:490 specifies the range 160 through 490.

  4. In the Column Restriction cell, type the letter of the report column to be used for the sort.

    Note Note

    Include only amount rows in a sort calculation.

Example

The following building block example shows an ascending sort on the values in column D of the report for rows 160 through 490. It also shows how a descending sort on the absolute values in column G of the report for rows 610 through 940 is set up.

Row Code | Description | Format Code | Related Formulas/Rows/Units | Normal Balance | Column Restriction | Link to Financial Dimensions
100 | Sorted by Monthly Variance in Ascending Order | DES |  |  |  |
130 |  | SORT | 160:490 |  | D |
160 | Sales |  |  | C |  | 4100
190 | Sales Returns |  |  |  |  | 4110
 | ... |  |  |  |  |
490 | Interest Income |  |  | C |  | 7000
520 |  | DES |  |  |  |
550 | Sorted by YTD Absolute Variance in Descending Order | DES |  |  |  |
580 |  | ASORTDESC | 610:940 |  | G |
610 | Sales |  |  | C |  | 4100
640 | Sales Returns |  |  |  |  | 4110
 | ... |  |  |  |  |
940 | Interest Income |  |  | C |  | 7000

The report resembles the following illustration:

Variance Analysis (Sorted by Variance)
Beijing and Atlanta Regions
For the Seven Months Ending July 31, 2007
 | July | YTD |  |  |  |
 | Actual | Budget | Variance | Actual | Budget | Variance
Sorted by Monthly Variance in Ascending Order
COGS | 873,872 | 236,144 | (637,728) | 4,864,274 | 1,590,315 | (3,273,959)
Salaries and Wages | 97,624 | 65,573 | (32,051) | 653,884 | 441,664 | (212,220)
Sales Discounts | 36,383 | 24,152 | (12,231) | 241,562 | 162,670 | (78,892)
Sales Returns | 10,917 | 7,246 | (3,671) | 62,809 | 48,803 | (14,006)
Rent Expense | 12,052 | 9,019 | (3,033) | 80,444 | 60,748 | (19,696)
Office Expense | 5,023 | 3,291 | (1,732) | 33,420 | 22,098 | (11,322)
Travel Expense | 7,656 | 7,641 | (15) | 51,062 | 51,469 | 407
Sales | 1,240,119 | 410,389 | 829,730 | 7,139,288 | 2,764,549 | 4,374,739
Sorted by YTD Absolute Variance in Descending Order
Sales | 1,240,119 | 410,389 | 829,730 | 7,139,288 | 2,764,549 | 4,374,739
Travel Expense | 7,656 | 7,641 | (15) | 51,062 | 51,469 | 407
Office Expense | 5,023 | 3,291 | (1,732) | 33,420 | 22,098 | (11,322)
Sales Returns | 10,917 | 7,246 | (3,671) | 62,809 | 48,803 | (14,006)
Rent Expense | 12,052 | 9,019 | (3,033) | 80,444 | 60,748 | (19,696)
Sales Discounts | 36,383 | 24,152 | (12,231) | 241,562 | 162,670 | (78,892)
Salaries and Wages | 97,624 | 65,573 | (32,051) | 653,884 | 441,664 | (212,220)
COGS | 873,872 | 236,144 | (637,728) | 4,864,274 | 1,590,315 | (3,273,959)

See Also

Relate a format row to an amount row
Restrict a row to a specific reporting unit
Select the base row for a column calculation


Select Format Override cell in row definition

The Format Override cell specifies the print format for the row. This numerical format overrides the formatting that is specified in the column definition and the report definition, which, by default, is currency. If the report lists the number of assets in one row, such as number of buildings, and their monetary value in another row, you can override the currency formatting and enter numeric formatting for the row that specifies the number of buildings.

Specify this information in the Format Override dialogue box. The available options depend on the format category that you select. Example formats are displayed in the Sample area of the dialogue box.

The available format categories are:

  • Currency formatting

  • Numeric formatting

  • Percentage formatting

  • Custom formatting

Override cell formatting

  1. In Report Designer, open the row definition to modify.

  2. Double-click a cell in the Format Override column.

  3. In the Format Override dialogue box, select the formatting options to use in the report.

  4. Click OK.

Currency formatting

Currency formatting applies to a fiscal amount and includes the currency symbol. The following options are available:

  • Currency symbol – The currency symbol for the report. This value overrides the Regional Options setting for the company information.

  • Negative numbers – Negative numbers can be displayed with the minus sign (-) or in parentheses ( ).

  • Decimal places – The number of digits to show after the decimal point.

  • Zero value override text – The text to include in the report when the amount is zero. This text appears as the last line in the Sample area.

Note Note

If printing is suppressed for zero values, this text is also suppressed.

Numeric formatting

Numeric formatting applies to any amount and does not include a currency symbol. The following options are available:

  • Negative numbers – Negative numbers can be displayed with the minus sign (-) or in parentheses ( ).

  • Decimal places – The number of digits to show after the decimal point.

  • Zero value override text – The text to include in the report when the amount is zero. This text appears as the last line in the Sample area.

Note Note

If printing is suppressed for zero values, this text is also suppressed.

Percentage formatting

Percentage formatting includes the percent sign (%). The following options are available:

  • Negative numbers – Negative numbers can be displayed with the minus sign (-) or in parentheses ( ).

  • Decimal places – The number of digits to display after the decimal point.

  • Zero value override text – The text to include in the report when the amount is zero. This text appears as the last line in the Sample area.

Note Note

If printing is suppressed for zero values, this text is also suppressed.

Custom formatting

Use the custom format category to create a custom format override. The following options are available:

  • Type – The custom format.

  • Zero value override text – The text to include in the report when the amount is zero. This text appears as the last line in the Sample area.

The type should represent both the positive, and then the negative value. Typically, you enter a similar format differentiating between positive and negative values. For example: 0.00;(0.00)

The following table shows custom formats that can be used to control how your values should be formatted. These examples start with a value of 1234.56.

 | Positive | Negative | Zero
0 | 1235 | -1235 | 0
0;0 | 1235 | 1235 | 0
0;(0);- | 1235 | 1235 | -
#,###;(#,###);“” | 1,235 | (1,235) | (blank)
#,##0.00;(#,##0.00);zero | 1,234.56 | (1,234.56) | zero
0.00%;(0.00%) | 123456.00% | (123456.00%) | 0.00%
Note Note

If printing is suppressed for zero values, this text is also suppressed.

See Also

Column Restriction cell in row definitions
Description cell in row definition
Add a format code
Link to Financial Dimensions cell
Change Normal Balance cell in row definition
Print control for conditional columns example
Select print control in row definition
Related formulas/rows/units
Specify a row code in row definition
Row modifier in row definitions


Change Normal Balance cell in row definition

The Normal Balance cell within a row definition controls the sign of the amounts in a row. To reverse the sign of a row, or if the normal balance of an account is a credit, enter a C in the Normal Balance cell for that row. Management Reporter for Microsoft Dynamics ERP reverses the sign on all credit balance accounts in that row. When Management Reporter converts these accounts, it removes the debit/credit characteristic from all amounts, which makes totalling very straightforward. For example, to calculate net income, you subtract expenses from income.

Totalled and calculated rows typically are not affected by a C code. The exception is that the XCR print control in the column definition reverses the sign of any row that contains a C in the Normal Balance column. This formatting is especially important when you want to show all unfavourable variances as negative amounts. If a totalled or calculated number displays the wrong sign, place a C in the Normal Balance cell for the row to reverse the sign. For more information about the column definition Print Control, see Select print control in row definition.

See Also

Column Restriction cell in row definitions
Description cell in row definition
Add a format code
Select Format Override cell in row definition
Link to Financial Dimensions cell
Select print control in row definition
Related formulas/rows/units
Specify a row code in row definition
Row modifier in row definitions


Select print control in row definition

You can specify print codes for each column using the Print Control cell. For a description of available print codes, see Regular Print Control codes and Conditional Print Control codes.

Add print control codes to a report row

  1. In Report Designer, open the row definition to modify.

  2. Double-click the Print Control cell.

  3. In the Print Control dialogue box, select a print code, or press and hold the Ctrl key to select multiple codes.

    Note Note

    You can also type the print codes directly into the Print Control cell. Use commas to separate multiple print codes.

  4. Select any conditional print options.

  5. Click OK.

Regular Print Control codes

The following table describes the regular Print Control codes for a row definition.

Print Code | Interpretation of Print code | Description
NP | Non-printing row | Excludes the amounts in the row from being printed in the report and from calculations. To include a non-printing column in a calculation, refer to the column directly in the calculation formula. For example, the non-printing row 240 is included in the following calculation: 230+240+250. However, the non-printing row 240 is not included in the following calculation: 230:250.
CS | Currency symbol; use currency format in this row | Includes the currency symbol in all non-percentage amounts. Percentage values never receive a currency symbol.
XD | Suppress row in account detail report | Suppresses the display of accounts on account detail reports or transaction detail reports. This is useful when a row includes multiple accounts that should not be listed in the account detail or transaction detail report.
X0 | Suppress row if all zeros | Excludes a row from the report if all cells in that row are either empty or contain zeros. This print control is meaningful only when option to suppress zero balance is not selected in the report definition.
B0 | Leave zero columns blank | Leaves any columns in the row that contain zero amounts empty.
XR | Suppress rollup | Suppresses a rollup. If the report uses a reporting tree, the amounts in this row are not rolled up into subsequent parent nodes.
SR | Suppress rounding | Prevents the amounts in this row from being rounded.
XT | Suppress row in transaction detail report | Suppresses the display of transactions in transaction detail reports. This is useful when a row includes multiple accounts that should not be listed in a transaction detail report.

Conditional Print Control codes

The following table describes the conditional Print Control codes for a row definition.

Conditional Print Control Code | Description
(none) | Clears the conditional print selection.
DR | Prints only the debit balances for this row.
CR | Prints only the credit balances for this row.

See Also

Column Restriction cell in row definitions
Description cell in row definition
Add a format code
Select Format Override cell in row definition
Link to Financial Dimensions cell
Change Normal Balance cell in row definition
Related formulas/rows/units
Specify a row code in row definition
Row modifier in row definitions


Column Restriction cell in row definitions

The row definition Column Restriction cell has multiple purposes. Depending on the type of row, you can use the Column Restriction cell to specify one of the following functions:

  • The cell can limit the printing of the row amounts to a specific column. This is useful for creating a tabular balance sheet. For information, see Tabular report example.

  • The cell can specify the column of amounts to be sorted. For information, see Select a sorting code for a row definition.

See Also

Description cell in row definition
Add a format code
Select Format Override cell in row definition
Link to Financial Dimensions cell
Change Normal Balance cell in row definition
Select print control in row definition
Related formulas/rows/units
Specify a row code in row definition
Row modifier in row definitions


Row modifier in row definitions

The content of the Row Modifier cell in a row definition overrides the fiscal years, periods, and other information that is specified in the column definition for that row. The selected modifier applies to every account in the row.

You can modify each row with one or more of the following types of modifiers:

  • Account modifiers

  • Book code modifiers

  • Account and transaction attributes

Account modifiers

Usually when you select a specific account, Management Reporter combines the account with the fiscal years, periods, and other information that you specify in the column definition. You can use different information, such as different fiscal periods, for specific rows.

The following account modifiers are available. Replace the number sign (#) with a value equal to or less than the number of periods in a fiscal year.

Account Modifier | What is Printed
/BB | Beginning balance for an account.
/# | Balance for the specified period.
/-# | Balance for the period that is # periods before the current period.
/+# | Balance for the period that is # periods after the current period.
/C | Balance for the current period.
/C-# | Balance for the period that is # periods before the current period.
/C+# | Balance for the period that is # periods after the current period.
/Y | Year-to-date balance through the current period.
/Y-# | Year-to-date balance through the period that is # periods before the current period.
/Y+# | Year-to-date balance through the period that is # periods after the current period.

Book code modifiers

You can limit a row to an existing book code. The column definition must include at least one FD column with a book code.

Note Note

The book code restriction for a row overrides the book code restrictions in the column definition for that row.

Account and transaction attributes

Some accounting systems support account attributes and transaction attributes in the financial data. These attributes function like virtual account segments and can carry additional information about the account or transaction, which might be, for example, account ID, batch ID, postal codes, or other attributes.

If your accounting system supports attributes, you can use account attributes or transaction attributes as row modifiers in the row definition. For information about how to override row information, see Use row modifier to override row information.

For information about how to use account attributes and transaction attributes in the column definition, see the ATTR column type in Specify a column type in a column definition. For information about how to use attribute filters in the column definition, see Apply an attribute filter in a column definition.

See Also

Use row modifier to override row information
Apply an attribute filter in a column definition
Column Restriction cell in row definitions
Description cell in row definition
Add a format code
Select Format Override cell in row definition
Link to Financial Dimensions cell
Change Normal Balance cell in row definition
Select print control in row definition
Related formulas/rows/units
Specify a row code in row definition


Use row modifier to override row information

The content of the Row Modifier cell in a row definition overrides the fiscal years, periods, and other information that is specified in the column definition for that row. The selected modifier applies to every account in the row. For definitions of the options in the Row Modifier dialogue box, see Row modifier in row definitions.

Override row information

When necessary, replace the number sign (#) with a numeric value.

  1. In Report Designer, open the row definition to modify.

  2. Double-click the Row Modifier cell in the row where you want to override the column definition. The Row Modifier dialogue box opens.

  3. Select an option in the Account modifier field. For a list of options, see Account modifiers.

  4. In the Book code modifier field, select the book code to use for the row.

  5. Under Attributes, add an entry for each attribute to be included with the row code as follows:

    • Double-click the Attribute cell, and select an attribute name.

    • Double-click the From cell, and type the first value for the range.

    • Double-click the To cell, and type the final value for the range.

  6. Click OK.

See Also

Apply an attribute filter in a column definition
Column Restriction cell in row definitions
Description cell in row definition
Add a format code
Select Format Override cell in row definition
Link to Financial Dimensions cell
Change Normal Balance cell in row definition
Select print control in row definition
Related formulas/rows/units
Specify a row code in row definition


Link to Financial Dimensions cell

The Link to Financial Dimensions cell contains links to the financial data to include in each row of a report. This cell contains dimension values, but you can specify cells in an Excel worksheet instead of, or in addition to, segment values or dimension values. For information about how to link to Excel worksheets, including how to change the type of link, see Link reports to Microsoft Excel.

To open the Dimensions dialogue box, double-click the Link to Financial Dimensions cell.

Note Note

Report Designer cannot select any account, dimension, or field from the Microsoft Dynamics ERP system that includes the following reserved characters: & * [ ].

To specify information for a row that is already in the row definition, add the information in the Link to Financial Dimensions cell. To add new rows that link to the financial data, use the Insert Rows from dialogue box to create new rows in the report definition.

The column title changes depending on how the column is configured, as shown in the following table.

When this link type is selected | The description on the Link column changes to
Financial Dimensions | Link to Financial Dimensions
External Worksheet | Link to Worksheet
Financial Dimensions + Worksheet | Link to Financial Dimensions + Worksheet

Specify a dimension or range

  1. In Report Designer, open the row definition to modify. Double-click a cell in the Link to Financial Dimensions column.

  2. In the Dimensions dialogue box, double-click a cell under the dimension name.

  3. In the dialogue box for the dimension, select Individual or range.

  4. Enter the starting dimension in the From field, or click Browse to search for available dimensions. To enter a range of dimensions, enter the ending dimension in the To field.

  5. Click OK to close the dialogue box for the dimension. The updated dimension or range is displayed in the Dimensions dialogue box.

  6. Click OK to close the Dimensions dialogue box.

See Also

Display zero balance accounts in a row definition
Wildcards and ranges in row definitions
Add or subtract from other accounts in a row definition
Add dimension sets in a row definition


Display zero balance accounts in a row definition

By default, Management Reporter suppresses the printing of any row that does not have a corresponding balance in the financial data. Therefore, you can create one row definition that includes all natural segment values or all dimension values, and then use that row definition with any of your departments.

The following formatting settings apply to the printing of zero amounts:

  • Display blanks for zero amounts

  • Display rows with no amounts

  • Display reports with no active rows

Modify zero balance settings

  1. In Report Designer, open the report definition to modify.

  2. Click the Settings tab.

  3. Under Other formatting, select options for the row definition that is used in the report definition.

  4. To save these options, click Save on the File menu.

See Also

Add or subtract from other accounts in a row definition
Link to Financial Dimensions cell
Add dimension sets in a row definition
Wildcards and ranges in row definitions


Wildcards and ranges in row definitions

When you enter a natural segment value in the Dimensions dialogue box, you can place a wildcard character (? or *) in any position of a segment. Management Reporter extracts all of the values for the defined positions without regard to the wildcard numbers. For example, if the row definition contains only natural segment values, assuming a four-character natural segment, entering 6??? in a row instructs Management Reporter to include all accounts whose natural segment value begins with a 6. Entering 6* would return the same results, but would also include variable width values, such as 60 and 600000.

Management Reporter replaces each wildcard character (?) with the complete range of possible values, including letters and special characters. For example, in the range from 12?0 through 12?4, the wildcard character in 12?0 is replaced with the lowest value in the character set, and the wildcard character in 12?4 is replaced with the highest value in the character set.

Note Note

The use of wildcard characters should be avoided for the starting and ending accounts in ranges. If you use wildcard characters in either the starting account or the ending account, you might return unexpected results.

Single-segment or single-dimension ranges

You can specify a range of segment values or dimension values. The benefit of specifying a range is that you do not have to update the row definition every time that a new segment value or dimension value is added to the financial data.

For example, the range +Account=[6100:6900] pulls the values from Account 6100 through 6900, inclusively, into the row amount.

When a range includes a wildcard character (?), Management Reporter does not evaluate the range on a character-by-character basis. Instead, the low and high ends of the range are determined, and then all values between those ends are included, inclusive.

Note Note

Report Designer is unable to select any account, dimension, or field from the Microsoft Dynamics ERP system that includes the following reserved characters: & * [ ]. You can add an ampersand (&) only when you are automatically building row definitions by using the Insert Rows from dialogue box. For more information, see Add dimensions in a row definition.

Multiple-segment or multiple-dimension ranges

When you enter a range by using combinations of multiple dimension values, the range comparison is accomplished on a dimension-by-dimension basis. The range comparison cannot be accomplished on either a character-by-character basis or a partial segment basis.

For example, the range +Account=[5000:6000], Department=[1000:2000], Cost centre=[00] includes only the accounts that match each segment. In this scenario, the first dimension must be in the range from 5000 through 6000, the second dimension must be in the range from 1000 through 2000, and the last dimension must be 00. (For example, +Account=[5100], Department=[1100], Cost centre=[01] would not be included in the report because the last segment is out of the specified range.)

If a segment value includes spaces, enclose that value in square brackets [ ]. The following values are valid for a four-character segment: [ 234], [123 ], [1 34]

Dimension values should be enclosed in square brackets, which Management Reporter will do for you.

When a multiple-segment or multiple-dimension range includes wildcard characters (? or *), the low and high ends of the whole multiple-segment or multiple-dimension range is determined, and then all values between those ends are included, inclusively. If you have a large range, such as the whole range of accounts 40000 to 99999, you should specify a valid starting and ending account, when it is possible.

Note Note

Report Designer is unable to select any account, dimension, or field from the Microsoft Dynamics ERP system that includes the following reserved characters: & [ ]. You can add an ampersand (&) only when you are automatically building row definitions by using the Insert Rows from dialogue box. For more information, see Add dimensions in a row definition.

See Also

Add or subtract from other accounts in a row definition
Add dimension sets in a row definition
Link to Financial Dimensions cell
Display zero balance accounts in a row definition


Add or subtract from other accounts in a row definition

To add or subtract monetary amounts in one account from the monetary amounts in another account, you can use the plus sign (+) and the minus sign (-) in the Link to Financial Dimensions cell.

The following table shows acceptable formats for adding and subtracting links to financial data.

To do this: | Use this format:
Add two fully-qualified accounts | 1205-2000-000+1205-2100-000 +Division=[000], Account=[1205], Department=[00] +Division=[100], Account=[1205], Department=[00]
Add two segment values | 1205+1210 +Account=[1205]+Account=[1210]
Add segment values that include wildcard characters | 120?+11?? +Account=[120?+Account=[11??]
Add a range of fully-qualified accounts | +(1205-1000-000:1205-2000-000) +Division=[000:100], Account=[1205], Department=[00]
Add a range of segment values | +(1200:1205) +Account=[1200:1205]
Add a range of segment values that include wildcard characters | +(120?:130?) +Account=[120?:130?]
Subtract one fully-qualified account from another fully-qualified account | 1205-2100-000-(1205-2000-000) +Division=[000], Account=[1205], Department=[00]-Division=[100], Account=[1205], Department=[00]
Subtract one segment value from another segment value | 1210-(1205) +Account=[1205]-Account=[1210]
Subtract a segment value that includes a wildcard character from another segment value | 1100-(120?) +Account=[1200]-Account=[11??]
Subtract a range of fully-qualified accounts | -(1205-1000-000:1205-2000-000) -Division=[000:100], Account=[1200:1205], Department=[00:01]
Subtract a range of segment values | -(1200:1205) -Account=[1200:1205]
Subtract a range of segment values that include wildcard characters | -(120?:130?) -Account=[120?:130?]

Although you can modify the accounts directly, you can also use the Dimensions dialogue box to apply the correct formatting to your financial data links. Any of the values can include wildcard characters (? or *). Report Designer cannot select any account, dimension, or field from the Microsoft Dynamics ERP system that includes the following reserved characters: & * [ ].

Note Note

To subtract values, you must put parentheses around those values. For example, if you enter 450?-(4509), +Account=[4509]-Account=[450?], you are instructing Management Reporter to subtract the amount for account segment 4509 from the amount for any account segment that starts with 450.

Add or subtract accounts from other accounts

  1. In Report Designer, open the row definition to modify.

  2. Double-click a cell in the Link to Financial Dimensions column.

  3. In the first row of the Dimensions dialogue box, follow these steps:

    • In the Operator +/- cell, select the operation (+ or -) that applies to one or more segment values or sets in the row.

    • Double-click the cell in the Division column. In the Division dialogue box, select Individual or range, and then enter a segment value in the From column.

  4. Repeat steps 2 and 3 to add more operations.

    Note Note

    The operator always applies to the dimensions in the same row.

See Also

Add dimension sets in a row definition
Wildcards and ranges in row definitions
Display zero balance accounts in a row definition


Add dimension sets in a row definition

A dimension value set is a named group of dimension values. A dimension value set can contain values in a single dimension only, but you can use a dimension value set in multiple row definitions, column definitions, reporting tree definitions, and report definitions. You can also combine dimension values sets in a report definition.

For more information about dimension values, see Link to Financial Dimensions cell.

When a change to your financial data requires that you change the dimension value set, you can update the dimension value set definition, and that update applies to all areas that use the dimension value set. For example, if you frequently indicate a range of values to link to your financial data, such as the values from 5100 through 5600, you might assign this range to an account set titled Sales.

After you create a set of dimension values, you can select that set as your financial data link.

In another example, if you have the value range of 5100 through 5600 assigned to Sales and 4175 assigned to Discounts, you can determine total sales by subtracting Discounts from Sales indicated as (5100:5600)-4175.

Create a set of dimension values

  1. In Report Designer, open the row, column or tree definition to modify.

  2. On the Edit menu, click Manage Dimension Value Sets.

  3. In the Manage Dimension Value Sets dialogue box, select the type of dimension value set to create in the Dimension field, and then click New.

  4. In the New dialogue box, type the name and description for the set.

  5. In the From column, double-click inside a cell to open the Account dialogue box. Select the account name from the list, or search for the entry in the Search field. Click OK.

  6. Repeat step 5 in the To column to design a formula for that operator.

  7. When the formula is completed, click OK.

  8. In the Manage Dimension Sets dialogue box, click Close.

Update a set of dimension values

  1. In Report Designer, open the row, column, or tree definition to modify.

  2. On the Edit menu, click Manage Dimension Value Sets.

  3. In the Manage Dimension Value Sets dialogue box, select the dimension type in the Dimension field.

  4. Select the dimension value set to update from the list, and then click Modify.

  5. In the Modify dialogue box, modify the formula values to include in the set.

    Note Note

    If you add new accounts or dimensions, make sure that you modify the existing dimension value sets to incorporate the changes.

  6. Double-click the cell to select the appropriate Operator, From account, and To account.

  7. Click OK to close the Modify dialogue box and save changes.

Copy a dimension set

  1. In Report Designer, open the row, column, or tree definition to modify.

  2. On the Edit menu, click Manage Dimension Value Sets.

  3. In the Manage Dimension Value Sets dialogue box, select the dimension type in the Dimension field.

  4. Select the set to copy from the list, and then click Save As.

  5. Enter a new name for the copied set, and then click OK.

Delete a dimension set

  1. In Report Designer, open the row, column, or tree definition to modify.

  2. On the Edit menu, click Manage Dimension Value Sets.

  3. In the Manage Dimension Value Sets dialogue box, select the dimension type in the Dimension field.

  4. Select the set to delete, and then click Delete. Click Yes to permanently delete the dimension value set.

See Also

Add or subtract from other accounts in a row definition
Wildcards and ranges in row definitions
Display zero balance accounts in a row definition


Totals and calculations in row definitions

To calculate amounts in a row definition, you can use a row total formula (TOT) or a calculation formula (CALC).

Note Note

You can export row totals to an Excel spreadsheet, but you cannot export calculations.

Row total formula

Use a row total formula (TOT) for simple addition and subtraction functions. You can apply the formula to every column in a row, or you can specify ranges.

For more information, see Use a row total in a row definition.

Calculation formula

Use a calculation formula (CALC) for complex functions, including addition, subtraction, multiplication, division, and IF/THEN/ELSE statements. These calculations can be limited to columns and individual cells.

For more information, see the Use a calculation formula in row definition.


Use a row total in a row definition

Use a row total formula to add or subtract amounts in other rows. A formula for creating a row total can include the + and - operators to combine individual row codes and ranges, indicated by a colon (:). The formula can be up to 1024 characters.

The following is an example of a standard totalling formula:

400+420+430+450+460LIABILITIES+EQUITY520:546520:546-LIABILITIES

Components of a row total formula

When you create a row total formula, you must use row codes to specify which rows to add or subtract in the current row definition, and use operators to specify how the rows are combined. Total rows and amount rows can be used in any combination.

Note Note

All total rows that are within a range are excluded. To create a grand total, you can specify the entire range of rows. If the first row of a range is a total, that row is included in the new total.

The following table describes how operators are used in row total formulas:

Operator | Example formula | Description
+ | 100+330 | Adds the amount in row 100 to the amount in row 330.
: | 100:330 | Sums the totals of all rows between row 100 and row 330.
- | 100-330 | Subtracts the amount in row 100 from the amount in row 330.

Create a row total

  1. In Report Designer, click Row Definitions, and then open the row definition to modify.

  2. Double-click the Format Code cell in the row definition, and select TOT.

  3. In the Related Formulas/Rows/Units cell, type the total formula.

See Also

Use a calculation formula in row definition
Totals and calculations in row definitions


Use a calculation formula in row definition

A calculation formula in a row definition can include the +, -, *, and / operators, along with IF/THEN/ELSE statements. Additionally, a calculation can involve individual cells and absolute amounts, which are actual numbers included in the formula. The formula can be up to 1024 characters long.

Calculations cannot be applied to rows that contain cells defined as the Link to Financial Dimensions (FD) type. However, you can place calculations on consecutive rows, suppress the printing of those rows, and then total the calculation rows for report purposes.

Operators in a calculation formula

A calculation formula uses more complex operators than a row total formula, but allows you to multiply (*) and divide (/) amounts with the additional operators.

To use a range or sum in a calculation formula, you must use the at sign (@) in front of any row code, unless you are using a column in the row definition. For example, to add the amount in row 100 to the amount in row 330, you could use the row total formula 100+330, or the calculation formula @100+@330.

Note Note

You must use the at sign (@) before each row code that you use in a calculation formula, or the number is read as a real number. For example, the formula @100+330 would add $330 USD to the amount in row 100.

When you reference a column in a calculation formula, the at sign (@) is not required. For more information about columns in a calculation formula, see Select report columns in a row definition.

Create a calculation formula

  1. In Report Designer, click Row Definitions, and then open the row definition to modify.

  2. Double-click the Format Code cell and select CAL.

  3. In the Related Formulas/Rows/Units cell, type the calculation formula.

Example

The following is an example of a row definition that shows a total that includes a calculation.

Row Code | Description | Format Code | Related Formulas/Rows/Unit | Print Control | Row Modifier | Link to Financial Dimensions
340 | Cash at Beginning of Period |  |  | NP | BB | +Account=[1100:1110]
370 | Cash at Beginning of Year | CAL | @100+@330 | NP |  |
400 | Cash at Beginning of Period | TOT | 340+370 |  |  |

In this example, the calculation formula @100+@330 means that the amount in row 100 is added to row 330. The row total formula of 340+370 adds the amount in row 340 to the amount in row 370, which includes the amount from the calculation formula.

See Also

IF/THEN/ELSE statements in a row definition
Select report columns in a row definition
Modify a number in selected columns
Restrict calculation to a reporting unit in a row definition
Use a row total in a row definition
Totals and calculations in row definitions


Select report columns in a row definition

When the row in a row definition has a Format Code of CAL, and you enter a mathematical calculation in the Related Formulas/Rows/Units cell, you must also enter either the letter of the associated column and row in the report, such as A.120 to denote column A, row code 120, or you can use the at sign (@) to indicate all columns. For example, you can enter @120 to denote all columns in row 120.

Any mathematical calculation that does not have a column letter or an at sign (@) is assumed to be a real number.

Note Note

If you use a label row code to reference a row, you must separate the column letter from the label with a period (.). For example, A.GROSS_MARGIN/A.SALES.

The at sign (@) does not require the period separator. For example, @GROSS_MARGIN/@SALES.

Example

The following is an example of a row definition that shows a total that includes a calculation.

Row Code | Description | Format Code | Related Formulas/Rows/Unit | Print Control | Row Modifier | Link to Financial Dimensions
340 | Cash at Beginning of Period |  |  | NP | BB | +Account=[1100:1110]
370 | Cash at Beginning of Year | CAL | E=C.340 | NP |  |
400 | Cash at Beginning of Period | TOT | 340+370 |  |  |

In this example, the calculation formula E=C.340 means that the calculation in the cell in column C, row code 340 is performed only on column E.

Note Note

When you reference a column in a calculation formula, the at sign (@) is not required.

See Also

Use a calculation formula in row definition
Use a row total in a row definition
IF/THEN/ELSE statements in a row definition
Modify a number in selected columns
Restrict calculation to a reporting unit in a row definition


Modify a number in selected columns

When you modify a number or calculation in one column of a particular row but do not want to affect other columns in the report, you can specify CAL (for Calculation) in the Format Code column of the row definition.

Modify a number in selected columns

  • To perform a calculation on all report (FD) columns, do not enter a column assignment.

  • To restrict a formula to certain columns, enter the column letter followed by an equal sign (=) and the formula.

  • You can specify multiple columns. When you use the at sign (@) with specific column placement, the @ relates to the row.

  • You can enter multiple column formulas in one row if they are separated by commas.

Example

This calculation | Creates this action
@130*.75 | The value in row 130 is multiplied for each column by .75, and then the result is put in the current row of every column.
B=@130*.75 | The calculation is performed only on column B.
A,B,C=(@100/@130)*.75 | A=(A.100/A.130)*.75B=(B.100/B.130)*.75C=(C.100/C.130)*.75

See Also

Use a calculation formula in row definition
Use a row total in a row definition
IF/THEN/ELSE statements in a row definition
Select report columns in a row definition
Restrict calculation to a reporting unit in a row definition


IF/THEN/ELSE statements in a row definition

IF/THEN/ELSE statements can be added to any valid calculation and used with the CAL format. Enter IF/THEN/ELSE calculation formulas in the cell in the Related Formulas/Rows/Units column according to the following format:

IF <true/false statement> THEN <formula> ELSE <formula>

The ELSE <formula> portion of the statement is optional.

IF statements

The statement that follows the IF statement can be any statement that can be evaluated as true or false. The statement that follows the IF statement can appear as described below:

  • IF A.200>0 (simple evaluation)

  • IF A.200>0 AND A.200<10,000 (complex statement)

  • IF A.200>10000 OR ((A.340/B.1200)*2 <1200) (complex statement containing multiple expressions)

The term Periods in an IF statement is the number of periods for the report. This term is commonly used for calculating a year-to-date average. For example, when running a report for period 7 YTD, B.150/Periods means to divide the value in row 150 of column B by 7.

THEN and ELSE formulas

The THEN and ELSE formulas can be any valid calculation from the simplest value assignments to complex formulas. Note the following formula:

IF A.200>0 THEN A=B.200

The statement specifies that "if the value in the cell in column A of row 200 is greater than zero, then place the value from the cell in column B of row 200 into the cell in column A of the current row."

In this statement, you can also use the @ character in either TRUE/FALSE evaluations or in the formula to represent all columns. For example, the formula described in the preceding IF/THEN statement places a value in one column of the current row. Other examples are described below:

  • IF A.200 >0 THEN B.200: When the value in cell A.200 is positive, the value from cell B.200 is positioned into every column of the current row.

  • IF A.200 >0 THEN @200: When the value in cell A.200 is positive, the value from each column in row 200 is positioned into the corresponding column in the current row.

  • IF @200 >0 THEN @200: If the value in row 200 of the current column is positive, the value from row 200 is positioned into the same column in the current row.

See Also

Totals and calculations in row definitions
Use a row total in a row definition
Use a calculation formula in row definition
Select report columns in a row definition
Modify a number in selected columns
Restrict calculation to a reporting unit in a row definition


Restrict calculation to a reporting unit in a row definition

To restrict a calculation to a single reporting unit in a reporting tree, so that the resulting amount is not rolled up to a higher-level unit, you can use the @Unit code in the Related Forumulas/Rows/Units cell in the row definition. The @Unit code is listed in column B of the reporting tree, Unit Name. The values are not rolled up, but the calculation is evaluated at every level of the reporting tree.

Note Note

To use this function, you must have a reporting tree associated with the row definition.

The calculation row can refer to a calculation row or a financial data row.

The calculation is recorded in the Related Formulas/Rows/Units cell of the row definition, along with the financial data-type restriction. The calculation must use a conditional calculation beginning with an IF @Unit construction, such as the following calculation:

IF @Unit(SALES) THEN @100 ELSE 0

This calculation places the amount from row 100 in each column of the report, but only for the Sales unit. If there were multiple units named SALES, the amount would appear in each of those units.

Additionally, row 100 could be a financial data row and further be defined as non-printing, which prevents that amount from appearing in all units in the tree. You can also limit the amount to a single column of the report by using the column restriction, such as column H, to print the value only in specific columns of the report.

You can include OR combinations in an IF statement, for example:

IF @Unit(SALES) OR @Unit(SALESWEST) THEN 5 ELSE @100

You can specify a unit in a calculation-type restriction in one of the following ways:

  • Enter a unit name to include those units that match. For example, IF @Unit(SALES) allows the calculation for any unit named SALES, even if there were several SALES units within the reporting tree.

  • Enter the company and unit name to restrict the calculation to SALES units in the ACME company only. For example, IF @Unit(ACME:SALES).

  • Enter the full hierarchy code from the reporting tree to restrict the calculation to a specific unit. For example, IF @Unit(SUMMARY^ACME^WEST COAST^SALES).

    Note Note

    To find the full hierarchy code, right-click in the reporting tree definition, and then select Copy Reporting Unit Identifier (H-code).

Restrict a calculation to a reporting unit

  1. In Report Designer, click Row Definitions, and then open the row definition to modify.

  2. Double-click the Format Code cell, and then select CAL.

  3. Click the Related Formulas/Rows/Units and type the conditional calculation starting with an IF @Unit construction.

See Also

Use a row total in a row definition
IF/THEN/ELSE statements in a row definition
Select report columns in a row definition
Modify a number in selected columns


Format row and column text

You can customise the appearance of your reports by changing fonts and formatting text. The following topics explain how to format the appearance of rows and columns in reports.

Manage font styles

Format row text

Adjust columns while designing reports


Manage font styles

You can create and modify font styles for your report and apply these styles to the entire document or to a specific row or column within a report.

Create a font style

  1. In Report Designer, on the Format menu, click Styles and Formatting.

  2. Click New in the Styles and Formatting dialogue box, and then enter a unique name for the new style.

  3. Make your font selections, and then click OK.

Modify a font style

  1. In Report Designer, on the Format menu, click Styles and Formatting.

  2. Select a style to modify in the Styles and Formatting dialogue box, and then click Modify.

  3. Make your font selections, and then click OK.

Apply a font style

  1. Open Report Designer. In a row definition or column definition, or in headers and footers, select one or more cells.

  2. In the Style list on the toolbar, select a font style.

See Also

Adjust columns while designing reports


Format row text

The formatting specified in the row definition overrides formatting specified in the column definition and the report definition.

You can modify text format by using the controls on the formatting toolbar. These controls are standard Microsoft Windows controls.

Format row text

  1. In Report Designer, open the row definition to modify.

  2. Select the cells to format. To select multiple cells, press the Ctrl key while you select the cell.

  3. Click the toolbar button of the format to apply. For example, to indent a row, select the row, and then click Increase Indent in the toolbar.

See Also

Manage font styles
Adjust columns while designing reports


Adjust columns while designing reports

To make it easier to view the columns that you are working on in the row definition, you can adjust the width of a column and hide (minimise) or show columns in the view pane. Any modifications that you make affect the screen appearance only, and do not affect the column formatting in reports. To format the column width for a report, see Add special formatting options.

Change the width of a column in view pane

  1. In Report Designer, open the row definition to modify.

  2. On the Format menu, select Column Width.

  3. Enter a value in the Column Width dialogue box. Click OK.

    You can also drag the right boundary of a column heading cell to change the width of the column.

Hide columns in view pane

  1. In Report Designer, open the row definition to modify.

  2. Select the column or columns to minimise.

  3. Right-click, and then click Hide.

Show all hidden columns in view pane

  1. In Report Designer open the row definition to modify.

  2. Right-click the minimised column that you want to display, and then click Unhide.

See Also

Manage font styles
Add special formatting options


Column definitions

A column definition is a report component, also called a building block, which defines the contents of columns in a report. Like row definitions, a basic column definition can be used in multiple reports.

A column definition can contain 2 to 255 columns.

Create a column definition

  1. In Report Designer, click Column Definitions.

  2. On the File menu, click New, and then select Column Definition.

  3. Add the information that is defined in the Contents of a column definition section later in this topic.

Open a column definition

  1. Open Report Designer. In the navigation pane, click Column Definitions.

  2. Double-click a column definition to open it.

Add a column to a column definition

  1. In Report Designer, click Column Definitions, and then open the column definition to modify.

  2. Select a column where a new column should be inserted.

  3. On the Edit menu, click Insert Column. The new column appears to the left of the column that you selected.

Delete a column from a column definition

  1. In Report Designer, click Column Definitions, and then open the column definition to modify.

  2. Select the column to delete.

  3. On the Edit menu, click Delete Column.

Contents of a column definition

A column definition includes the following information:

  • A column that displays the descriptions from the row definition.

  • Amount columns that display data from the financial data, an Excel spreadsheet, or calculations on other data in the column definition.

  • Formatting columns.

  • Attribute columns.

This information appears in the following two sections in the column definition:

  • The headers area of the column definition contains the heading text and formatting that appears in the report. A header can apply to a single column of data, spread across multiple columns, or apply to columns on a conditional basis. For more information about column headers, see Create column headers. The column definition can include as many column header rows as you need.

    Note Note

    Column headers apply to each column of data in the report. Report headers apply to the whole report. Define report headers on the Headers and Footers tab of the report definition.

  • Column detail rows are the rows under the header rows in the column definition. Column detail rows define the information to include in the report. The following table lists and describes the column detail rows.

    Column Detail Row Name

    Description

    Column Type

    Specifies the type of data in this column. For more information, see Specify a column type in a column definition. This is a required component.

    Book Code/Attribute Category

    Specifies financial data information for FD and ATTR column types. For more information, see Financial Dimensions column.

    Fiscal Year

    Period

    Periods Covered

    Specify financial data information for FD column types. For more information, see Financial Dimensions column.

    Formula

    Specifies a calculation formula for CALC column types. For more information, see Calculation column in a column definition.

    Column Width

    Extra Spaces Before Column

    Format/Currency Override

    Print Control

    Specify special format options. For more information, see Add special formatting options or Adjust columns while designing reports.

    Column Restrictions

    Restricts data. For more information, see Add a column restriction.

    Reporting Unit

    Restricts the column to show data for the specified reporting unit only. For more information, see Build a reporting tree definition.

    Currency Source

    Currency Filter

    Format currency. For more information, see Format a multiple currency report in a column definition.

    XBRL Currency

    XBRL Dimension

    Specifies XBRL currency and dimensional data. For more information about the XBRL Dimensions dialogue box, see Link to XBRL taxonomies. Dimensions not defined in the column definition must be defined in the reporting tree definition.

    Dimension Filter

    Specifies a filter to limit data to certain financial data reporting units. For more information, see Apply a dimension filter in a column definition.

    Attribute Filter

    Specifies a filter to limit the financial data. For more information, see Apply an attribute filter in a column definition.

    Start Date

    End Date

    Restrict the financial data to specific dates. For more information, see Restrict a column to specific dates in a column definition.

    Justification

    Justifies the description text that is specified in the row definition. For more information, see Apply column justification in a column definition.

See Also

Column details
Apply formatting in a column definition
Link to XBRL taxonomies


Column details

A column definition is a report component, also called a building block, which defines the contents of the report columns. Like row definitions, a basic column definition can be used in multiple reports. For more information about how to specify column information, see the following topics:

Specify a column type in a column definition

Column restrictions in a column definition


Specify a column type in a column definition

The type of information that is included in each column within a report is specified by the value in the Column Type row in the column definition. Each column definition must contain at least one description (DESC) column and one amount (FD, WKS, or CALC) column. For a definition of each column type, see Column types.

Note Note

The Column type codes do not apply to all accounting systems. If you select a type that is not valid with your accounting system, that column appears blank in the report.

Specify a column type

  1. In Report Designer, open the column definition to modify.

  2. Double-click a cell in the Column Type row in the appropriate column.

  3. Select a column type from the list. For a description of column types, see Available column types.

Column types

Column type code

Description

FD

Use this code to display financial data, or to display data from an Excel spreadsheet when you use a Link to Financial Dimensions column or a Link to Worksheet column in the row definition.

When you select the FD column type, default settings are automatically specified in the following rows:

  • Book Code/Attribute Category – ACTUAL

  • Book Code/Attribute Category – ACTUAL

  • Fiscal Year – BASE

  • Period – BASE

  • Periods Covered – PERIODIC

  • Column Width – 14

These default settings can be changed. For more information, see Financial Dimensions column.

CALC

Use this code to display the result of a simple or complex calculation. For more information, see Calculation column in a column definition.

DESC

Use this code to place the row description from the row definition. Although this column is frequently the first column in the report, the description column can be in any position.

ROW

Use this code to display the individual row codes for financial rows from the Row Code column in the row definition.

For more information, see Specify a row code in row definition.

ACCT (Account codes)

Use this code to display the concise financial data segment values or dimension values that apply to each row. For account and transaction detail reports, the fully-qualified account is printed, for example, 110140-070-0101. If ranges have been specified in the Link to Financial Dimensions column in an associated row definition, the range is enclosed in square brackets and is treated as if it were a single value. For example, [110140:110700]-070-[0101:0200]. For financial reports and high-level reports that may be a combination of several accounts, the financial data link from the row definition is printed, for example, 1100:1200.

FILL

Use this code to fill the cell with a character that is enclosed in single quotation marks. If you do not enter a character, the column blank is left blank. For example, to fill a column with an ellipsis (...), enter FILL '.'.

PAGE

Use this code to insert a vertical page break in the report. The columns that are to the right of the PAGE column appear on a different page.

WKS

Use this code to display data that is pulled from an Excel spreadsheet.

ATTR

If your accounting system supports the use of attributes, use this code to display an account or transaction attribute in the column. An attribute, which must apply to a single full account, extracts underlying account or transaction information from the financial data. Account-level attributes display data from the account and transaction-level attributes display data that occurred at the time the transaction was posted. For more information about how to use attributes together with a row definition, see Row modifier in row definitions.

When you select ATTR as the column type, specify the Attribute Category in the Book Code/Attribute Category detail row of the column definition.

For more information about attribute filters, see Apply an attribute filter in a column definition.

XBRL ELEMENT

If you are using XBRL, use this code to display the XBRL element that is associated with this column type. For more information about XBRL, see XBRL and Management Reporter.

See Also

Financial Dimensions column
Calculation column in a column definition
Apply an attribute filter in a column definition
Apply a dimension filter in a column definition
Format a multiple currency report in a column definition
Column details


Financial Dimensions column

The following Column Definition row definitions apply to columns with the Column Type FD (Amounts from Financial Dimensions).

Book Code/Attribute Category

The Book Code/Attribute Category cell identifies the book code for the data in the FD column. A column definition can include multiple actual, budget, and statistical columns, and can display different periods, such as current or year-to-date, and different amounts.

The list of book codes reflects the actual, budget, and statistical (non-financial) options that have been established in your financial data.

Period

The Period cell identifies the fiscal periods to include in this column. The period can be relative to the base period that is specified when the report is generated. The following options are available:

Option | Description
BASE | Use the base period.
BASE+# | Use the period that is # periods after the base period. For example, to use the third period after the base period, type BASE+3.
BASE-# | Use the period that is # periods before the base period. For example, to use the prior period, type BASE-1.
BASE-#:BASE | Use multiple periods from before the base period through the base period. For example, to use the three prior periods and the base period, type BASE-3:BASE.
BASE:BASE+# | Use multiple periods from the base period through a number of periods after the base period. For example, to use the base period and the following two periods, type BASE:BASE+2.
BASE-#:BASE+# | Use multiple periods from before the base period to after the base period. For example, to use the three prior periods, the base period, and the following two periods, type BASE-3:BASE+2.
1:BASE | Use multiple periods from the first period through the base period.
# | Always use a specific period number. We do not recommend using this option because it reduces the flexibility of the column definition.
#:# | Always use a specific range of periods. We do not recommend using this option because it reduces the flexibility of the column definition.

You can go beyond fiscal year boundaries in any of the period specifications, and you can mix years within a range of periods. For example, if you specify the periods BASE- 5 (representing the past 6 periods) and run the report with a base period of 2, the report will show data for the first two periods of the specified fiscal year and the last four periods of the previous fiscal year.

Specify the periods for an FD column

  1. In Report Designer, open the column definition to modify.

  2. In an FD column, double-click the cell in the Period row, and then select an option in the list.

  3. In the formula bar (above the menu bar), complete the formula:

    • If you selected a BASE option in step 1, replace the number sign (#) character with the number of periods to offset the data.

    • If you selected the # or #:# option in step 1, replace each number sign (#) character with a specific period value.

Note Note

Alternatively, you can type the entire formula into the Period cell.

Periods Covered

The Periods Covered cell identifies the amount to display in this column. This amount is relative to the value in the Fiscal Year and Period cells for this column. The following options are available:

Option | Description
PERIODIC | Displays the sum of the activity for the current period or range of periods.
PERIODIC/BB | Displays the beginning balance for the current period or range of periods.
YTD | Displays the sum of the year-to-date activity.
YTD/BB | Displays the beginning balance for the year.

Specify the periods covered for an FD column

  1. In Report Designer, open the column definition to modify.

  2. In an FD column, double-click the cell in the Periods Covered row.

  3. Select an option in the list.

See Also

Specify a column type in a column definition
Calculation column in a column definition
Apply an attribute filter in a column definition
Apply a dimension filter in a column definition
Format a multiple currency report in a column definition


Apply an attribute filter in a column definition

Attributes are financial data values that further define an account or transaction. Account attributes may include Asset, Liability, Revenue, and Expense. Transaction attributes may include Transaction Description and Transaction Apply Date. Attribute support may differ between Microsoft Dynamics ERP systems.

The Attribute Filter cell restricts data in FD columns to specific values or ranges for attribute categories. This can be used in conjunction with an ATTR column, but the ATTR column is not required. In the FD column, there is a limit on which accounts or transactions will be included in the report from the attribute filter.

Note Note

To see which attributes your ERP system supports, see the integration guide for your system.

For information about using account attributes and transaction attributes in the row definition, see Row modifier in row definitions.

Apply an attribute filter for an FD column in a report

  1. In Report Designer, open the column definition to modify.

  2. Double-click the Attribute Filter cell for an FD column.

  3. In the Attribute Filter dialogue box, double-click a cell in the Attribute column, and then select the filter type.

  4. To further limit the results, enter a range in the From and To columns. The From cell must contain a value.

  5. Click OK.

Example

The following table shows an account attribute in the Attribute Category row. The Attribute Filter for this column specifies the range of values to include in the report.

 | A | B
Column Type | DESC | FD
Book Code/Attribute Category |  | ACTUAL
Fiscal Year |  | BASE
Period |  | 1:BASE
Periods Covered |  | PERIODIC
... |  |
Column Width | 30 |
... |  |
Attribute Filter |  | Reference=[01:10]

See Also

Financial Dimensions column
Calculation column in a column definition
Apply an attribute filter in a column definition
Specify a column type in a column definition


Apply a dimension filter in a column definition

A dimension filter is used to restrict the FD column to specific dimension values.

The filter can include a single dimension, a range of dimensions, or a group of dimensions. The filter can also include dimension value sets. Because dimension values can vary, a dimension-based system does not have to adhere to an exact length.

The filter is applied, regardless of whether the report includes a reporting tree.

You can use a wildcard character (? or *) in any position. When you specify multiple accounts, place a comma between accounts, as in the following example:

+Account=[1200], +Account=[1100], Department=[01?]

To receive all departments for a specific account, you can exclude the Department dimension in the dimension filter. For example,

+Account=[1100],Department

is treated the same as:

+Account=[1100]

You can also use any combination of alphanumeric characters for exact matching, and you can define partial dimensions. For example, Location = [10*] includes all location dimension values that begin with 10.

Apply a dimension filter for a column in a report

  1. In Report Designer, open the column definition to modify.

  2. Double-click the Dimension Filter cell for an FD column.

  3. In the Dimensions dialogue box, enter the filter(s) to apply.

  4. Click OK.

See Also

Financial Dimensions column
Calculation column in a column definition
Apply an attribute filter in a column definition
Specify a column type in a column definition


Format a multiple currency report in a column definition

A multiple currency report can display amounts in the natural (local), functional (default), or reporting currency. A company’s functional currency is defined in the Microsoft Dynamics ERP system. Do not confuse this ERP setting with the operating system regional options setting where you can configure the default currency symbols to be used on reports.

The following currency-related cells are in the column definition:

  • Currency Source – Specifies the type of currency (natural, functional, or reporting) in which the transactions are displayed. This functionality is sometimes called currency translation, which is the ability to report general ledger amounts in a currency that may not be the functional currency of the company, and it may not be the currency in which the transaction was entered.

  • Currency Filter – Specifies a currency filter. Only transactions entered in the selected currency are displayed in the report.

To determine a company’s functional currency, do the following:

  1. In Report Designer, on the Company menu, click Companies to open the Companies dialogue box.

  2. Select a company, and then click View. The View Company dialogue box opens. The currency defined for this company is shown under Regional options.

For more information about creating a multiple currency report, see Multicurrency translation.

Specify the currency in a multiple currency report

  1. In Report Designer, open the column definition to modify.

  2. Double-click the Currency Source cell in an FD column.

  3. Select an option for displaying currency information: Natural/originating currency, Functional currency from company information, or the reporting currency.

  4. Double-click the Currency Filter cell in the FD column, and then select the appropriate currency code in the list. Only transactions entered in this currency are displayed in the report.

Note Note

The options described here may differ based on the ERP system. For more information, see data integration guide for your ERP system.

Example

Phyllis has made the following currency selections in her column definition:

  • Currency Source – Functional (Malaysian Ringgit)

  • Currency Filter – Canadian dollars

Because of the currency filter selection, the report prints only transactions that were entered in Canadian dollars. Because of the currency source selection, the report displays those transactions in the functional currency (Malaysian Ringgit).

Currency filter and currency source combinations

The following table illustrates the report results for various combinations of Currency Source and Currency Filter. The functional currency is Malaysian Ringgit (MYR).

Currency Source | Currency Filter | Report Result
Natural/originating currency | YEN | Y6,000
Functional currency from company information | YEN | $60*
Functional currency from company information | empty | $2,310**
Natural/originating currency | MYR | $2,250

* Conversion rate at approximately 100 yen per Malaysian Ringgit.

** Functional currency from company information currency source with an unset currency filter displays the sum of all transactions.

See Also

Multicurrency translation
Financial Dimensions column
Specify a column type in a column definition


Calculation column in a column definition

A calculation column (CALC) in a column definition supports complex calculations, and can include the +, -, *, and / operators, along with IF/THEN/ELSE statements. Additionally, a calculation column can refer to any other column, including subsequent columns. The formula can be up to 1024 characters long.

To express the calculation result as a percentage, use a special format mask.

Note Note

The results of calculation formulas do not include the values in nonprinting column ranges. For example, A:D will print zero, whereas A+B+ C for nonprinting values will calculate the value.

Operators in calculation columns

To add, subtract, multiply, or divide columns, type the column letters in the order of computation, and then use the appropriate operator to separate each column letter. The following table explains the operators that you can use in a calculation column:

Operator

Example calculation

Description

+

A+C

Add the amount in column A to the amount in column C.

:

A:C

A:C-D

Add a range of consecutive columns.

For example, the formula A:C adds the sum of columns A through C, and the formula A:C-D adds the sums of columns A through C, and then subtracts the amount in column D.

-

A-C

Subtract the amount in column A from the amount in column C.

Note Note

You can also use the minus sign (-) to reverse the signs in a column. For example, use -A+B to add the reverse amount of column A to column B.

*

A*C

Multiply column A by column C.

/

A/C

Divide the amount in column A by the amount in column C.

Use a calculation formula in a column definition

  1. In Report Designer, open the column definition to modify.

  2. In a CALC column, type a formula in the Formula cell.

Complex calculations

A complex calculation can contain any combination of cell references, operators, values, and levels of nested parentheses.

For example, to compute the average of columns A and B, use the calculation formula of ((A+B)/2).

See Also

IF/THEN/ELSE statements in a column definition
Specify report cells in a column calculation
Multiply or divide in a column calculation
Specify a column type in a column definition
Use a calculation formula in row definition


IF/THEN/ELSE statements in a column definition

An IF/THEN/ELSE statement enables any calculation to be conditional upon the results of any other column. You can refer to other columns, but not to a report cell in the IF statement. Any calculation must be applied to the whole column.

For example, the statement IF B>100 THEN B ELSE C*1.25 means the following: If the amount in column B is greater than 100, place the value from column B in the CALC column. If the amount is not greater than 100, multiply the value in column C by 1.25, and place the result in the CALC column.

Always follow the IF clause with a logic statement that evaluates to TRUE or FALSE. The formulas that you use for both the THEN clause and the ELSE clause can contain references to any number of columns, and can be as complex as you want.

Note Note

You cannot place the results of a calculation in any other column; the results must be in the column that contains the formula.

For more information about creating IF/THEN/ELSE statements, see IF/THEN/ELSE statements in a row definition.

See Also

IF/THEN/ELSE statements in a row definition
Calculation column in a column definition
Advanced formatting


Specify report cells in a column calculation

You can refer to a specific report cell by typing a column letter and a row code. For example, B.100 refers to column B, row code 100.

You can divide a whole column by a specific report cell amount that is in the same column. For example, the calculation B/B.100 means that the entire column B should be divided by the value in column B, row code 100.

If the calculation references a column that is dependent on another column, the dependent column is resolved first. If you refer a column to another column that, in turn, refers back to the first column, a circular reference error results.

Note Note

This calculation might be incorrect if you change the calculation priority for the report. You can set the calculation priority on the Settings tab of the report definition.

See Also

Select report columns in a row definition
Calculation column in a column definition


Multiply or divide in a column calculation

To multiply and divide columns, type the column letters in the order of computation, and then use the appropriate operator to separate each column letter. For more information about operators in a calculation column, see Calculation column in a column definition

Multiply or divide a column by base row

You can create a column that displays all of the values in a specified column as a percentage of a base number. This provides a method to show relationships between rows, such as a percentage of a sales row or a percentage of a total expenses row.

To multiply or divide each row in a specific column by a base row, type the column that will be used in the calculation, and then type *BASEROW or /BASEROW. For example, C*BASEROW or C/BASEROW.

Note Note

When you use a base row calculation in a column definition, make sure that each row definition that is used with this column definition contains at least one base row for calculations. For more information, see Select the base row for a column calculation.

Divide amount in column by the number of periods

You can divide the amount in a column by a specified number of periods. For example, the calculation B/Periods divides the value in column B by the number of periods in column B. If the calculation spans multiple columns, specify the number of periods to use in the calculation.

For example, the (B+C)/Periods formula means to add the amounts in columns B and C, and then divide the result by the value of the Period for this column.

See Also

Calculation column in a column definition
Operators in calculation columns


Column restrictions in a column definition

You can use column restrictions to specify how a column definition uses data or calculates information. You can also restrict a report column to a specific unit or for specific dates.

Add a column restriction

Restrict column to reporting unit in column definition

Restrict a column to specific dates in a column definition


Add a column restriction

The Column Restrictions cell can include codes that restrict or suppress information, such as row formatting, details, and amounts, for that column.

Note Note

A Column Restriction code overrides any conflicting setting that is assigned in the row definition.

Add a column restriction in a column definition

  1. In Report Designer, open the column definition to modify.

  2. Double-click the Column Restrictions cell for the column that you want to restrict.

  3. In the Column Restrictions dialogue box, select one or more codes in the list, and then click OK.

Column restriction codes

The following table describes the column restriction codes.

Column Restriction Code

Description

SU

Suppresses the underscore for a column for which either an underscore command ( --- ) or a double underscore command ( === ) is entered in the row definition. For example, you might not want to underline amounts that are the result of a percentage calculation.

ST

Suppresses totals and shows only details in this column, for example, in statistical columns.

SD

Suppresses details and shows only TOT and CAL rows, from the row definition, in this column.

DR

Restricts the amounts in an FD column to debit amounts.

CR

Restricts the amounts in an FD column to credit amounts.

ADJ

Restricts the amounts in the column to period adjustment amounts, if available.

XAD

Restricts the amounts in the column to exclude the period adjustment amounts (if available).

PT

Restricts the amounts in the column to include posted transactions only, if available.

UPT

Restricts the amounts in the column to include unposted transactions only, if available.

Note Note

Not all data providers support unposted transactions. For more information, see the data integration guide for your Microsoft Dynamics ERP system.

See Also

Column restrictions in a column definition


Restrict column to reporting unit in column definition

You can use the Reporting Unit cell to restrict an FD (Amounts from Financial Dimensions) column to a specific reporting unit in the reporting tree. For example, you can display reporting units side by side, such as in departmental comparison reporting.

Note Note

If you specify a reporting unit in the column definition, you must specify the same reporting tree in the report definition, or the columns will be empty on the report.

Restrict a report column to a reporting unit

  1. In Report Designer, open the column definition to modify.

  2. Double-click the Reporting Unit cell for the column to be restricted.

  3. In the Reporting Unit Selection dialogue box, select a tree in the Reporting tree list.

  4. Expand or collapse the list of units, and then select a reporting unit and then click OK.

See Also

Financial Dimensions column
Column restrictions in a column definition


Restrict a column to specific dates in a column definition

The Start Date and End Date cells restrict data in FD columns to specific dates. This restriction is useful for daily or weekly sales reporting, cash analysis needs, and other date-sensitive reports.

You can enter a specific day of the period. For example, you can enter 3 to indicate the third day of the period. The ability to add a specific day of the period adds flexibility because you do not have to select the actual dates again when you run the report for the next period.

Enter a starting and ending date

  1. In Report Designer, click Column Definitions in the navigation pane, and open the column definition to modify.

  2. Double-click the Start Date cell in an FD column, and then select a date on the calendar.

  3. Double-click the End Date cell for the same FD column, and then select a later date on the calendar.

Example

The following entry is valid.

Start Date | 1 | 16 | 4/1/2017
End Date | 15 | 30 | 4/30/2017

The following entry is not valid.

Start Date | 04012017
End Date | 04302017

See Also

Financial Dimensions column
Column restrictions in a column definition


Apply formatting in a column definition

Several formatting options are available for column definitions.

Create column headers

Apply column justification in a column definition

Add special formatting options


Create column headers

You can add, modify, and delete the headers that appear across the top of the columns in a report by using the Column Header dialogue box.

You can also configure conditional spanning column headers based on the Period field, which is indicated in Column Definitions, and the Base Period, which is indicated in Report Definitions. The Base Period is a time-saving feature when you create rolling forecast reports. For more information, see Conditional spanning headers.

Column Header dialogue box options

Option | Description
Column header text | This text appears in the column header. You can type text directly into this box, or you can click Insert AutoText to select an option that updates the column header each time that the report is generated. To include multiple autotext codes, click Insert AutoText again, and then click another code in the list. For information about the available autotext variables and where they apply, see Column header autotext codes.
Format options | Lists formatting options that can be applied to a column header, such as box or underline.
Spread from and Spread to | Defines the column or columns that the header text applies to.
Justification | Specifies how the Column header text will align with respect to the column or range of columns that are specified in the Spread from and Spread to boxes.

Create a column header

  1. In Report Designer, open the column definition to modify. Double-click a header cell.

  2. In the Column Header dialogue box, enter the column header text, or click Insert AutoText and select an option.

  3. Select a formatting style for the header in the Format options field. For additional formatting options, see Manage font styles.

  4. In the Spread from field, type the letter of the column over which the column header should start. In the Spread to field, type the letter of the column over which the column header should end.

  5. Under Justification, select whether the column header text to should be left, centre, or right justified.

  6. Click OK.

Add a column header row

  1. In Report Designer, open the column definition to modify.

  2. Select a cell in the header row.

  3. On the Edit menu, select Insert Row. The new row is inserted above the row that you selected in step 2.

Note Note

If you have four or more rows of report headers in a report, the headers will overlap when the report is export to a Microsoft Excel worksheet. To view all headers in the report, increase the top margin in the report definition.

Delete a column header row

  1. In Report Designer, open the column definition to modify.

  2. Select a cell in the header row to delete.

  3. On the Edit menu, select Delete Row.

See Also

Column header autotext codes
Conditional spanning headers
Manage font styles
Apply formatting in a column definition


Column header autotext codes

Autotext codes are variables that are updated every time that a report is generated. Any column header can include these codes to specify information, such as date or period number, that can vary for reports. Therefore, you can use one column definition for multiple report definitions, time periods, and reporting trees.

Because codes rely on the calendar information from the Column Detail section, codes only work with FD columns. The way an autotext code appears in the column header cell affects how that information appears in the report. In the Column Header dialogue box, the autotext codes appear in mixed case, which causes mixed case text in the report. For example, in a standard calendar year, @CalMonthLong resolves month 7 to July. If the text should be uppercase in the report, for example JULY, type the code in uppercase characters, for example, @CALMONTHLONG, into the Column header text box.

You can mix codes with text. For example, the following header text: Period @FiscalPeriod-@FiscalYear from @StartDate to @EndDate creates a report heading similar to: Period 1-02 from 01/01/02 to 01/31/02

Note Note

The way some of the text is formatted, such as long date, depends on your regional settings on the Management Reporter server. To change these settings, click Start, select Control Panel, and then click Regional and Language.

The following table lists the available autotext options for column headers.

AutoText Option and Code | Description
Month name (@CalMonthLong) | Prints the name of the current month in the column heading. If you decide to round the amounts in the report to thousands, millions, or billions, or if you set the column width in the report to fewer than nine characters, the name of the month abbreviates to its first three characters.
Abbreviated month name (@CalMonthShort) | Prints the abbreviated name of the month for the selected fiscal period.
Period number (@FiscalPeriod) | Prints the numeric form of the fiscal period identified for that column. If the column spans multiple periods, the last period in the range is printed.
Period description (@FiscalPeriodName) | Prints the fiscal period description that is identified in the financial data.
Fiscal year (@FiscalYear) | Prints the fiscal year for the column in numeric form.
Calendar year (@CalYear) | Prints the calendar year for the column in numeric form.
Start date (@StartDate) | Prints the column starting date.
End Date (@EndDate) | Prints the column ending date.
Unit name from tree (@UnitName) | If you restrict a column to a specific unit of the reporting tree, prints the unit name in the column header.
Unit description (@UnitDesc) | If you restrict a column to a specific unit of the reporting tree, prints the unit description in the column header.
Book Code (@BookCode) | Prints the book code specified in the column.
Blank line (@Blank) | Inserts an empty line in the column header.

See Also

Create column headers


Conditional spanning headers

Conditional spanning headers can span across multiple columns based on specific period data. For example, if you have a budget report for the fiscal year and you want to display the actual budgets of past months with the projected budgets of future months, you can use a conditional spanning header to automatically update the report header.

Be aware of the following situations when you create a conditional spanning header:

  • Any stop condition (Spread to field) that is matched before a start condition (Spread From field) is ignored. For example, if column B has the spread condition defined as BASE+1 to BASE, and if BASE is in column C and BASE+1 in column D, the stop condition in column C is ignored and the printing of the header starts at column D.

  • If you specify column headers that overlap, they print overlapped on the report. The following warning appears in the Report Queue Status although the report is still generated: “Column headers using Base intersect with other column headers and may cause overlapping text.” For example, if the header definition on column B is B to BASE+1, and the header definition on column D is BASE+1 to F, the headers are printed on top of each other and are illegible. Whenever BASE is used in a Spread from/Spread to definition, view the generated report to verify whether the headers overlap.

  • If you specify BASE in the spread definition in a No Print (NP) column, it is ignored, regardless of what is defined in the column definition. Essentially, it is the same as not creating a column header definition.

  • For conditional printing columns (P<B, P>=B), conditional spanning headers behave as any regular column header definition, for example, if the condition is false, any subsequent column matching the spread condition starts the header printing.

Create a conditional spanning header

  1. In Report Designer, open the column definition to modify. Double-click a header cell.

  2. In the Column Header dialogue box, enter the column header text, or click Insert AutoText and select an option.

  3. Select a formatting style for the header in the Format options field. For additional formatting options, see Manage font styles

  4. Specify a period relative to the base period that is specified when the report is generated. To do this, type one of the following options in the Spread from and Spread to field fields: BASE, BASE-X or BASE+X, where X is the number of periods from the base period.

    For example, if you type BASE in the Spread from field, the conditional spanning column header text starts in the column header where the report definition Base period = column definition Period and ends in the column indicated in the Spread to field. So, if the spread is BASE to M, and the report definition Base period = 4, the header starts in the column with the period set to 4 and ends at column M, inclusively. Headers stop and start on printing columns only.

  5. Under Justification, select whether the column header text to should be left, centre, or right justified.

  6. Click OK.

Example

Phyllis is creating a report for a dynamic six-month forecast. She wants the word Actual to be printed over the columns that contain actual data, and the word Budget to be printed over the columns that contain budget forecasts. Each month that the report is run, there is one more actual column and one less budget column. Phyllis can modify the column definition manually each time that the report is generated to adjust the headers, but she decides to save time and effort and to create conditional spanning headers that will automatically create headers over the appropriate columns each time that the report is run.

Phyllis opens Report Designer, clicks Column Definition in the navigation pane, and opens the column definition for the report. She enters the following information. The Base period in the report definition is 4.

 | A | B | C | D | E | F | G | H | I | J | K | L | M
Header 1 |  | Actual | Budget |  |  |  |  |  |  |  |  |  |
Header 2 |  | @CalMonthLong | @CalMonthLong | @CalMonthLong | @CalMonthLong | @CalMonthLong | @CalMonthLong | @CalMonthLong | @CalMonthLong | @CalMonthLong | @CalMonthLong | @CalMonthLong | @CalMonthLong
Header 3 |  |  |  |  |  |  |  |  |  |  |  |  |
Column Type | DESC | FD | FD | FD | FD | FD | FD | FD | FD | FD | FD | FD | FD
Book Code/Attribute |  | ACTUAL | BUDGET2012 | ACTUAL | BUDGET2012 | ACTUAL | BUDGET2012 | ACTUAL | BUDGET2012 | ACTUAL | BUDGET2012 | ACTUAL | BUDGET2012
Fiscal Year |  | BASE | BASE | BASE | BASE | BASE | BASE | BASE | BASE | BASE | BASE | BASE | BASE
Period |  | 1 | 1 | 2 | 2 | 3 | 3 | 4 | 4 | 5 | 5 | 6 | 6
Periods Covered |  | PERIODIC | PERIODIC | PERIODIC | PERIODIC | PERIODIC | PERIODIC | PERIODIC | PERIODIC | PERIODIC | PERIODIC | PERIODIC | PERIODIC
Column Width | 30 | 10 | 10 | 10 | 10 | 10 | 10 | 10 | 10 | 10 | 10 | 10 | 10
Print Control |  | P<=B | P>B | P<=B | P>B | P<=B | P>B | P<=B | P>B | P<=B | P>B | P<=B | P>B

Phyllis double-clicks a column header cell to open the Column Header dialogue box, where she enters the following information:

Field | Phyllis enters
Column header text | Actual
Insert AutoText | No selection made
Format options | Box
Justification | No selection made
Spread from | B
Spread to | BASE
Budget header | BASE+1 to end column

Phyllis clicks OK.

She then double-clicks the column header cell on column C to open the Column Header dialogue box, where she enters the following information:

Field | Phyllis enters
Column header text | Budget
Insert AutoText | No selection made
Format options | Box
Justification | No selection made
Spread from | C
Spread to | BASE+2

See Also

Create column headers
Column header autotext codes


Apply column justification in a column definition

The Justification cell is used to apply justification formatting to a description column in a report. This option affects only the column descriptions, not the actual values.

Apply column justification

  1. In Report Designer, open the column definition to modify.

  2. Double-click the Justification cell.

  3. Select a value in the list.

    • None – No justification is applied.

    • Left – Left-aligns the column descriptions.

    • Centre – Centres the column descriptions.

    • Right – Right-aligns the column descriptions.

See Also

Add special formatting options
Apply formatting in a column definition


Add special formatting options

In the column definition, the formatting column detail rows apply special formatting to selected columns. Although some of the Print Control options and Column Restrictions options are specific to FD columns, most of the options apply to all column types. The formatting in the row definition overrides the formatting in the column definition. The formatting used in the column definition overrides the formatting in the report definition.

The following rows are considered formatting rows:

  • Column Width

  • Extra Spaces Before Column

  • Format/Currency Override

  • Print Control

Column Width

The Column Width cell specifies the number of characters to use for the width of this column on the printed report. Column width is particularly important for columns that contain amounts (column type CALC, WKS, or FD), descriptions (column type DESC), or fill (column type FILL). The default column widths are as follows:

  • 14 characters (including cents, commas, and parentheses) for amount columns

  • 30 characters for the description columns

  • 2 characters for a fill column

The maximum width for any column is 255.

Specify the width of a column in a report

  1. In Report Designer, open the column definition to modify.

  2. In the Column Width cell, type the number of spaces for the width of the column. To allow Management Reporter to select the appropriate width for the cell content, double-click the Column Width cell, and then click AutoFit.

Extra Spaces Before Column

The Extra Spaces Before Column cell specifies the width of a separator between the adjacent columns in the column definition. The Extra Spaces Before Column setting affects all column detail rows, but not the column header rows, for this column.

Use this option to separate groups of columns or to add a few spaces before the description so that the description column is indented from the left-justified titles that are in the report.

The default number of spaces between each column is two. You can change this option on the Settings tab in the report definition.

Specify the space between columns

  1. In Report Designer, open the column definition to modify.

  2. In the Extra Spaces Before Column cell, type the number of spaces to insert between columns.

Format/Currency Override

The Format/Currency Override cell specifies the formatting of the decimal, currency, and percentage amounts in this column. This formatting overrides any formatting that is specified in the report definition or system defaults.

Assign a format currency override to a report column

  1. In Report Designer, open the column definition to modify.

  2. Double-click a Format/Currency Override cell in an amount column.

  3. In the Format Override dialogue box, select formatting options. For more information, see Select Format Override cell in row definition.

Print Control

The Print Control cell can contain codes that adjust the display or the printing characteristics of a column. There are Regular Print Control codes and Conditional Print Control codes.

Regular Print Control codes

Print Control Code

Translation

Description

NP

Nonprinting

Excludes the amounts in this column from printing in the report and from calculations.

To include a non-printing column in a calculation, refer to the column directly in the calculation formula. For example, the non-printing column C is included in the following calculation: B+C+D. However, the non-printing column C is not included in the following calculation: B:D.

XCR

Change sign if normal balance of row is credit

Creates a budget, or a comparative report, in which an unfavourable variance (such as a revenue shortfall or an expense overrun) is always negative.

Apply this code to a CALC column.

Select this code to reverse the sign of a CALC column amount if the normal balance of a given row is a credit (identified by a C in the Normal Balance column of the row definition).

Note Note

Code the appropriate rows with a C in the Normal Balance column (in the row definition) for the TOT rows and the CAL rows that normally carry a credit balance.

X0

Suppress column if all zeros or blanks

Excludes an FD column from the report if all cells in that column are either empty or contain zeros.

SR

Suppress rounding

Prevents the amounts in this column from being rounded.

XR

Suppress rollup

Suppresses a rollup. If the report uses a reporting tree, the amounts in this column are not rolled up into subsequent parent nodes.

RP

Repeat column on each page

Repeats a specified column on each page of a report. For example, to include a ROW column type that pulls in row codes on every page, use RP.

WT

Wrap text

Wraps text. If the text in a column is too long to fit the space, this option wraps the text to keep all of the text in the column.

Conditional Print Control codes

Conditional Print Control Code | Description
(none) | Clears the conditional print selection.
P<B | Displays a specified column only if the period is less than the base period.
P>B | Displays a specified column only if the period is greater than the base period.
P=B | Displays a specified column only if the period is equal to the base period.
P<=B | Displays a specified column only if the period is less than or equal to the base period.
P>=B | Displays a specified column only if the period is greater than or equal to the base period.

Add print control codes to a report column

  1. In Report Designer, open the column definition to modify.

  2. Double-click the Print Control cell.

  3. In the Print Control dialogue box, select a code in the Select print control options list. To select more than one code, press and hold the Ctrl key as you select the codes.

  4. Select an option in the Conditional print options field. By default, (none) is selected. You can select only one conditional print code at a time.

  5. Click OK.

Tip Tip

Alternatively, you can type the print codes directly into the Print Control cell. Separate multiple print control codes with a comma.

See Also

Apply formatting in a column definition
Apply column justification in a column definition
Select Format Override cell in row definition
Print control for conditional columns example
XCR Print Control code example


Reporting tree definitions

A reporting tree definition is report component, also called a building block, which helps define the structure and hierarchy of your organisation. It is a cross-dimensional hierarchical structure based on the dimensional relationships within your financial data. It provides information at the reporting unit level and at a summary level for all units in the tree.

In Management Reporter, a reporting unit is used for each box in an organisational chart. A reporting unit can be an individual department from the financial data, or it can be a higher-level summary unit that combines information from other reporting units. For a report definition that includes a reporting tree, one report is generated for each reporting unit and for the summary level. All of these reports use the row and column definitions that are specified in the report definition, unless the report definition specifies to use the reporting tree from the row definition.

Row and column definitions are important components in the design and functionality of financial reports. Reporting trees increase the power of the components and support flexible reporting as the business structure changes.

Financial reports that are not based on a reporting tree use only some of the capabilities of Management Reporter. You can use multiple reporting tree definitions with the same row and column definitions to view your organisation in various ways.

Reporting unit structure

Rolling up data in a reporting tree

Multiple reporting trees

Create and modify a reporting tree definition


Rolling up data in a reporting tree

By using a reporting tree, Management Reporter can aggregate amounts from child reporting units at the parent reporting unit level. This inclusion is called rolling up the data.

The following rules are used to roll up amounts to parent units in a reporting tree:

  • Within a reporting tree, child units must contain dimensions, unless it is a single-level tree. Parent units usually do not contain dimensions in a reporting tree.

    Note Note

    Specifying dimensions for both child units and parent units can cause duplication of data in the report.

  • Reporting units that contain dimensions in the reporting tree correspond to the dimensions that are used in the row and column definitions. The combination of dimensions determines the amounts returned for that unit. For example, lines 6 and 7 in Example 2 will return only the values for department 00 and 01, respectively.

  • The amounts for parent reporting units that do not contain dimensions in the reporting tree are determined from the child unit report and roll up the amount to the specified parent unit. For example, if the parent unit (see Total TWO in Example 2) has two child units (00 and 01) and does not contain dimensions, a report is generated for each child and the parent. The parent total is the sum of the two child amounts.

Examples

The following examples show possible information that is used in a reporting tree definition for an example of rolling up data.

Example 1

Screenshot of reporting tree definition example

Example 2

screen shot of reporting tree definition example 2

See Also

Reporting tree definitions
Multiple reporting trees
Reporting unit structure


Multiple reporting trees

You can create an unlimited number of reporting trees to view your organisation in various ways. Each reporting tree can contain any combination of departments and summary units.

Note Note

A report definition can contain a link to only one reporting tree at a time.

By rearranging the structure among the reporting units, you can create different reporting trees. You can then use the same row and column definition with each reporting tree, which lets you create different financial report layouts very quickly.

For example, the following diagram shows a reporting tree that is basically the same as the reporting tree that is shown in Reporting unit structure. The difference is that the reporting structure displays an organisational structure that is divided by business function instead of by location. These two reporting trees demonstrate different perspectives on company operations.

Summery of all units

If you create several different reporting trees, you can print a series of financial statements each month that analyse and present your company's operations in a variety of ways.

See Also

Reporting unit structure
Rolling up data in a reporting tree


Create and modify a reporting tree definition

Management Reporter supports flexible reporting so it is easy to make changes as your business structure changes. Reporting tree definitions can be combined with column definitions and report definitions to create a building block group that can be used by multiple companies. For more information about building block groups, see Building block groups.

Management Reporter for Microsoft Dynamics ERP displays each reporting tree definition in a graphical view for visualising the parent/child hierarchy, and in a worksheet view that shows the specific information for each reporting unit. The graphical view and the worksheet view are connected. When you select a reporting unit in one view, it is also selected in the other view.

You can build cross-dimensional hierarchies based on the dimensional relationships within your financial data. When you create a reporting tree definition, you can use the same row definitions repeatedly, whether you are generating a departmental income statement or a consolidated summary income statement.

The dimensions that are defined in the row definition can be combined with dimensions in the reporting tree definition to provide highly flexible views of your organisation's performance.

Reporting tree definition columns

The reporting tree definition contains the following columns:

Reporting Tree Column

Description

Company

The company name for the reporting unit. The @ANY value, which is typically assigned only to the summary level, enables the reporting tree to be used for all companies. All child branches have a company assigned to them.

Unit Name

The code that identifies this reporting unit in the graphical reporting tree. For ease of use, establish a unique coding system that is consistent and is easily understood by users.

Unit Description

The reporting unit title appears in the report header or footer if you enter UnitDesc as a code on the Headers and Footers tab of the report definition. The title appears in the report row description if you enter UnitDesc in the Description cell of the row definition.

Dimensions

Every detail reporting unit row must have a dimension in this column.

You can also place a dimension in a summary unit row, for example, for expenses directly related to that unit. If you enter a dimension in a summary unit row, accounts that are used in parent units should not be used in child units to avoid duplicated amounts.

For more information, see Add dimensions in a row definition.

Row Definitions

The name of the row definition for the reporting unit. The same row definition is used for each unit of the reporting tree. When you generate a report, this row definition is used for each reporting unit.

The row definition can include multiple financial dimensions links.

If you specify row definitions in the reporting tree, select the Use row definition from reporting tree check box on the Report tab of the report definition.

Row link

The row link to use for the reporting unit. Row links are defined for the row definition to identify the financial dimensions to link to.

External link

The row link to use for this reporting unit. Row links are defined for the row definition to identify the Excel spreadsheet file or the Management Reporter report to link to.

External file

The file path to the Excel spreadsheet or Management Reporter worksheet to pull data from. For more information, see Identify an Excel file in a reporting tree.

XBRL Dimension

Defines XBRL dimensions and labels. For more information about the XBRL Dimensions dialogue box, see Link to XBRL taxonomies. Dimensions that are not defined in the reporting tree definition must be defined in the column definition.

Page Options

Controls whether the detail for the reporting unit is suppressed from viewing or printing.

Rollup %

The percentage of the reporting unit that is to be allocated to its parent unit. The percentage that you enter in this column applies to each row of the row definition before the value in the row is added to the parent report. For example, if a child unit is to be divided evenly between two departments, the amounts in each row would be multiplied by 50 percent before being added to the department report.

One reporting unit cannot have two parent units. To allocate the amounts from a reporting unit to two parent units, create another reporting unit with the same dimension to roll up the additional 50 percent.

Type whole percentages without a decimal point. For example, .25 equals .25% allocation to the parent, and 25 equals 25% allocation to the parent. To use a percentage that is less than one percent, use the Allow Rollup <1% option in the report definition. This option is on the Additional Options tab in the Report Settings dialogue box. Access this dialogue box from the Other button on the Settings tab of the report definition.

Unit Security

Restrictions on which users and groups can access the information for the reporting unit.

For more information, see Restrict access to a reporting unit.

Additional Text

Text that is included in the report. For more information, see Additional text for reporting unit.

Create a reporting tree definition

  1. Open Report Designer.

  2. On the File menu, click New, and then click Reporting Tree Definition. A new reporting tree definition opens.

  3. Enter the information as explained in Reporting tree definition columns.

Open an existing reporting tree definition

  1. In Report Designer, click Reporting Tree Definitions in the navigation pane.

  2. Double-click a name in the reporting tree list to open it. For a description of the columns and the information that is required, see Reporting tree definition columns.

See Also

Build a reporting tree definition
Insert Reporting Units From Dimensions dialogue box
Reporting tree definitions
Organise reporting units
Additional text for reporting unit
Restrict access to a reporting unit
Multiple reporting trees
Reporting unit structure
Rolling up data in a reporting tree


Reporting unit structure

The following types of reporting units are used in Management Reporter:

  • A detail unit draws information directly from the financial data, from an Excel spreadsheet file, or from another Management Reporter worksheet.

  • A summary unit summarises data from lower-level units.

A parent reporting unit is a summary unit that aggregates summarised information from a detail unit. A summary unit can be both a detail unit and a summary unit, which means that a summary unit can draw information from a lower unit, the financial data, or an Excel spreadsheet. A parent unit can be the child unit of a higher parent unit.

A child reporting unit can be a detail unit that pulls information directly from the financial data or a spreadsheet. It can also be an intermediate summary unit, which is the parent unit to a lower unit and is also the child unit to a higher-level summary unit.

The most common scenario for reporting units is to have parent units with a blank link in dimensions and to have child units with links to specific or wildcard dimension combinations.

Example

The reporting unit structure in the following reporting tree is as follows:

  • The Beijing Office reporting unit is a parent unit to the Beijing Sales and Beijing Service child units.

  • The Beijing Sales division unit is both a child unit of the Beijing Office and a parent unit to the Retail Sales and Wholesale Sales units.

  • The lowest-level detail reporting units (Retail Sales, Wholesale Sales, Studio, and Lab) represent departments in the financial data. These reporting units are in the shaded area of the diagram.

  • The higher-level summary units summarise information from the detail units.

Fabrikam reporting tree

See Also

Multiple reporting trees
Rolling up data in a reporting tree


Build a reporting tree definition

Before you build a reporting tree, you must first determine which reporting dimensions your legal entity or company requires.

Consider how you have set up your structure, and then draw an organisational chart of your company. The organisational chart will help you visualise how to group the reporting units into one or more reporting trees.

Start with the lowest available level of detail, such as the departments and projects that are defined in the financial data. Add as many boxes to the level of detail, as needed, to show higher-level divisions or regions. Each box represents a potential reporting unit in any reporting tree that you create.

You must also consider the best way to build your trees. In Management Reporter, you can use an automated build process to create a reporting tree, or you can create a reporting tree manually. It is important to understand both methods before you design your trees.

You can use the reporting units that are defined in your financial data system to add reporting units to the reporting tree definition.

Build a reporting tree definition

  1. Open Report Designer. On the File menu, click New, and then click Reporting Tree Definition.

  2. On the Edit menu, click Insert Reporting Units from Dimensions.

  3. In the Insert Reporting Units from Dimensions dialogue box, select the check box for each dimension to include in the reporting tree.

  4. To create additional segments, such as breaking one segment into two shorter segments, click the correct location in a Character position field, and then click Split Segments.

  5. To merge two segments into one segment, click within either of the segment boxes to merge, and then click Combine Segments.

  6. To change the hierarchy of the dimensions in the Segment hierarchy and ranges area, select the dimension to move, and then click Move Up or Move Down.

    Note Note

    The hierarchy defines both how dimensions report to each other and the range for each dimension.

  7. To specify a range of dimension values to add to the new reporting tree, in the Segment hierarchy and ranges area, perform the following steps:

    • In the From Dimension field for that dimension, type the first value in the range.

    • In the To Dimension field, type the last value to use for this dimension.

  8. For each dimension in the Segment hierarchy and ranges area, repeat step 7.

  9. After you have finished defining how your reporting units will be brought into the new reporting tree, click OK.

  10. On the File menu, click Save to save the reporting tree. Enter a unique name and description for the reporting tree, and click OK.

See Also

Row definitions
Insert Reporting Units From Dimensions dialogue box
Add dimensions in a row definition


Insert Reporting Units From Dimensions dialogue box

You can build a reporting tree definition from the dimensions in your financial data, using the Insert Reporting Units from Dimensions dialogue box. To open this dialogue box, open a reporting tree definition in Report Designer, click Edit, and then select Insert Reporting Units from Dimensions.

The Insert Reporting Units from Dimensions dialogue box contains the following sections. To see example screenshots, see the example later in this topic.

Section

Description

Reporting dimension segmentation

Use the Split Segments and Combine Segments buttons to change the number and length of segments.

Note Note

You can only combine segments that you have split. To combine multiple dimensions, use wildcards in your dimension values.

Include/Character position

Lists the dimensions that are defined in the financial data and shows the number of characters in the longest defined value for each dimension. Select a check box to include that dimension in the reporting tree hierarchy.

Segment hierarchy and ranges

Shows the dimension hierarchy. You can move the dimensions in the list to change their reporting order. Specify a range of values within each dimension in the From Dimension and To Dimension boxes. If you do not specify a range, all dimension values are inserted into the reporting tree.

Note Note

If you are using more than one dimension, only dimension combinations that have been posted to will be returned in the results.

Example

In this example, the Insert Reporting Units from Dimensions dialogue box contains the following information. The results will return the combination of departments equal to and greater than 00 for all divisions.

example for insert reporting unit

The resulting reporting tree definition is sorted by Division and then Department. The dimension for the third reporting unit is Division = [000], Department = [00] , which identifies a reporting unit for accounts that are specific to the 000 Division and 00 Department.

insert reporting unit example screenshot 2

See Also

Reporting tree definitions
Build a reporting tree definition


Organise reporting units

You can rearrange the organisational structure of a reporting tree definition by moving reporting units in the graphical view. You can also promote reporting units to a higher level in the reporting tree and move them to a lower level in the reporting tree.

Organise reporting units

  1. In Report Designer, open the reporting tree definition to modify.

  2. In the graphical view of the reporting tree definition, select a reporting unit.

  3. Drag the unit to a new position, or right-click and select Promote Reporting Unit or Demote Reporting Unit.

  4. Click File, and then select Save, or click Save in the toolbar to save changes.

See Also

Additional text for reporting unit
Restrict access to a reporting unit


Additional text for reporting unit

An additional text entry is a static text string, up to 255 characters, that adds information to the reporting tree definition, such as a short company description. You can create up to ten additional text entries for each reporting unit in a reporting tree definition. The additional text appears in the report for the reporting unit to which the text is assigned.

You can add text entries from the Description column of the row definition and from the Headers and Footers tab in the report definition. For information about adding additional text to row definitions, see Description cell in row definition. For information about adding additional text to the headers and footers in reports, see Headers and footers in report definitions.

Add additional text to a reporting unit

  1. In Report Designer, open the reporting tree definition to modify.

  2. Double-click the Additional Text cell for the reporting unit row.

  3. In the first empty row of the Additional Text dialogue box, type the text.

    Note Note

    The first row that contains text is referenced as UnitText1, regardless of its position in the Additional Text dialogue box.

  4. To add more text entries for this reporting unit, type the text in an empty row.

  5. Click OK.

Remove additional text from a reporting unit

  1. In Report Designer, open the reporting tree definition to modify.

  2. Double-click the Additional Text cell for the reporting unit row.

  3. In the Additional Text dialogue box, select the entry to remove, and then click Clear, or right-click and select Cut.

  4. Click OK.

See Also

Headers and footers in report definitions
Adjust rounding in a row definition
Organise reporting units
Restrict access to a reporting unit


Restrict access to a reporting unit

You can prevent certain users and groups from accessing a reporting unit. You can also specify restrictions to include the child reporting units.

Note Note

For more information about security, see Report library security.

Restrict access to a reporting unit

  1. In Report Designer, open the reporting tree definition to modify.

  2. Double-click the Unit Security cell for the reporting unit row to restrict access to.

  3. In the Unit Security dialogue box, click Users and Groups. Select the users and/or groups that will have access to the restricted reporting unit, and then click OK.

  4. To restrict access to child reporting units, select the Add security to children reporting units check box.

  5. Click OK.

Remove access to a reporting unit

  1. In Report Designer, pen the reporting tree definition to modify.

  2. Double-click the Unit Security cell for the reporting unit row to remove access to.

  3. In the Unit Security dialogue box, select a name, and then click Remove.

  4. Click OK.

See Also

Additional text for reporting unit
Organise reporting units


Link to Management Reporter reports

After you have created a Management Reporter report column in the row definition and have specified the Management Reporter report to include in the report, you must update the reporting tree with the linked column and the Management Reporter report information. A Management Reporter report can be imported into any unit in the reporting tree.

Identify the Management Reporter report in a reporting tree

  1. In Report Designer, open the reporting tree definition to modify.

  2. Double-click the Row Definitions cell, and then select the row definition that contains information about the Management Reporter report.

    Note Note

    The cells in the Row Definitions column display information based on the selected row information, because the same row definition must be used in all units of the reporting tree.

  3. In the Worksheet Link cell for a reporting unit, select the link name that corresponds to the Management Reporter report.

  4. In the Workbook or Report Path cell for a reporting unit, type the name of the Management Reporter report or browse to select the Management Reporter report.

  5. To specify a worksheet in a Management Reporter report, type the name of the worksheet in the Worksheet name cell.

  6. Repeat steps 3 through 5 for each reporting unit that should receive data from a Management Reporter report. To prevent incorrect data from appearing in your report, make sure that the correct Management Reporter report names appear in the corresponding unit of the reporting tree.

See Also

Link reports to Microsoft Excel
Match worksheets with fiscal periods
Prepare a link column in a row definition
Spreadsheet link example
Identify an Excel file in a reporting tree


Report definitions

A report definition is a report component, also called a building block, which uses a row definition, a column definition, and an optional reporting tree definition to create a report. In addition, the report definition provides additional options and settings for customising a report.

Create a report definition

After you define row and column definitions, you need to combine them in a report definition. At this point, you will also define additional aspects of the definitions, such as the detail level and report date, and then you can save and generate a report.

Management Reporter offers the following levels of detail reporting: Financial, Account Only, Financial & Account, Transaction Only, or Financial, Account, & Transaction. However, depending on how data is stored in the Microsoft Dynamics ERP system, transaction details might not be available in reports.

  1. In Report Designer, on the File menu, click New, and then select Report Definition.

  2. Indicate or select the appropriate information in the Report, Output and Distribution, Headers and Footers, and Settings tabs. For more information about these tabs, see Contents of a report definition.

Contents of a report definition

The following table describes the tabs in a report definition and how the information is used.

Tab | Description
Report | Create a report, configure a report, or modify an existing report. For more information, see Select report components in a report definition.
Output and Distribution | Change the report output type and destination. For more information, see Report generation.
Headers and Footers | Define and format the report headers and footers. For example, you can add text or images to the header or footer. Management Reporter supports .bmp, .jpg, and .png files for images. In addition, you can add autotext code to insert other information, such as a company name, a report name, or page number. For more information, see Headers and footers in report definitions
Settings | Specify formatting and rounding amounts, format detail reports, format reporting trees, generate an exception report, specify currency conversion, and subtotal and filter account details. For more information, see Change report settings in a report definition.

See Also

Select report components in a report definition
Headers and footers in report definitions
Change report settings in a report definition
Report Settings dialogue box


Select report components in a report definition

In the Report tab of a report definition, you specify the row definition, the column definition, and the optional reporting tree definition to use to build a report.

You must also define additional aspects of the definitions, such as the detail level and report date, and the company information.

Select company name or code in report definition

Select report detail level in report definition

Specify a provisional code in report definition

Specify report periods and dates in report definitions

Select report building blocks in report definition

See Also

Report definitions


Select company name or code in report definition

Management Reporter uses the accounting calendar information for a legal entity or company, such as fiscal year and fiscal periods, to generate a report. You can have multiple companies defined in Management Reporter. If you select the company code @ANY, the default company is used to generate reports.

Specify a company name

  1. In Report Designer, open the report definition to modify.

  2. Click the Report tab.

  3. In the Company name field, select the company to use for the report, or select @ANY to generate a report using the default company.

Note Note

If you are not logged on to the company, the Connect to dialogue box opens. Enter a user name and password, and then click OK to log on to the company.

See Also

Select report detail level in report definition
Specify a provisional code in report definition
Specify report periods and dates in report definitions
Select report building blocks in report definition
Select report components in a report definition


Select report detail level in report definition

When you select a detail level in a report definition, the Report tab information does not change. However, the option that you select affects which options are available on the Print and Export screens. If you select the Account Only or Transaction Only detail level, the Financial and Account level reports cannot be printed in .xps format or in Microsoft Excel.

You can specify the following levels of detail in a report in the report definition. To print the transaction-related details for an FD column, you must have a PERIODIC column.

Detail Level | Description
Financial | A high-level summary report. You cannot drill down to accounts and dimensions, except for those added through a reporting tree.
Account Only | A report that contains only account detail balances.
Financial & Account | A report that contains a high-level summary and account details.
Transaction Only | A report that contains only transaction details.
Financial, Account & Transaction | A report that contains a high-level summary and transaction details.

Specify a report detail level

  1. In Report Designer, open the report definition to modify. Click the Report tab.

  2. In the Detail level field, select the level of report detail.

Examples

The following illustrations show Management Reporter when different detail level options are selected.

Financial detail level option example

The following report shows the high-level financial detail that is generated when you select the Financial detail level option.

Report detail level screen shot for Financial

Account Only detail level option example

The following illustration shows the high-level account detail that is generated when you select the Account Only detail level option.

Report level detail screen shot account only

Drilldown detail level option example

The following illustration shows the high-level financial detail, in addition to account transactions generated when you select the Drilldown detail level option.

Report level detail screen shot for drill down

Print screens

The following illustrations show the Print dialogue box for the report detail options.

Account Only

Report detail level screen shot for printing1

Financial & Account

This option is similar to Account Only, but also provides a summary view.

Report detail level screen shot printing2

The following is an example of a report that is generated when the Financial & Account detail option is selected.

Report detail level screen shot report

Transaction Only

The following is an illustration and example report when you select the Transaction Only report detail level option.

Report detail level screen shot of print3 Report detail level screen shot of report3

See Also

Select company name or code in report definition
Specify a provisional code in report definition
Specify report periods and dates in report definitions
Select report building blocks in report definition
Select report components in a report definition


Specify a provisional code in report definition

The provisional reporting codes in a report definition determine whether posted, unposted, or both posted and unposted financial data transactions are included in the report. Posted transactions include activity from every module, for example, Accounts receivable or Accounts payable, that creates an unposted journal entry within the General ledger module of the Microsoft Dynamics ERP system.

Note Note

Not all data providers support unposted transactions. For more information, see the data integration guide for your Microsoft Dynamics ERP system.

Specify a provisional code

  1. In Report Designer, open the report definition to modify. Click the Report tab.

  2. In the Provisional field, select the provisional code to use in the report. For a description of the provisional codes, see Provisional codes.

Provisional codes

Balance Option | Description
Posted activity only | Includes only the transactions and balances that are posted in your financial data.
Posted and unposted activity | Includes all of the transactions and balances that are entered and posted in your financial data.
Unposted activity only | Includes only the transactions that are entered, but not yet posted, in your financial data.

See Also

Select company name or code in report definition
Select report detail level in report definition
Specify report periods and dates in report definitions
Select report building blocks in report definition
Select report components in a report definition


Specify report periods and dates in report definitions

You can indicate the base period, base year, and date for a report in the report definition. For definitions of the period and date fields, see Period and date options.

Date information in the report definition is related to the default base period. For definitions of the default base period options, see Default Base Period options.

By default, a new report definition displays the code S-1. The S codes are related to the system date on the computer. Therefore, using S-1 as the default base period, displays a report date as at the last day of the last period defined in the source system calendar. Many users save the S-1 setting for their reports so that they report on the prior month’s activity by default.

Another option available for the default date is CUR, or the C codes. These options are related to the current active period in the source system.

The final option is to hard code a specific period as the default period. In this option, the reporting year is synchronised with the source system.

Date information that is saved with the report definition can be overridden when the report definition is open. This lets users generate the report for a different time frame without changing the default base period. The following date information is not saved with the report definition:

  • Base period – The date is displayed with regard to the default base period, unless it is updated. If it is required, select an override from list.

  • Base year – The date is the same as the base period, except years are displayed.

  • Period covered – By default, the text Month or Months Ending is used with date-related header codes. The period covered text can be modified in the Entity dialogue box.

Specify report periods and dates

  1. In Report Designer open the report definition to modify. Click the Report tab.

  2. In the Base period field, select the base that period to use for the report. The period then appears in the Period covered field.

  3. In the Base year field, select the fiscal year to use in your report. The combination of the Base period and Base year appears in the Report date field.

  4. In the Default base period field, select a default base period or type a default base period. For example, to specify the base period as five periods before the current financial data period, type C-5.

Period and date options

Option

Description

Base period

Determines the initial setting in the Base Period box.

Changes to the base period are not saved with the report definition. To save the base period, assign a default base period in the Default Base Period box.

Although you can type period numbers in the column definition, a column definition typically refers to the base period that you specify in the report definition. In the column definition, you typically set the period relative to the base period, and then define the specific period in the report definition. If you enter a specific period number in the column definition, that number overrides the base period setting.

Base year

Specifies the fiscal year to use for the report. Changes to the base year are for the current report and are not saved with the report definition. For more information, see the Default Base Period options.

Period covered

Combines the base period with the Period Description or Plural Description, which used for multiple periods, that is specified in the Modify Company dialogue box. For information about company information settings, see Maintaining company information (data provider).

By default, the description in the Period covered box appears in the report headers. Use the @PeriodCoverage and @PeriodCoverage@DateLong codes in the Headers and Footers tab to include the Period Covered description in your report.

Report date

Combines the Base period and Base year boxes. By default, the report date appears in the report headers.

Default base period

Determines the initial settings for the Base Year and Base Period. This is the only setting that is saved with the report definition.

Default Base Period options

The Default Base Period setting determines the initial settings for the Base Year and Base Period. This is the only setting that is saved with the report definition.

The following table describes the default base periods.

Default Period | Description
SYS | Base period is the current system period.
S-1 | Base period is one period before the current system period.
S-2 | Base period is two periods before the current system period.
S+1 | Base period is one period after the current system period.
CUR | Base period is the current processing period specified in the financial data.
C-1 | Base period is one period before the current financial data period.
C-2 | Base period is two periods before the current financial data period.
C+1 | Base period is one period after the current financial data period.
01 | Acceptable values for the Default base period box are based on the configuration of the Microsoft Dynamics ERP system. For example, to use a calendar year with 12 months, you can type 01 for January and 12 for December.

See Also

Select company name or code in report definition
Select report detail level in report definition
Specify a provisional code in report definition
Select report building blocks in report definition
Maintaining company information (data provider)
Select report components in a report definition


Select report building blocks in report definition

Reporting definitions use the other report building blocks of a row definition, a column definition, and a reporting tree to help define the content of a report. You can also use a reporting tree to display information related to a dimension that is not used in the rows or columns of the design. For a description of the building blocks, see Building block settings.

Depending on the type of report that you are creating, you might have to modify your row definition and column definition to display the report detail accurately. For example, you might have to adjust the rounding precision on your balance sheets. For more information, see Specify rounding options in a report definition.

Select report building blocks

  1. In Report Designer, open the report definition to modify. Click the Report tab.

  2. In the Building blocks section, in the Row field, select a row definition. To verify that the row definition that you selected is the correct one, click Open Row to open it. Then close the row definition to return to the Report tab of the report definition.

  3. If you created a report design that requires row formatting from a reporting tree, select the Use row definition from reporting tree check box.

  4. In the Column field, select a column definition. To verify that the column definition that you selected is the correct one, click Open Column to open it. Then close the column definition to return to the Report tab of the report definition.

  5. To use a reporting tree, in the Tree type field, select the structure of the reporting tree. When the Tree field is displayed, select the reporting tree definition. To verify that the reporting tree definition that you selected is the correct one, click Open Reporting Tree to open it. Then close the reporting tree definition to return to the Report tab of the report definition.

  6. To specify a starting unit in the reporting tree, click Browse to open the Starting Unit dialogue box. Select a starting reporting unit, and then click OK.

    Note Note

    To generate a report for the whole reporting tree, leave the Starting Unit box empty, or select None in the Starting Unit dialogue box.

Building block settings

The following table describes the settings available under the Building block area of the Report tab in the report definition.

Setting

Description

Row

Specifies the row definition for the report. For more information about row definitions, see Row definitions.

Use row definition from reporting tree

If the reporting tree specifies the row definition to use in the report, select this check box. If you do not select this check box, the row definition that you selected in the Row field for every unit in the reporting tree is used.

Note Note

This is required only when you are using multiple links to FD in the row definition and with some methods of linking to external worksheets. For most reports, you do not need to select this check box.

For more information about reporting trees and how to assign a row definition in the reporting tree, see Build a reporting tree definition.

Column

Specifies the column definition to use in the report. For more information about column definitions, see Column definitions.

Tree type

Specifies the structure of tree. Possible values are as follows:

  • Reporting tree – A hierarchy derived from available dimensions in the financial data.

  • Dimension hierarchy – A hierarchy in a dimension-based system that is not bound to a single segment.

  • None – Clears the Tree type setting.

Tree

Specifies the reporting tree definition to use in the report. For more information about reporting trees, see Reporting tree definitions.

Starting unit

Specifies a subsection of the reporting tree definition to use in the report. The Starting unit limits which branches of the tree appear when you generate the report. Click Browse to open the Starting Unit dialogue box and browse for the starting unit. To run the report for the complete tree, in the Starting Unit dialogue box, click None.

See Also

Select company name or code in report definition
Select report detail level in report definition
Specify a provisional code in report definition
Specify report periods and dates in report definitions
Build a reporting tree definition
Select report components in a report definition


Headers and footers in report definitions

Adding headers and footers lets you insert text or images to help define certain elements in a report. The Headers and Footers tab is divided into a Headers area and a Footers area. Each area is divided into three sections: Left section, Centre section, and Right section. Use the sections to align header information to the left, centre, or right side of the header or footer.

Note Note

Management Reporter accesses the regional settings of your Windows Operating System for the period description information. For example, if you specify the Autotext code of @DateLong, and the day of the week shows up in your report headers but you do not want day of the week, you must change your operating system regional settings and remove dddd (day of the week) from the Long Date definition. For more information about the regional settings, see your operating system documentation. For an explanation of Autotext options, see AutoText descriptions.

Add header and footer text

  1. In Report Designer, open the report definition to modify. Click the Headers and Footers tab.

  2. Select the row to add text to.

  3. Enter text into the selected row:

    • To enter custom text, type the text into the row.

    • To use an AutoText code, click Insert AutoText, select an AutoText category, and then click an AutoText code. For more information about the codes, see AutoText descriptions.

Delete header and footer text

  1. In Report Designer, open the report definition to modify. Click the Headers and Footers tab.

  2. In the Headers or Footers area, in the Left section, Centre section, or Right section, click a row and press the Delete key.

Modify header and footer text

  1. In Report Designer, open the report definition to modify. Click the Headers and Footers tab.

  2. In the Headers or Footers area, in the Left section, Centre section, or Right section, double-click the row that contains the text to modify, and then modify the text, as necessary.

Format header and footer text

  1. In Report Designer, open the report definition to modify. Click the Headers and Footers tab.

  2. Click the row that contains the text to format.

  3. Select the font style to apply from the Formatting toolbar, or click the appropriate formatting button in the toolbar.

Insert an image into a header or footer

Management Reporter supports most file types for images. This includes files that have extensions of .bmp, .jpg, and .png.

Note Note

Text and images cannot be used in the same section.

  1. In Report Designer, open the report definition to modify. Click the Headers and Footers tab.

  2. Click the row to add an image to.

  3. Click Images.

  4. Select an image from the list, and then click Insert.

    If the image is not loaded in Management Reporter, click Add. Then, in the Open dialogue box, navigate to the image to use, and then click Open. Select the image, and then click Insert to insert the image into the report.

Modify a header or footer image

  1. In Report Designer, open the report definition to modify. Click the Headers and Footers tab.

  2. Click Images.

  3. Select an image to modify, and then click Modify.

  4. In the Modify Image dialogue box, you can change the following settings:

    • To change an image name, type a new name in the Image Name field.

    • To change an image size, enter a new value in the Scale relative to original image size field.

    • To replace an image, click Replace Image. In the Open dialogue box, select a different image, and then click Open.

  5. Click OK to close the Open dialogue box.

Change the report starting page number

  1. In Report Designer, open the report definition to modify. Click the Headers and Footers tab.

  2. In the Start page numbering at field, enter a starting page number.

See Also

AutoText descriptions
Format row text
Select report components in a report definition


Change report settings in a report definition

In the Settings tab of a report definition, you can specify formatting and rounding amounts to use in the report, the calculation priority of rows and column calculations, the order that report components are processed, and select reporting units to use in the report.

Specify rounding options in a report definition

Specify calculation priority in a report definition

Adjust the processing order in a report definition

Reporting unit options in report definition

Specify other formatting in report definitions

Report Settings dialogue box

See Also

Report definitions


Specify rounding options in a report definition

Rounding adjustments may be necessary if a report is generated in whole ringgit or one of the other rounding options available in the report settings. How a report is displayed is also affected by the processing order of calculations in relation to rounding.

You can specify a level of rounding for the numerical values in a report on the Settings tab of the report definition.

If you select a rounding option for a report, you may have to make rounding adjustments, which involves setting the calculation priority and processing order.

For example, if calculations are performed before rounding, the balance sheet may balance, but not foot. If rounding is performed before calculations, the balance sheet will foot. However, the two sections (assets compared to liabilities and equity) may not balance. For more information about rounding adjustments, see Adjust rounding in a row definition.

Note Note

The term foot means to total down to the row calculation. The term cross-foot means to total across, rolling up the child units to the parent unit.

Change the level of rounding used in your report

  1. In Report Designer, open the report definition to modify. Click the Settings tab.

  2. In the Rounding precision field, select a rounding option for the report. For a description of rounding options and examples, see the rounding options and the example later in this topic.

Rounding options

The following table describes the rounding options.

Rounding Option | Rounding Example
No Rounding | $1,117,691,601.48
Whole Malaysian Ringgits | $1,117,691,601
Nearest Hundred | $1,117,691,600
Thousands (000.0) | $1,117,691.6
Whole Thousands (000) | $1,117,692
Millions | $1,117.7
Whole Millions | $1,118
Billions | $1.1
Whole Billions | $1

Examples

When you round a report, you can select to round the report values before or after totalling, and you can select to round the reporting units before or after rolling up to the parent unit. The following table identifies the different rounding option combinations and the effect on rounding differences.

Rounding Selections | Foot? | Cross-foot?
Roll up Rounded Values in the Tree | No | Yes

This section shows examples of how totals and roll ups perform using the different rounding option combinations. In all cases, Management Reporter consistently totals the parent unit rows after rolling up the child units.

The following table displays report values that are not rounded. All reports foot and cross-foot to the Combined report.

Accounts | U.S. | Canada | Combined
Cash | 1413.48 | 1201.20 | 2614.68
Accounts Receivable | 287.37 | 100.40 | 387.77
Prepaid Expenses | 112.47 | 200.05 | 312.52
Total Current Assets | 1813.32 | 1501.65 | 3314.97

The following table contains two examples that do not use rounded values in calculations and totals.

 | Example 1 |  |  | Example 2
 | Roll up Rounded Values in the Tree |  |  |
 | U.S. | Canada | Combined | U.S. | Canada | Combined
Cash | 1413 | 1201 | 2614 | 1413 | 1201 | 2615
Accounts Receivable | 287 | 100 | 387 | 287 | 100 | 388
Prepaid Expenses | 112 | 200 | 312 | 112 | 200 | 313
Total Current Assets | 1813 | 1502 | 3313 | 1813 | 1502 | 3315

See Also

Adjust rounding in a row definition
Change report settings in a report definition


Specify calculation priority in a report definition

If you select a rounding option for your report, you may have to make rounding adjustments that involve setting the calculation priority and processing order. For more information about processing order, see Adjust the processing order in a report definition. For example, if calculations are performed before rounding, a balance sheet may balance, but not foot. If rounding is performed before calculations, the balance sheet will foot. However, the two sections (assets compared to liabilities and equity) may not balance. You can use the calculation priority setting to indicate the order in which rows and columns are calculated.

Note Note

The term foot means to total down to the row calculation. The term cross-foot means to total across, rolling up the child units to the parent unit.

Specify calculation priority

  1. In Report Designer, open the report definition to modify. Click the Settings tab.

  2. Under Calculation priority, select one of the following options:

    • Perform column calculation first and then row – Perform the column calculations before the row calculations. This option might be necessary when a column calculation (CALC) intersects a total (TOT) or calculation (CAL) row, and the row calculation should overwrite the column calculation.

    • Perform row calculation first and then column – Performs the row calculation before the column calculations. This option works best for the following situations:

      • Report with a CALC column or with simple calculations

      • Row definition and column definition that use only simple mathematical operator (+ and -)

See Also

Specify rounding options in a report definition
Adjust the processing order in a report definition
Reporting unit options in report definition
Specify other formatting in report definitions
Change report settings in a report definition


Adjust the processing order in a report definition

Use the Processing order options to specify the order in which rollups, calculations, and rounding are completed when a report is generated. The following processing order options are available:

Option | Description
Rollup values in reporting tree | Rounds the reporting unit values and then rolls up the results into the summary unit. When you use this option, every report in your tree correctly totals (foots). However, the totals in the summary report might not be the same as a similar summary report that does not use a reporting tree.
Perform calculations | Calculates rows and columns.
Apply rounding | Applies rounding to all values if you select any Rounding precision option other than None.

Adjust the processing order

  1. In Report Designer, open the report definition to modify. Click the Settings tab.

  2. In the Processing order field, select a process, and then click Move Up or Move Down to indicate the processing order for the report.

See Also

Specify rounding options in a report definition
Specify calculation priority in a report definition
Reporting unit options in report definition
Specify other formatting in report definitions
Change report settings in a report definition


Reporting unit options in report definition

You can specify the reporting units that are included in a report in the report definition Settings tab.

Specify reporting units

  1. In Report Designer, open the report definition to modify. Click the Settings tab.

  2. Under Reporting unit selection, select one of the following options:

    • Select units at runtime - Displays the Select Reporting Units dialogue box each time this report is generated.

    • Include all units - Includes all reporting units in the report.

    • Include specific number of levels down from starting unit: - Includes the specified number of reporting unit levels in the report.

See Also

Specify rounding options in a report definition
Specify calculation priority in a report definition
Adjust the processing order in a report definition
Specify other formatting in report definitions
Report Settings dialogue box
Change report settings in a report definition


Specify other formatting in report definitions

You can control the formatting and rounding of amounts at the report level by modifying the settings on the report definition Settings tab.

Specify other formatting options

  1. In Report Designer, open the report definition to modify. Click the Settings tab.

  2. Under Other formatting, select the formatting to use in the report. For descriptions of the options, see the formatting options later in this topic.

Other formatting options

The following table describes the available formatting options.

Option | Description
Use parentheses for negative numbers | Indicates negative numbers by using parentheses ( ). If you do not select this option, the report indicates negative numbers with a minus sign (-).
Display negative numbers in red | Displays negative numbers in red. If you do not select this option, the negative numbers appear in the colour that was selected for that row.
Display digit separators | Displays digit separators, for example, 120,346,000.
Display currency symbol on first row | Displays a currency symbol in all amount columns on the first row of each page. If you select this option, you do not have to enter a CS print control in the first row of the row definition. The actual format that is used is specified in the Amount with Currency Symbol box in the International Formats dialogue box.
Display blanks for zero amounts | Displays spaces instead of zeros for all zero balances in the whole report.
Display rows with no amounts | Displays rows with zero balances. By default, Management Reporter for Microsoft Dynamics ERP suppresses rows with zero balances in all amount columns.
Display reports that have no active rows | Generates a report for every unit of a reporting tree, even if no amounts appear. Empty reports might appear if title rows or other format rows are present. To prevent extraneous titles from printing on a report without amounts, relate each descriptive row to an amount row. For more information about relating rows, see Relate a format row to an amount row.
Extra lines between rows | Changes the number of lines that are printed between the report rows.
Spaces between columns | Changes the default number of spaces that are printed between the report columns. In addition, in the Extra Spaces Before Column cell in the column definition, you can enter the number of spaces to use before a column. For more information, see Add special formatting options in a column definition.

See Also

Specify rounding options in a report definition
Specify calculation priority in a report definition
Adjust the processing order in a report definition
Reporting unit options in report definition
Relate a format row to an amount row
Change report settings in a report definition


Report Settings dialogue box

To change the layout, page numbering, and other details for a report, you must modify the settings in the Report Settings dialogue box.

To open the Report Settings dialogue box, complete the following steps:

  1. In Report Designer, then open the report definition to modify.

  2. Click the Settings tab.

  3. Click the Other button to open the Report Settings dialogue box.

The Report Settings dialogue box contains the following tabs:

  • Page Setup (see Change page setup)

  • Account and Transaction Details (see Account & Transaction Detail in report definitions)

  • Additional Options (see Additional options for report settings)

See Also

Additional options for report settings


Page Setup options in report definition

You can change report setup options, such as margins, orientation, scaling, page order, and page size in the report definition Report Settings dialogue box.

Change page setup options

  1. In Report Designer, open the report definition to modify.

  2. Click the Settings tab, and then click the Other button.

  3. Click the Page Setup tab and select setup options, which are described later in this topic.

  4. Click OK.

Page setup options

Option

Description

Margins

The Left, Right, Top, and Bottom Margins boxes display the report page margin.

To change the margins, select the margin value and type the new value.

Orientation

Management Reporter supports portrait or landscape orientation.

  • Portrait – Displays the report vertically on the page.

  • Landscape – Displays the report horizontally on the page.

Scaling

Displays the percentage of scaling in a report. To change the scaling, select one of the following options:

  • Reduce or enlarge to – Changes the report size to the percentage that you enter in the % box.

  • Shrink to page width – Fits the report columns in the width of a single page.

Page order

Controls the layout of the report pages.

  • Down, then over – Report pages appear in columns.

    Page Setup Down Over

  • Over, then down – Report pages appear in rows.

    Page Setup Over Down

Paper

Displays paper and copy settings. This option contains the following settings:

  • Size – Indicates the size of the paper in the printer.

  • Copies – Indicates the number of report copies to print.

  • Collate – Collates multiple report copies.

    Note Note

    Collating prints all pages of each document together. For example, if you print two copies of a three-page document and you select not to collate the pages, the pages print in this order: 1, 1, 2, 2, 3, 3. If you select to collate, the pages print in this order: 1, 2, 3, 1, 2, 3.

See Also

Report Settings dialogue box
Account & Transaction Detail in report definitions
Additional options for report settings


Account & Transaction Detail in report definitions

You can select which account and transaction details to include on a report, such as displaying the row code or printing subtotals by period, by making modifications on the report definition Account & Transaction Detail tab in the Report Settings dialogue box.

Note Note

Not all data providers support unposted transactions. For more information, see the data integration guide for you Microsoft Dynamics ERP system.

Configure account and transaction details

  1. In Report Designer, open the report definition to modify.

  2. Click the Settings tab, and then click Other.

  3. Click the Account & Transaction Detail tab.

  4. Modify the Account & Transaction Details settings as needed, and then click OK. For descriptions of these options, see Account detail options and Account and transaction detail options.

Account detail options

The following account detail options are available.

Option | Description
Display account code or dimensions | Includes the segment or dimension values from the financial data system in the report. The segment or dimension value is added into the report description (DESC) column at the account and transaction detail level.
Display account code or dimension description from chart | Includes the segment or dimension descriptions from the financial data system in the account and transaction detail report. As much of the description as will fit into the report description (DESC) column is included.
Display row code | Displays the row definition row codes in the account and transaction detail report.
Combine posted and unposted amounts | Combines posted and unposted balances in the account and transaction detail report. If you do not select this option, Management Reporter for Microsoft Dynamics ERP displays the posted and unposted amounts on separate account detail line items for each account that has unposted activity.
Display underscore before totals | Displays an underscore line before each row total in account detail reports. For transaction detail reports, select this option to print an underscore before and after each period total, each account total, and each row total.
Mark unposted accounts with * | Displays an asterisk (*) for unposted balances or transactions. If you select the option, an asterisk appears at the transaction detail level for every unposted transaction. If you do not select the option, an asterisk appears at the account detail level for the unposted account balance, and also the transaction detail level for all unposted transactions.
Include detail for non-printing rows | Includes nonprinting rows that you defined in in the Print Control column in the row definition (NP).
Sort by natural or main segment | Sorts multiple accounts that are listed at the same level. The overriding sort order for reports is determined by the account order in the row definition.
Display CBR calculation | Determines whether the calculation is performed if you select an account or transaction detail level report. By default, this option is selected because a report that has many accounts can take longer to process. If you include a base row calculation in the column definition, specify a BASEROW row in the row definition. By using these specifications, the appropriate calculations are performed on each row of the financial statement, regardless of detail level.

Account and transaction detail options

The following options are available for account and transaction detail reports.

Option | Description
Subtotal by period | Prints the opening balance, period subtotals, and YTD total in the Periods column. If you do not select this option, only the opening balance and YTD total prints on the report.
Display out of balance message when amount is greater than | Displays a message when the amount is larger than the number that you specify.

See Also

Page Setup options in report definition
Additional options for report settings
Report Settings dialogue box


Additional options for report settings

There are additional options that you can include in a report, such as excluding inactive accounts. You can select these options in the Report Settings dialogue box.

Select additional options in report definition

  1. In Report Designer, open the report definition to modify. Click the Settings tab.

  2. Click the Other button.

  3. In the Report Settings dialogue box, click the Additional Options tab.

  4. Select the additional options to include in the report, and then click OK.

Other options

Options | Description
Include amounts in future periods | Includes amounts in columns that specify periods beyond the base period that is defined on the Report tab. If the future period amounts should not appear in the report, clear this box.
Include missing unit warning | Displays a warning message during report processing when a column or row is restricted to a reporting unit and the reporting unit does not exist or was not selected in the tree (the default). To use a restricted row or column in other reports and you do not want to see this warning, clear this check box.
Exclude inactive accounts | Generates reports that exclude inactive accounts if the Microsoft Dynamics ERP system supports the exclusion of inactive accounts. If you select this check box and the ERP system does not support inactive accounts, your reports are not affected.

Other reporting tree options

Option | Description
Restart numbering with every unit | Restarts the page numbering of each reporting tree unit throughout a report. To use sequential page numbering for all of the selected reporting units, do not select this check box.
Allow rollup less than 1% | Allows a rollup of less than 1 percent. If this check box is not selected, an entry of .25 in the Rollup % cell of the reporting tree indicates that 25 percent of each row should be rolled up to the parent. If this check box selected, an entry of .25 would limit the roll up to one-fourth of one percent.
Disable unit security | Removes unit security so all users can drill down into all detail levels.

Consolidate companies that have different fiscal year end dates

Option | Description
Rollup by using default company period number | Rolls up accounts by period numbers in multiple-company reporting trees.
Rollup by using default company period end date | Rolls up accounts by period dates in multiple-company reporting trees.

See Also

Report Settings dialogue box
Page Setup options in report definition
Account & Transaction Detail in report definitions
Rolling up data in a reporting tree
Adjust rounding in a row definition


Building block groups

Building blocks are the row definitions, column definitions, reporting tree definitions, and report definitions that you create for a report. Building block groups are collections of the definitions and dimension sets that are associated with a company. Companies in Management Reporter can share building block groups, or each company can have a unique building block group assignment.

Create and assign a building block group

Maintain building block groups

See Also

Building blocks and reports
Lock a building block
Select report building blocks in report definition


Create and assign a building block group

Building blocks are the row definitions, column definitions, reporting tree definitions, and report definitions that you create for a report. Building block groups are collections of the definitions and dimension sets that are associated with a company in Management Reporter. Building block groups can be company specific, or several companies can share the same set of building blocks. If you have companies that have a different chart of accounts, you may consider using a different building block group per company. Alternatively, you can consider naming all of your individual building blocks to reflect with which company they are compatible.

Create a building block group

  1. In Report Designer, on the Company menu, click Building block groups.

  2. In the Building block groups dialogue box, click New.

  3. Enter a unique name and description for the building block group. Each field can contain a maximum of 256 characters, including spaces.

  4. Click OK to create the new building block group.

Assign a building block group

After you a create block group, you must assign it to a company or companies in order to be used. You can then create report, row, column, and reporting tree definitions and save them within the building block group.

  1. In Report Designer, on the Company menu, click Companies.

  2. In the Companies dialogue box, select the company to assign a building block group to.

  3. Click Modify.

  4. In the Modify Company dialogue box, in the Building block group field, select the building block group to assign to the company, or click New to create a new building block group.

  5. Click OK to assign the building block group.

  6. Click Close to exit the Modify Company dialogue box. The building block group that you selected in step 4 is now assigned to the company.

See Also

Maintain building block groups


Maintain building block groups

After a building block group is created and used, you can view all the building blocks assigned to a group, export or import a building block group, and perform additional maintenance on the building block groups.

View a building block group

You can view an existing building block group and examine its contents to determine if it meets your needs to create a report.

  1. In Report Designer, on the Company menu, click Building Block Groups.

  2. In the Building Block Groups dialogue box, select the building block to view. Click View to open the View Building Block Group dialogue box and view the contents of the building block group.

  3. Click Close to close the dialogue boxes.

Save a building block group with a new name

You can save an existing building block group with a new name. Then you can modify the new building block group without changing the original building block group.

  1. In Report Designer, on the Company menu, click Building Block Groups.

  2. In the Building Block Groups dialogue box, select the building block group to save with a new name.

  3. Click Save As.

  4. Enter a new name and description for the building block group.

  5. Click OK. The new building block group should appear in the Building Block Groups dialogue box.

Export a building block group

You can export an entire building block group or specific report building blocks in a building block group for backup purposes or to be copied between building block groups or Management Reporter installations. Management Reporter includes the referenced font styles and dimension sets with the building block group.

  1. In Report Designer, on the Company menu, click Building Block Groups.

  2. In the Building Block Groups dialogue box, select the building block group to export, and then click Export.

  3. In the Export dialogue box, select the report definitions to export:

    • To export all of your report definitions and the associated building blocks, click Select All.

    • To export specific reports, rows, columns, trees, or dimension sets, click the appropriate tab and select the items to export. Press and hold the Ctrl key to select multiple items within a tab.

      Note Note

      When you select reports to export, the associated rows, columns, trees, and dimension sets are selected.

  4. When you have finished selecting items to export, click Export.

  5. In the Save As dialogue box, select a location to export the building block group to.

  6. In the File Name field, enter a name for the file. Management Reporter automatically adds a .tdbx file extension.

  7. Click Save. The building block group is saved to the location specified in step 5.

Import a building block group

You can import a building block group into an existing building block group, or you can create a new building block group for the data. For more information about how to create a new building block group, see Create and assign a building block group. All imported building block groups retain their original font styles and company references and include the relevant dimension sets.

  1. In Report Designer, on the Company menu, click Building Block Groups.

  2. In the Building Block Groups dialogue box, select the building block to import a building block group into, and then click Import.

  3. In the Open dialogue box, select the building block group to import, and then click Open.

  4. In the Import dialogue box, select the report definitions to import:

    • To import all of the report definitions and the supporting building blocks, click Select All.

    • To import specific reports, rows, columns, trees, or dimension sets, select the reports, rows, columns, trees, or dimension sets to import.

  5. When you have finished selecting items to import, click Import.

Undo the checkout of a building block

When you open a building block, other users can only access that building block in read-only mode. Sometimes a user will forget to close a building block or will shut down their system without closing the building block. As a result, the building block is checked out and other users cannot open it. In these situations, a Management Reporter administrator can use the Checked Out Items dialogue box to check in building blocks that any user has left in a checked out status.

Note Note

You must have the role of administrator to check in building blocks from the Checked Out Items dialogue box.

  1. In Report Designer, on the Tools menu, click Checked Out Items.

  2. In the Checked Out Items dialogue box, select Show items from all users. The list is updated to display all building blocks that are checked out and the users who have checked them out.

  3. Select a building block, and then click Undo Checkout.

  4. Click Yes to check in the building block.

See Also

Create and assign a building block group
Building blocks and reports
Lock a building block
Select report building blocks in report definition


Report generation

Reports are generated based upon the options specified in the report definitions. You can generate reports in various output types and set up schedules to generate reports automatically.

Generate reports to the report library

Report viewing options

Schedule reports

Missing account analysis

Report security options


Generate reports to the report library

Several options are available for distributing generated reports. After a report definition is created, a report can be generated to a single location in the report library of Management Reporter, or generated to multiple locations with multiple forms of delivery. Management Reporter can publish links to generated reports in network locations or in Microsoft SharePoint sites.

To send report links through email, see Share a report.

Note Note

You can generate reports only to folders and locations that you have access to in Management Reporter.

Generate to a single location in the report library

  1. In Report Designer, open the report to generate. Click the Output and Distribution tab.

  2. In the Output name field, enter a name for the report after it is generated. This name does not have to be the same as the report definition name.

  3. To view the report in Web Viewer after it is generated, select the View report when generated check box.

  4. Select Generate to a single report library location and type the address of the destination, or click Browse to browse to a destination for the generated report.

  5. Select the options to include in the report under the appropriate output heading. For more information, see Report viewing options.

Generate to multiple locations in the report library

  1. In Report Designer, open the report to generate. Click the Output and Distribution tab.

  2. In the Output name field, enter a name for the report after it is generated. This name does not have to be the same as the report definition name.

  3. To view the report in Web Viewer after it is generated, select the View report when generated check box.

  4. Select Generate to multiple report library locations.

  5. Click in the Report Library Location pane and type a destination address for the generated report. You can also click Add to browse to a destination folder, and then click OK to add the location to the report definition.

  6. To add another report library location, repeat step 5. To remove a location from the list, select a location, and then click Remove. To modify an existing location, double-click on the location, and then type or browse to a new destination address.

  7. Select the options to include in the report under the appropriate output heading. For more information, see Report viewing options.

Generate a report link

When you generate a report to the report library, you can also generate a link to a SharePoint site or another network location. The related report link can open the report in one of the supported report output types. For more information, see Report viewing options.

Each report library location can create multiple related report links. Security settings for the report library folder are applied when the related report link is opened.

Note Note

If you are using a computer that has Windows Server 2008 or Windows Server 2008 R2, you must have the Desktop Experience feature turned on in order to post a report to a SharePoint site. Open Server Manager, click Features, click Add Features, and then select Desktop Experience. This may require a restart.

  1. In Report Designer, open the report to generate. Click the Output and Distribution tab.

  2. In the Output name field, enter a name for the report after it is generated. This name does not have to be the same as the report definition name.

  3. To view the report in Web Viewer after it is generated, select the View report when generated check box.

  4. Select Generate to multiple report library locations.

  5. Click in the Report Library Location pane, and then enter the destination for the generated report. At least one report library location must be selected in order to generate a related report link.

  6. Double-click in the Related Report Link Location pane, and then type an address to a network location or a SharePoint site. You can also click Browse to browse to a destination folder, and then click OK to add the location to the report definition. These address paths can also be copied into or from other report definitions.

    Note Note

    If you are using Windows XP, the Open Files dialogue box is not available, and you must type the address of the destination folder.

  7. To add another related report location, repeat step 6. To remove a location from the list, select a location, and then click Remove. To modify an existing location, double-click the location and type a new destination address.

  8. Select the options to include in the report under the appropriate output heading. For more information, see Report viewing options.

See Also

Report viewing options
Share a report


Report viewing options

When a report is generated, you can open the report in Report Viewer, as a Microsoft Excel worksheet, or as an XPS document.

The following sections provide additional information about the options for viewing a report:

  • General report options

  • Microsoft Excel options

  • XPS options

Report options

Report options are defined in the Output and Distribution tab of a report definition. For more information about generating reports, see Generate reports to the report library.

General report options

The following table describes options that are available for all report output types.

Option

Description

Include headers and footers

Inserts the header and footer information that you configure on the Headers and Footers tab of a report definition.

Include format rows

Inserts the row definition rows (DES, LFT, RGT, and CEN rows) in the report. If a row is blank, it is considered a format row and will not be printed, unless Include format rows is selected. By default, this option is selected.

Note Note

When this option is selected and the Include underscore rows option is also selected, the printed report might display duplicate underscores under the final total rows.

Include underscore rows

Inserts underscore rows and double underscore rows in the report.

Report duplicate accounts or dimensions

Generates an exception report that shows the financial data accounts that are duplicates.

Microsoft Excel options

The Microsoft Excel output type opens a report as an Excel spreadsheet. To view reports in Microsoft Excel, you must have Microsoft Excel 2007 or newer installed on your computer. For more information, see Excel and Management Reporter.

The following table describes the options that are available for reports that are opened in Microsoft Excel format.

Option | Description
Include fonts and shading | Formats the report by using the fonts and shading that you used in the report building blocks and in the report definition on the Headers and Footers tab. For example, if you added shading or font colours to heading text, this option includes that formatting in the Excel spreadsheet.
Generate to a single worksheet | Generates the whole report, which includes reporting trees and drill down reports, to a single worksheet.
Include comments | Generates the whole report and includes any comments that are attached to the report.

XPS options

The XPS output type opens a report in a read-only format. To view a report in XPS, you must have the Microsoft XPS Viewer installed. For more information, see XPS and Management Reporter.

The following table describes the options that are available for reports that are opened in XPS format.

Options | Description
Include bookmarks | For every unit of the associated tree that is included in the XPS file, a bookmark will be defined in the XPS file.
Include column and page breaks | Inserts column breaks and page breaks into the report.
Include comments | Generates the whole report and includes any comments that are attached to the report.
Column width | Specifies the width of the column, in characters.
Wrap text | If the text in a column exceeds the number of characters specified in the column width, this options wraps the text to keep all of the text in the column. If the Autofit option is selected, this option is not available.
Autofit | Automatically adjusts the width of the columns to fit the cell content.

See Also

Generate reports to the report library
Excel and Management Reporter
XPS and Management Reporter
Headers and footers in report definitions


Schedule reports

Many companies have a core set of reports that are run at scheduled intervals to align with their business processes. To provide for this practice, you can schedule a report to be generated regularly, such as daily, weekly, monthly, or annually. This can be a single report or a group of reports that includes multiple companies. You must enter your credentials for each of the companies that are specified, such as those in a reporting tree definition. If the credentials are not valid, the report will display only the information that you have access to, such as the company that you are logged on to at the time. Output information is read first from the report group, and then from the individual reports.

To create, modify, and delete report schedules, you must have the role of designer or administrator.

As report schedules are created and saved, they are displayed in the navigation pane under Report Schedules. You can create folders to organise the reports.

If a single report in a schedule does not run, all other reports will continue to run.

Create a report schedule

To create a report schedule, you must have the role of designer or administrator. When a report is run, the credentials of the user who created the schedule are used to generate the report.

  1. In Report Designer, on the File menu, click New, and then select Report schedule.

  2. Under Settings, select an individual report or a report group to schedule. Only reports or report groups for the company or building block selection that you are currently logged on to are available.

  3. Select the Active check box to turn on the report schedule. Only the creator of the report or an administrator can activate or inactivate a report schedule.

  4. Click the Permissions button to enter company credentials. By default, your logon information is used for the company that you are logged on to. If other companies are included, such as in reporting tree definitions, select Use separate credentials, and then enter the credentials for any other company that is included in the report schedule. You can select Windows Authentication or type a user name and password for each company. Select the Save credentials check box to save the credentials for these companies, and then click OK to close the dialogue box. For more information about how to enter and save credentials, see Credentials.

  5. Under Frequency, in the Start recurrence field, select the date when the schedule is to start. By default, the current system date of the client computer is selected.

  6. In the Run report at field, select the time when the report should run. If you enter a time that is before the current system time, the report runs on the next scheduled date.

  7. In the Recurrence pattern area, specify how often the report is run. By default, Daily is selected with an Interval (days) value of 1. Other options include Weekly, Monthly, and Yearly.

  8. In the Range of recurrence area, select when the report should stop being generated.

    • No end date – The report schedule runs indefinitely.

    • Set number of occurrences – The report schedule runs for the specified number of times, and then is inactivated.

    • End by – The report schedule ends on the specified date.

  9. Click Save in the toolbar. In the Save As dialogue box, enter a unique name and description for the report schedule.

Copy a report schedule

To copy a report schedule, you must have the role of designer or administrator. Even if an administrator modifies the report schedule, the report maintains the credentials of the user who created the report.

  1. In Report Designer, click Report Schedules in the navigation pane, and open a report schedule to copy.

  2. On the File menu, click Save As, and then enter a new name and description for the schedule in the Save As dialogue box. Click OK, and the new schedule is displayed in the navigation pane.

  3. In the new schedule, modify the fields and information as needed, and then click Save on the toolbar, or click Save on the File menu.

Delete a report schedule

To delete a report schedule, you must be the owner of the report schedule or have a role of administrator.

  1. In Report Designer, click Report Schedules in the navigation pane.

  2. Select the report schedule to delete, and then click Delete or press the Delete key.

  3. In the deletion verification dialogue box, click Yes to permanently delete the report schedule. If you do not have permission to delete the schedule, a message is displayed and the report is not deleted.

Credentials

If you do not enter credentials that are required for all companies included in the reports, you receive the following message when you save the report schedule: “You must enter your credentials for the companies that are contained in this report schedule. Select the Permissions button to enter in your credentials.”

For example, Phyllis logs on to Company A using her logon and password. She creates a schedule for an individual report that uses a reporting tree definition to collect data from multiple companies. When this report schedule is saved, Phyllis is prompted to enter the credentials for the other companies that are specified in the reporting tree definition.

When your credentials expire, the affected reports in the report schedule are not generated until the credentials have been updated. A message is also displayed in the report queue to indicate that permissions must be updated.

The report schedule fails if any of the following scenarios occur because they require credentials:

  1. A new company has been added to a report tree for an individual report.

  2. A report in a report group has been modified.

  3. A new report for an additional company has been added to a report group.

To continue, click the Permissions button in the Report Scheduling dialogue box, and then enter the appropriate credentials.

See Also

Create and manage report groups


Missing account analysis

You can search for financial accounts and dimensions that might be missing across all row definitions, reporting tree definitions, and report definition in a building block group. This is especially useful when you create or update several account or building blocks during a short time period, and you want to verify all new information is included in your reports.

Management Reporter determines missing accounts by using the lowest and highest values from the row definition or reporting tree definition, and then displays a list of accounts that are not in the row definition or reporting tree definition, but that are in the financial data. If a missing account is greater than or less than the values in the row definition, that account is not included in the list of missing accounts.

Tip Tip

For validation purposes, this process should be run before you generate monthly reports, and when you create new building blocks.

Reports that have ranges of values are less likely to encounter missing accounts. When possible, use ranges in the building block to include new accounts when they are created.

To search for duplicate accounts, see Report viewing options.

Run missing account analysis

If any report definition is set to @ANY company, then you can log on to a specific company and run a missing account analysis for that company.

Note Note

If a new company has been added in Management Reporter, you must add the new company to the reporting trees in any existing reports or the company will not be included in the missing account analysis.

  1. In Report Designer, click Tools, and then click Missing Account Analysis.

  2. In the Company filter field, select a company to filter results on, or select All (no filter) to display results from all available companies.

  3. In the Dimension filter field, select a dimension to filter results on, or select All (no filter) to view all dimension information for all available dimensions.

  4. In the Group by field, select an option for sorting the results. You can sort results according to the building block that is affected, or you can sort results by dimension and value sets.

  5. Review the displayed results. When you select an item in the upper pane, the lower pane displays additional information about the exception. This includes related dimensions, values, and reports.

  6. To open the affected item, click the associated icon that is displayed in the list pane, or right-click the item and select Open. To select multiple items, hold down the Ctrl key as you select the items in the lower pane.

  7. If any values, building blocks, or reports are returned that should not be included in the analysis, right-click the item and select Exclude, or select the Exclude check box next to the item to remove the item from the list. Excluded items are not included when the list is refreshed. To select multiple items, hold down the Ctrl key as you select the items in the lower pane.

    To view all items, included any results that you previously selected to exclude from the analysis, select the Show excluded building blocks and values check box, and then click Refresh.

  8. Click Refresh to refresh exceptions that you have addressed. Click Yes to perform a full refresh of all of the results, or click No to perform a partial refresh of addressed items.

    Note Note

    The form is automatically refreshed upon opening, unless the form has been opened in the last 15 minutes.

  9. When the issues are resolved, click OK to close the dialogue box.

Keyboard shortcuts for missing account analysis

When you run a missing account analysis in Management Reporter, the following keyboard shortcuts are available:

To do this | Use this keyboard shortcut
Filter by company | Alt+C
Filter by dimension | Alt+D
Select the Group by field | Alt+G
Show excluded blocks and values | Alt+S
Refresh results | Alt+R
Exclude the selected building block | Alt+X
Exclude the selected row definition | Ctrl+B
Exclude the selected dimension value | Ctrl+D
Open the selected report definition | Ctrl+R
Open the selected row definition | Ctrl+O

For more information about keyboard shortcuts in Management Reporter, see Accessibility features in Management Reporter.

See Also

Report viewing options


Report security options

Management Reporter has several levels of security for reports to help ensure that only authorised users can view report data, and that users can view only the data that they have access to.

For example, if you have a report that must be distributed to several users, and each user has different levels of security permissions, you might consider generating the same report multiple times to make sure that each user sees only the data that the user has access to. This would result in multiple copies of the same report, stored in multiple locations on a network share or in email.

With Management Reporter, you can generate a report with personalised levels of access, so that each user can view only the information that the user has access to. You would need to maintain only one copy of the report.

Different levels of security can be applied based on your business model or business need. For example, you might secure reports at the only folder level in the report library, or you might secure an individual report in the report library. If your report uses a reporting tree, you can secure individual reporting units in the reporting tree. In all cases, a secure report link is created whenever you apply one or more levels of security. When a user opens the report link, the report displays only the information that the user has been granted permission to see, based on the security that is applied.

Reporting unit security

The lowest level of report security is based in the reporting tree. Users can be assigned to specific units in the reporting tree definition. For more information, see Restrict access to a reporting unit.

Report library security

The next level of security is in the report library. Users or user groups can be granted access to different folders and reports in the report library. For more information, see Report library security and Change report library permissions.

Report link security

After a report is generated, a report link is created in the output locations that are specified on the Output and Distribution tab of the report definition. You must specify a location in the report library where the report is generated to, and the security settings of the output location are applied to the report, so you can generate to a public folder in the report library or to a more secure folder. If you select a Microsoft SharePoint or network location for the related report link, you must also select a report library location. The report library location determines the security access when the user opens the report link.

Only active Management Reporter users can open a report link, and users can only open report links that they have been granted access to. This helps to ensure that the report displays only the information that the user has access to.

For more information about report links, see Generate reports to the report library.

See Also

Report generation
Security, user roles, and permissions


Organise reports

After you have designed building blocks and generated reports, it is helpful to organise these objects so that they are easier for users to locate. The following topics explain how to organise existing reports, building blocks, and objects in Management Reporter.

Maintain report versions

Create a folder

Move a folder, report, or building block

Rename a folder, report, or building block

Create and manage report groups

Delete report library items


Maintain report versions

The report that appears in the report library is always the most current version of the report. However, a report can have many different versions. Each time that a report is generated, Management Reporter puts the new version of the report in the report library.

Note Note

When you delete a version of a report, it cannot be recovered.

View a specific version of a report

  1. In Report Viewer, click Report Library in the navigation pane.

  2. Right-click a report, and then select Show Versions.

  3. In the Versions dialogue box, select the report version to view, and then click Open.

Rename a version of a report

  1. In Report Viewer, click Report Library in the navigation pane.

  2. Right-click a report, and then select Show Versions.

  3. In the Versions dialogue box, select the report version to rename, and then click Rename. The Name field becomes active.

  4. Type the new name, and then press Enter.

Delete a specific version of a report

  1. In Report Viewer, click Report Library in the navigation pane.

  2. Right-click a report, and then select Show Versions.

  3. In the report Versions dialogue box, select the report version to delete, and then click Delete.

  4. Click Yes to permanently delete the report.

See Also

Rename a folder, report, or building block
Move a folder, report, or building block
Delete report library items
Insert external files into the report library
Change report library permissions
Report viewing options


Create a folder

Use folders to organise your reports, building blocks, and other objects in Management Reporter.

Create a folder in Report Designer

Use folders to organise your building blocks in Report Designer. All folders are specific to the type of building block they contain. For example, all folders that contain row definitions are located in the Row Definitions pane of Report Designer.

  1. In Report Designer, select the type of building block to organise in the navigation pane. For example, to sort a row definition, click Row Definitions.

  2. In the navigation pane, select the existing folder that the new folder will be created under, and then complete one of the following actions:

    • Right-click the parent folder and select New Folder.

    • Select the parent folder, click File, and then select New Folder.

  3. When the new folder appears, type the name of the new folder and press Enter.

Create a folder in the report library

In Report Viewer, you can create folders to organise your reports in the report library.

Note Note

When you move a report from its original location in the report library, you are only moving a copy of that report, and the moved report is not listed in the version list of the original report. For more information about report versions, see Maintain report versions.

To permanently change the report library output location for a report, see Report viewing options.

  1. In Report Viewer, click Report Library in the navigation pane.

  2. In the navigation pane, select the existing folder that the new folder will be created under, and then complete one of the following actions:

    • Right-click the parent folder and select New Folder.

    • Select the parent folder, click File, and then select New Folder.

  3. When the new folder appears, type the name of the new folder and press Enter.

See Also

Organise reports


Move a folder, report, or building block

Use folders to organise your reports, building blocks, and other objects in Management Reporter.

Move a folder or object in Report Designer

When you move a folder or building block that is used for a report, Management Reporter maintains the link to the moved object. As a result, you do not need to update the associations between building blocks and reports.

  1. In Report Designer, use the navigation pane to locate the folder or building block to move.

  2. Select the folder or item, and then drag it to a new location in the navigation pane. All contents of a folder are moved with the folder.

Move a folder or report in the report library

If you move a folder in the report library that is used as the output location for a report, the report library location in the associated report definition is updated.

However, if any of the reports in the moved folder have related report links, you must manually update the report links on the Output and Distribution tab of the report definition. For more information about related report links, see Generate reports to the report library.

When you move a report, you can move either the most recent version or all versions of the report. If you move a specific version, that version is no longer associated with the original report and will not be updated when the report is regenerated.

  1. In Report Viewer, click Report Library in the navigation pane.

  2. Select a folder or report, and then drag it to a different folder or to the report library. All contents of a folder are moved with the folder.

See Also

Maintain report versions
Create a folder
Rename a folder, report, or building block
Delete report library items
Insert external files into the report library
Change report library permissions


Rename a folder, report, or building block

You can rename folders, reports, building blocks, and other objects in Management Reporter to help organise your files. Depending on the type of object that you rename, you might have to update associations to that object.

Rename a folder or building block in Report Designer

In Report Designer, you can rename folders, report definitions, row definitions, column definitions, and reporting tree definitions.

Note Note

When you rename a building block, you must update any reporting definitions that use the building block, or new report cannot be generated successfully.

  1. In Report Designer, use the navigation pane to locate the folder or object to rename.

  2. Right-click the folder or object, and then click Rename. The Name field in the navigation pane becomes active.

  3. Type a new name, and press Enter.

  4. If the item is a row definition, a column definition, or a reporting tree definition, you must update other building blocks that are associated with the item. Right-click the item that you renamed in step 3, select Associations, and then select an item in the list to update it.

  5. Repeat step 4 until all associated items are updated.

Rename a report or folder in the report library

In Report Viewer, you can rename folders, reports, report versions, and external documents in the report library.

When you rename a folder that is used as the output location for a report, the link to the renamed folder is used as the output location for all future versions of that report.

When you rename a report in the report library, you are renaming a specific version of the report. The next time that the report is generated, the original report name is used, but your renamed version still appears in the version list.

  1. In Report Viewer, click Report library in the navigation pane.

  2. Right-click an item, and then click Rename.

  3. Type a new name, and then press Enter.

See Also

Maintain report versions
Move a folder, report, or building block
Delete report library items
Insert external files into the report library
Change report library permissions


Create and manage report groups

You can group report definitions to generate multiple reports at the same time.

To create, modify, delete, and generate report groups, you must have a role of designer or administrator. Users with a role of generator can generate and view report groups and can also modify the user report definitions setting for report groups.

View a report group

  1. In Report Designer, click Report Groups in the navigation pane.

  2. Double-click a report group to open the group. The reports that are included in that group are displayed in the viewer window.

Create a report group

  1. In Report Designer, click Report Groups in the navigation pane.

  2. On the File menu, select New, and then select Report Group Definition, or click Report Group in the toolbar to open a new report group in the viewer window.

  3. Click Add, and then select the reports to include in the report group. Press and hold the Ctrl key to select multiple reports.

  4. Click OK in the Add dialogue box. The new reports are added to the list in the Reports in Group window.

  5. On the File menu, click Save, or click Save in the toolbar to save the new report group.

  6. To save all of the reports in the report group to the same location in the report library, select the Override report library location from report definition check box. Click Browse to select a new location in the report library for all of the reports in the report group. This setting is saved per report group.

  7. In the Save As dialogue box, enter a unique name for the report group, up to 255 characters. The Name field cannot be left blank.

Modify a report group

  1. In Report Designer, click Report Groups in the navigation pane.

  2. To change the name of a report group, right-click the report group in the navigation pane and select Rename.

  3. To add report definitions to the report group, double-click the report group to open it, and then click Add. Select the reports to include in the report group, and then click OK.

  4. To remove a report from the report group, select the report to remove, and then click Remove.

  5. To modify the order in which the reports are generated, select a report in the list, and then click Move up or Move down.

Generate a report group

If you have scheduled reports to be generated in the report definition settings, you can override those settings and generate a report immediately.

  1. In Report Designer, click Report Groups in the navigation pane.

  2. Select the report group to generate. Click Generate Report to open the Override Report Definition Settings dialogue box.

  3. Select the Override report dates from report definition check box.

  4. Select the Base period and Base year for your report.

  5. To view the last report in the report in Report Viewer, select the View last report in report group when generated check box. If this option is not selected, Report Viewer does not open when the report group has been generated.

  6. Click OK. If you selected the option in step 5, the Report Queue Status dialogue box opens, and Report Viewer opens to display the last generated report in the report group.

Delete a report group

  1. In Report Designer, click Report Groups in the navigation pane.

  2. Right-click the report group to delete in the navigation pane, and then select Delete.

  3. When a deletion verification window appears, click Yes.

See Also

Override Report Definition Settings dialogue box
Schedule reports


Delete report library items

If you have Delete permissions, you can delete reports, folders, and external files in the report library. However, Delete, Edit, and Create permissions can be specific to a report or folder. For example, you might have Delete permissions for a specific report or a specific folder in the report library, but not for other reports or folders.

Deleting works differently for different report library items. The following information describes how the Delete function works with each item:

  • Report – A report can have many versions. When you delete a report, you are prompted to delete the current version or all versions. To select the version from a list, select the report, and then click Show Versions on the View menu.

  • External File – When you delete an external file, you are prompted to confirm the deletion. External files do not have versions.

  • Folder – When you delete a folder, you are prompted to confirm the deletion. If you click Yes, the folder and all of its reports and external files are deleted.

Delete report library items

  1. In Report Viewer, click Report Library in the navigation pane of report viewer.

  2. Select an item, and then press Delete. To select multiple items, press and hold the Ctrl key.

  3. If you have selected one or more reports to delete, you are prompted to delete all versions or the most recent version. If you are deleting reports, in addition to folders or external files, you are prompted to delete all versions or the most recent version; however, this message pertains only to reports.

See Also

Maintain report versions
Rename a folder, report, or building block
Move a folder, report, or building block
Insert external files into the report library
Change report library permissions


Excel and Management Reporter

Microsoft Excel is a spreadsheet application that lets you store, modify, and graph data. You can use Management Reporter to link a report to an Excel spreadsheet to combine data and to summarise and display information in additional ways. For more information, see Link reports to Microsoft Excel.

You can also create a link that opens a report as an Excel spreadsheet by selecting Excel as the report output type in the report definition. For more information, see Report viewing options and Share a report.

Management Reporter can also export a report to an Excel spreadsheet. For more information, see Export a report.

See Also

Prepare a link column in a row definition
Match worksheets with fiscal periods
Identify an Excel file in a reporting tree


Link reports to Microsoft Excel

By linking rows to cells in a Microsoft Excel spreadsheet, you can combine the data from report building blocks and Excel to summarise and display information in additional ways.

A row definition typically contains links to financial accounts and dimension. These links allow for dynamic reporting. Management Reporter pulls the information from the links every time that you generate a report. In this manner, the report always uses the most current information available.

You can also create links from a row to a cell in an Excel spreadsheet file that is maintained separately from your Management Reporter reports. For example, you can create a report that compares actual expenses from Microsoft Dynamics ERP to the budget in an Excel spreadsheet.

When used with a reporting tree, linking enables each unit in the reporting tree to use a different Excel workbook or worksheet. This means that reports can be formatted to pull in the same data or distinct data for each level of the report.

You can access data in an Excel worksheet by using a combined worksheet link or a separate worksheet link. For more information, see Using a combined worksheet link and Using a separate worksheet link.

Using a combined worksheet link

A Financial Dimensions + Worksheet link, also known as a combined worksheet link, combines references to cells in an external worksheet file into the same link column that you use for links to accounts or dimensions. When you use this method to access data in an external worksheet file, some rows in a column of the report will contain data from your financial data system, and other rows in that same column will contain data from the external worksheet file. We recommend that you use this method when you are importing limited amounts of data, such as work hours, head count, or units sold, that you do not have to associate with a specific unit in the reporting tree.

Note Note

This method does not require a reporting tree, but can only pull data from a single worksheet per link.

Using a separate worksheet link

A separate worksheet link lets you access multiple rows and columns of data in an external worksheet file, and to associate one or more external worksheet files with one or more reporting units in the reporting tree. You create a special column in the row definition that links to cells in the external worksheet file, and then add the names of the external worksheet files to the reporting tree.

Note Note

If you link to spreadsheets that have identical worksheet layouts, you reduce the number of link columns that are required in the row definition and the time that is required to maintain your report.

See Also

Prepare a link column in a row definition
Match worksheets with fiscal periods
Identify an Excel file in a reporting tree
Spreadsheet link example


Prepare a link column in a row definition

Within a row definition, one or more link columns contain the links to the dimensions and Microsoft Excel files. Each row definition can have up to 100 link columns. The row definition column heading indicates the link types that are supported in that column.

By default, the row definition includes one link column titled Link to Financial Dimensions, for linking to the financial data. You can add new link columns, and you can modify the link type of existing link columns.

Each link column can link to one of the following types of data.

Data Type | Description
Financial Dimensions | Links to only the financial data system.
External Worksheet | Links to an Excel file based on the reporting tree.
Financial Dimension + Worksheet | Links to the financial data system and/or to an Excel file.
XBRL Taxonomy | Links to an XBRL taxonomy.

Add a link column to a row definition

  1. In Report Designer, open the row definition to modify.

  2. On the Edit menu, click Row Links to open the Row Links dialogue box.

  3. In the Row Links dialogue box, click New.

  4. Under Link definition, select an option in the Link type list, and then type a name for this link column in the Link name field. The Link type appears in the column header of the row definition.

  5. If you select Financial Dimensions + Worksheet, select External worksheet file path to link to an Excel worksheet. Click Browse, browse to the file, and then click Open. If you select the External Worksheet link type, these fields are not available because the information is specified in the reporting tree definition.

    To link to an XBRL taxonomy, see Link to XBRL taxonomies.

Modify the properties of a link column in a row definition

  1. In Report Designer, open the row definition to modify.

  2. On the Edit menu, click Row Links.

  3. In the Row Links dialogue box, select a link from the table.

  4. Under Link definition, modify any of the available properties, and then click OK.

Delete a link column from a row definition

  1. In Report Designer, open the row definition to modify.

  2. On the Edit menu, click Row Links.

  3. In the Row Links dialogue box, select a link from the table.

  4. Click Delete.

Referring to Excel worksheet names

When you reference a particular Excel worksheet, the name of the worksheet must be at least two characters, for example, [workbook.xlsx]AA.

When you reference a specific cell in an Excel worksheet, use the column letter of the cell and row number references. For example, C10 would be column C, row 10. Management Reporter does not support referencing ranges of cells in an Excel worksheet.

The following examples are valid references for FD + worksheet links:

  • @WKS(B5)

  • @WKS(B=B5)

  • @WKS(B=B5, C=C5, D=D5)

The following examples are valid references for worksheet links:

  • B5

  • B5=B5

  • (B=B5, C=C5, D=D5)

Because the column definition is defined separately from the row definition in Management Reporter, you must determine which report columns are to receive the data from the Excel worksheet. If you specify a single cell, such as B5, the value is only added in a WKS column. If you use specific cell references like B=B5, you can position Excel values in FD, WKS, or CALC columns.

Note Note

The report columns that accept data from an Excel worksheet are the columns that are identified in the column definition as FD or WKS. If you reference an Excel worksheet cell in a CALC, DESC, or FILL column, the value is ignored.

See Also

Link reports to Microsoft Excel
Match worksheets with fiscal periods
Identify an Excel file in a reporting tree
Spreadsheet link example
Create and maintain XBRL taxonomies


Match worksheets with fiscal periods

If you have data in an external worksheet or a Microsoft Excel spreadsheet, you can create a link in a report in Management Reporter to add the external data to the report. You can use either a combined link or a separate link to retrieve the external data.

Combined link and separate link methods

The combined link method is primarily used to add spreadsheet data to a row in the report. A combined link must meet the following requirements:

  • Connect to a single Microsoft Excel spreadsheet.

  • The row definition supplies the spreadsheet file name and location.

  • Spreadsheet cell references are preceded by @WKS.

In the separate link method of adding external data to a report, the following three building block definitions contribute to the setup of the link. In addition, the report definition is set up to pull worksheet-related data from the reporting tree.

  • The row definition contains worksheet cell references in one or more external worksheet links.

    • If the worksheet is designed with periodic data, then the related period offset code (/CPO or /RPO) is also required.

    • If multiple WKS type columns are defined in the column definition, then the related column is also entered in the link syntax; for example, C=B4, E=C4.

  • The column definition contains one or more WKS type columns.

  • The reporting tree definition is associated to the external link in the row definition in addition to the location of the worksheet file.

You can use either a column period offset (/CPO) or a row period offset (/RPO) to link to Microsoft Excel files that cover multiple reporting periods.

Column Period Offset (/CPO)

If you are linking to an Excel file that has multiple columns that represent different periods, for example, a worksheet that has a detailed, 12-month budget forecast, use the /CPO (column period offset) option to match the accounting periods in the column definition with the appropriate columns in the Excel worksheet. You can use this technique with either the combined worksheet link or the separate worksheet link.

To use the /CPO option, in the row definition, type the cell address that points to one column to the left of the first period (column). Then, add the /CPO option at the end of the cell address.

The following table shows an example of using the /CPO option to link to a column from the external Excel worksheet file.

Row Code | Description | ... | Link to Worksheet
340 | Total Units Sold | ... | A7 /CPO

The following table shows an example of using the /CPO option to link to a column from the external worksheet file.

Row Code | Description | ... | Link to External Worksheet
340 | Total Units Sold | ... | @WKS (B=B2) /CPO

When you run a report for period 1, Management Reporter uses the values in column B of the worksheet (January). For period 2, Management Reporter uses the values in column C of the worksheet (February), and so on.

Note that the referenced cell (A7) is one column to the left of the first amount that you want to import into the report for the first period.

Note Note

Include the /CPO or /RPO option only one time per link cell, regardless of the number of Excel references in that link cell.

Row Period Offset (/RPO)

If you are linking to an Excel worksheet that has multiple rows that represent different periods, use the /RPO (row period offset) option to match the accounting periods in the column definition with the appropriate rows in the Excel worksheet. You can use this technique with either the combined worksheet link or the separate worksheet link.

To use the /RPO option, type the cell address that points to one row above the first period (row) in the building block for the given column. Then, add the /RPO option at the end of the cell address.

The following table shows an example of using the /RPO option to link to a row from the external Excel file.

Row Code | Description | ... | Link to Worksheet
340 | Total Units Sold | ... | B2 /RPO

The following table shows an example of using the /RPO option to link to a row from the external worksheet file.

Row Code | Description | ... | Link to External Worksheet
340 | Total Units Sold | ... | @WKS (B2) /RPO

When you run a report for period 1, the values in row 3 of the worksheet (January) are used. For period 2, the values in row 4 of the worksheet (February) are used, and so on.

Note that the referenced cell (B2) is one row above the first amount that you want to import into the report for the first period.

Note Note

Include the /CPO or /RPO option only one time per link cell, regardless of the number of Excel references in that link cell.

Using multiple WKS columns

If you specify multiple WKS columns in the column definition and use the /CPO or /RPO option in the row definition, Management Reporter matches a column in the Excel worksheet with each corresponding WKS column in the column definition. In this case, specify a value in the period cell of each WKS column. You can use a specific period, such as 6, or a relative period, such as B+2.

For more information about how to add a value to the period cell, see Financial Dimensions column.

Example 1

To reference multiple values in a worksheet, you must enter multiple columns in the same WKS statement.

The following table shows an example of using the /CPO option to link to multiple columns from the external worksheet file.

Row Code | Description | ... | Link to worksheet
340 | Total Units Sold | ... | @WKS (B=A2, C=A3) /CPO

Example 2

To use the same worksheet value as a base reference, you can use the values in the PERIOD column of a column definition to determine what values to retrieve for the calculation. The PERIOD column can use a hard-coded period, or the BASE+# and BASE-# codes for this calculation.

For example, you can use the WKS statement of @WKS (B=A2, C=A2, D=A2) /CPO with the following column definition:

A | B | C | D | E
DESC | FD | WKS | WKS | WKS
 | ACTUAL |  |  |
 | BASE |  |  |
 | BASE | BASE+1 | BASE+2 | BASE+3
 | PERIODIC |  |  |

This calculation uses the same cell in the external worksheet (A2) as a reference point, but the BASE+ period codes in the column definition determine which values to retrieve for the report.

See Also

Link reports to Microsoft Excel
Identify an Excel file in a reporting tree
Prepare a link column in a row definition


Identify an Excel file in a reporting tree

After you have created a Link to Dimensions + Worksheet column in the row definition and have specified the Excel worksheet cells to include in the report, you must update the reporting tree with the linked column and the Excel file information. An Excel file can be imported into any unit in the reporting tree.

Identify the Excel link in a reporting tree

  1. In Report Designer, open the reporting tree definition to modify.

  2. Double-click the Row Definitions cell, and then select the row definition that contains information about the Excel file.

    Note Note

    The cells in the Row Definitions column display information based on the selected row information, because the same row definition must be used in all units of the reporting tree.

  3. In the External Link cell for a reporting unit, select the link name that corresponds to the external worksheet that is selected in the row definition.

  4. In the External File cell for a reporting unit, type the name of the Excel file or browse to select the Excel file.

    Note Note

    To specify a worksheet in an Excel file, enter the full path of the file name in brackets, followed by the worksheet name. For example, if the name and location of the workbook is \\database\Users\phyllis\Documents\Management Reporter\COMPBUDG.XLS and the name of the worksheet is Beijing, you need to enter the following path: [\\database\Users\phyllis\Documents\Management Reporter\COMPBUDG.XLS]Beijing.

  5. Repeat steps 3 and 4 for each reporting unit that should receive data from an Excel file. To prevent incorrect data from appearing in your report, make sure that the correct Excel file names appear in the corresponding unit of the reporting tree.

See Also

Link reports to Microsoft Excel
Match worksheets with fiscal periods
Prepare a link column in a row definition
Spreadsheet link example


XPS and Management Reporter

XML Paper Specification (XPS) is designed to give you a consistent document appearance, regardless of where and how the document is viewed. XPS documents also support security features, such as digital signatures, to provide better document security. When applied to a document, digital signatures can help ensure the identity of the signer and indicate whether an XPS document has changed since it was signed.

To create a link that opens a report as an XPS document, see Share a report.

To specify display options for XPS documents, see Report viewing options.

To export a report as an XPS document in Report Viewer, see Export a report.

For more information about XPS and its benefits, see XPS Documents and XML Paper Specification: Overview.

Note Note

To use XPS features, you must have the Microsoft XPS Viewer installed. This viewer is automatically installed on Windows Vista, Windows 7, Internet Explorer 6, Internet Explorer 7, Internet Explorer 8, and Internet Explorer 9. To download the viewer, see Microsoft XML Paper Specification Essentials Pack.


XBRL and Management Reporter

Management Reporter supports XBRL, or extensible business reporting language. XBRL functionality in Management Reporter allows you to prepare, publish, and exchange financial statements in a common format. Regulating authorities create taxonomies that regulate the tagging of data in this common format. Companies must choose line item tags from the regulator’s taxonomy and map the tags to their financial figures. The XBRL functionality in Management Reporter automates this data-tagging process.

Taxonomies have been established in the United States for U.S. GAAP and the Securities and Exchange Commission, and also for HM Revenue and Customs in the United Kingdom. XBRL use by regulating authorities world-wide is expected to increase in the future.

The consistent identity structure of XBRL is intended to make financial information easier for analysts, investors, and others to search and analyse across companies, reporting periods, and industries without having to reenter data manually. XBRL tags can be recognised and processed by databases, spreadsheets, and financial reporting systems.

Create and maintain XBRL taxonomies

Create and maintain XBRL entities

Maintain XBRL units

Link to XBRL taxonomies

See Also

Export a report


Create and maintain XBRL taxonomies

XBRL taxonomies define the specific tags that you use for the individual items of data in reports, such as net profit. Different taxonomies are required for different business reporting purposes. After your company has determined which taxonomy it needs, it is downloaded from the appropriate website.

XBRL represents each concept as an element with a name. An element is an XBRL component, such as a table, a domain member, and dimension.

You must be in an administrator or designer role to work with XBRL taxonomies.

Create or modify an XBRL taxonomy

  1. In Report Designer, on the XBRL menu, click Entities.

  2. To create an XBRL entity, click New.

    To modify an entity, select the entity and then click Modify.

  3. In the New XBRL Entity or the Modify XBRL Entity dialogue box, on the Taxonomy tab, click Define to create a new taxonomy or to modify the existing taxonomy. The Taxonomy Setup Wizard opens.

  4. On the Select Taxonomy page, select the taxonomy for the filing authority where you submit your financial reports, and then select a version of the taxonomy. Click Next.

  5. On the Select entry points page, select the entry point options for the taxonomy that you selected in step 4, and then click Next.

  6. On the Identify company page, select company information for the taxonomy, and then click Next.

  7. On the Define namespace page, accept the namespace and prefix that are generated for the taxonomy, or create a custom namespace and prefix. The namespace must be in the form of a web address, though it does not need to be valid.

    Note Note

    When a report is generated that uses the XBRL taxonomy, the date is added to the prefix.

  8. Click Finish.

See Also

Create and maintain XBRL entities
Maintain XBRL units
Link to XBRL taxonomies


Create and maintain XBRL entities

An entity in XBRL manages the rules for data and provides the context for the instance document.

This section contains the following procedures:

  • Add or modify an entity

  • Link an XBRL entity to a company

  • Delete an entity

Add or modify an XBRL entity

  1. Open Report Designer. On the XBRL menu, click Entities to open the XBRL Entities dialogue box.

  2. To create an entity, click New.

    To modify an entity, select the entity and then click Modify.

    To copy an existing entity, select an existing entity and then click Save As.

  3. In the new dialogue box, in the Entity name field, enter a unique name for the entity.

  4. On the Taxonomy tab, define or modify the XBRL taxonomy that is currently associated with the entity. To create a new taxonomy, click Define, and then complete the XBRL Setup Wizard

    For more information, see Create and maintain XBRL taxonomies.

  5. On the Companies tab, select the companies to associate with the XBRL entity.

    Note Note

    Only one entity can be applied to a company. Companies that are associated with other XBRL entities are not displayed.

  6. Click OK.

Link an XBRL entity to a company

  1. In Report Designer, on the Company menu, click Companies to open the Companies dialogue box.

  2. Select the company to link an XBRL entity to, and then click Modify. If the company to modify is not displayed in the list, click New and create a new company.

  3. In the XBRL entity field of the Modify company dialogue box, select the name of the XBRL entity to use for the company, or click New to create a new XBRL entity.

  4. Click OK.

Delete an XBRL entity

  1. In Report Designer, on the XBRL menu, click Entities to open the XBRL Entities dialogue box. A list of entities added by the user is displayed.

  2. Select the entity to delete, and then click Delete.

  3. Click Yes to permanently delete the item.

See Also

Link to XBRL taxonomies


Maintain XBRL units

An XBRL unit is an element in an instance document that specifies the measure applied to numeric values. A unit depends on the element type and data type specified in the Label Selection dialogue box.

Add or modify an XBRL unit

  1. In Report Designer, on the XBRL menu, click Units.

  2. In the XBRL Units dialogue box, a list of the available XBRL units is displayed. To add a new unit, click New. To modify a unit, click Modify.

  3. In the New XBRL Unit dialogue box or the Modify XBRL unit dialogue box, enter or modify the following information.

    Label

    Description

    Unit Name

    A unique name for the unit. For example, Miles, Gallon, or MilesPerGallon. Use letters, numbers, and underscores. Do not use spaces.

    Unit description

    A unique description for the unit. For example, the description for Salary might be Expenditure for salaries of employees.

    Define a new measure

    The name of a new unit of measure to be applied to numeric values. For example, enter MYR for Malaysian Ringgit.

    Use existing unit(s)

    Select this option to use existing units. Specify the first and second measures and the operator.

  4. Click OK. The new or modified unit is displayed in the list.

  5. In the XBRL Units dialogue box, click Close.

Delete an XBRL unit

  1. In Report Designer, on the XBRL menu, click Units.

  2. In the XBRL units dialogue box, select the unit to delete, and then click Delete.

  3. Click Yes to permanently delete the selected item, and then click Close.

See Also

Create and maintain XBRL taxonomies
Link to XBRL taxonomies


Link to XBRL taxonomies

To tag items of data in a report, you must link to an XBRL taxonomy.

Note Note

To link to an XBRL taxonomy, the company that you are creating a report for must have an XBRL entity associated with it. For more information, see Create and maintain XBRL entities.

Add an XBRL taxonomy row link

To link a row to an XBRL taxonomy label, complete the following steps:

  1. In Report Designer, open a row definition for a company that has an XBRL entity associated with it.

  2. On the Edit menu, click Row Link. The Row Links dialogue is displayed.

  3. Click New to create a new link.

  4. In the Link type field, select XBRL taxonomy. Enter a name and description for the link.

  5. To add XBRL labels for each amount row based on the row description, select the Add XBRL labels in row link check box. Management Reporter automatically assigns a label for each amount row based on the row description. If a row description does not match an XBRL label, the XBRL Label Selection dialogue box is displayed.

  6. Click OK. The Link to XBRL taxonomy column is added to the row definition.

Browse for an XBRL taxonomy label

When you add an XBRL taxonomy row link, and add XBRL labels to the row link, Management Reporter automatically assigns a label for each amount row based on the row description. If a row description does not match an XBRL label, the XBRL Label Selection dialogue box is displayed.

If the XBRL Label Selection dialogue box is displayed, select an XBRL label to attach to the row in the Possible matches for area. You can browse the possible matches for the label or browse the entire taxonomy in the hierarchal pane. You can also click Find to search by keyword.

To browse through the taxonomy in the XBRL Label Selection dialogue box, complete the following steps:

  1. In the Taxonomy view field, specify how the taxonomy is displayed:

    • Use the Presentation view to browse labels by title.

    • Use the Definition view to browse labels by definition.

  2. Use the Filter field to narrow search results to a particular label topic.

  3. In the Data type field, select a label. One of the following data types will be assigned automatically. The data type defines the kind of data that will be tagged with the XBRL item.

    • Text box is blank (Abstract)

    • Tuple (Tuple)

    • Monetary (Monetary)

    • Decimal (Decimal)

    • Shares (Shares)

    • Pure (Decimal)

    • Integer (Integer)

    • True or False (Boolean)

    • Date (Date)

    • Date/Time (DateTime)

    • Time (Time)

    • Text (String)

  4. For some data types, you must specify how to report that item. Do this in the Report the selected item as field.

  5. If the Value list option is available, you can enter or select a note for the data type and label.

  6. The Documentation, References, and Properties tabs display information that is relevant to the selected label.

  7. Double-click the selection and the label will appear in the Link to XBRL Taxonomy cell of the row definition.

See Also

Create and maintain XBRL entities
Create and maintain XBRL taxonomies
Link to Financial Dimensions cell


Specify XBRL currency and dimension in column definitions

The following procedures describe how to specify an XBRL currency and dimension for an XBRL instance document.

Note Note

To select an XBRL currency and dimension, the company must be associated with an XBRL entity. For more information, see Create and maintain XBRL entities.

Specify an XBRL currency

  1. In Report Designer, open the column definition to modify.

  2. Double-click the XBRL Currency cell in the appropriate column.

  3. Select a currency.

Specify an XBRL dimension

  1. In Report Designer, open the column definition to modify.

  2. Double-click the XBRL Dimension cell. Click Browse to open the XBRL Dimensions dialogue box.

  3. Select a row definition in the Row definition to display associated dimensions field.

  4. In the Display labels in field, select the language that labels will appear in.

  5. In the Dimensions and values field, select the dimension and dimension members for the column.

  6. Click OK.

Note Note

Dimensions not defined in the XBRL Dimensions dialogue box must be defined in the reporting tree definition. For more information, see Reporting tree definitions.

See Also

XBRL and Management Reporter
Format a multiple currency report in a column definition


Report Viewer

The Management Reporter Report Viewer helps you complete the following tasks:

  • View generated reports.

  • Search reports for keywords.

  • Add comments to a report.

  • Initiate an instant message conversation while you are viewing a report.

  • Create a quick chart from report data.

  • Drill down to the transaction level about report data within Management Reporter.

  • Drill down into the Microsoft Dynamics ERP system from the account level for more details about report data, such as transaction origination.

  • Export a report to Microsoft Excel, Microsoft XPS format, XBRL instance document, or move the report to another location for storage. This is available if you have a role of administrator, designer, or generator.

For more information about these features, see Interactive components in report viewer.

To open Report Viewer, click Start, select All Programs, and then select the Microsoft Dynamics folder. Open the Management Reporter 2012 folder, and then click Report Viewer. This is the default location. Your administrator may have installed it in another location.

Interactive components in Report Viewer

Component

Description

Quick charts

Create a chart from selected rows or columns of data in a report. You can paste the chart into a PowerPoint slide, save the chart for future use, or copy and paste it into an email message to send to a co-worker. For more information about charts, see Create a chart.

Add comments

All users can create and modify their own comments and respond to another user’s comment in a report. Administrators and designers can delete any comments. For more information about how to use comments, see Add a comment to a report.

Find

To quickly locate a word in a report, click Find on the Find menu. A search pane opens above the report. Type a word to locate. Click Options to specify Match whole word only or Match case. Click Next. The line in the report that contains the word is highlighted with a box around it.

Go To

You can move to a specific line of key data in a report. The Go To pane is located at the bottom of the report view pane. You can also access Go To from the Find menu. Click Go To and select a line of the report from the menu. The page of the report that has that line on it is displayed in the view pane. To show or hide the Go To pane, select View, and then click Go To Pane.

Paging buttons

Use the report page navigation buttons to navigate between pages of the report or move to the first or last page of the report. The paging buttons are located in the Go To pane at the bottom of the report view pane.

Send an instant message

Use Microsoft Lync 2010 to send an instant message to a co-worker when you are viewing a report. To start an instant message dialogue, right-click a line in a report and select Send an Instant Message.

Note Note

To use this feature, you must have Microsoft Lync 2010 or a later version installed on your computer.

Drill Down in Management Reporter

Some reports contain detailed information that you can view by drilling down into the report. To determine whether a report has detailed information, move the pointer over the report rows. A hyperlink appears when the row contains a detailed report. Double-click the row to view the detailed report.

To see more information about a line in a report, you can use one of the following procedures from the account level in a report:

  • Click Drill down in the toolbar.

  • Select a line of the report, and on the View menu, click Drill Down.

Drill to Dynamics

To see information beyond the Management Reporter transaction level, you can drill down in the Microsoft Dynamics ERP system. Your pointer must be at the account level of a report for this option to be active.

The report library

Report Viewer also contains the report library, which stores all versions of the reports that have Management Reporter selected as the output type. For more information about output types, see Report viewing options.

The structure of the report library is always visible in the navigation pane, and you can examine the content of all folders. However, throughout the report library you can view only the reports and external files that you have View permission for. For more information about report library permissions, see Report library security

See Also

Report Viewer menu commands
Print a report
Share a report
Maintain report versions
Rename a folder, report, or building block
Move a folder, report, or building block
Delete report library items
Insert external files into the report library
Export a report
Schedule reports


Report Viewer menu commands

The following information describes menu selections that are available to you when you view reports in Report Viewer:

  • File menu

  • Edit menu

  • View menu

  • Find menu

  • Tools menu

  • Window menu

  • Help menu

File menu

The following table describes the File menu commands in Report Viewer.

File Menu Command

Description

New Folder

Creates a new folder in the current report library location. The user must have Create permission to use this option.

Open Selected Item > In Current Window

Opens the selected report in Report Viewer.

Open Selected Item > In New Window

Opens the selected report in a new instance of Report Viewer.

Close View

Closes the current report view.

Close Report

Closes the current report, which includes all tree nodes and report views.

Close All

Closes all reports, which includes all tree nodes and report definition views.

Page Setup

Displays the Page Setup dialogue box for specifying the page setup for the reports that are viewed during the current Management Reporter session.

Print

Displays the Print dialogue box for printing the current report.

Export > Microsoft Excel (.xlsx)

Exports the current report to an Excel (.xlsx) file. Available to designers, administrators, and generators.

Export > XBRL Instance Document

Exports the current report to an XBRL instance document. Available to designers, administrators, and generators.

Export > XPS

Exports the current report to a XPS (.xps) file. Available to designers, generators and administrators.

Send an Instant Message

Send an instant message using Microsoft Lync 2010.

Note Note

To use this feature, you must have Microsoft Lync 2010 or later installed on your computer.

Send Link Using E-mail

Opens a new email window that contains a link to the report in the Management Reporter report library. This link can be opened in Report viewer, as a Microsoft Excel worksheet, or as an .xps file.

Exit

Closes all open reports and exits Report Viewer.

Edit menu

The following table describes the Edit menu commands in Report Viewer.

Edit Menu Command | Description
Copy Comments | Places a link to the comments in the report on the clipboard to be pasted into other applications.
Copy Link | Places a link to the report in the Management Reporter report library on the clipboard to be pasted into other applications.
Delete | Deletes the selected report library item. This is available to any user who has View and Delete permissions for the item being deleted.
Move | Moves the selected report library item. This is available to any user who has View and Delete permissions for the item being moved and with Create permission for the folder to receive the item.
Rename | Renames the selected report library item. This is available to any user who has View and Edit permissions for the item being renamed.

Find menu

The following table describes the Find menu commands in Report Viewer.

Find Menu Command | Description
Find | Opens the Find toolbar above the report.
Go To | Displays the selected row in the report.

Insert menu

The following table describes the Insert menu commands in Report Viewer.

Insert Menu Command | Description
External File | Opens the Insert External File dialogue box. You can type a file name or search for a file to insert.
Quick Chart | Create a chart to quickly view data in the selected row or column of a report. For more information, see Create a chart.
Comment | Add a comment to the selected cell, row, or column of a report. For more information, see Add a comment to a report.

View menu

The following table describes the View menu commands in Report Viewer.

View Menu Command | Description
Report Library | Displays the report library in the display pane.
Report Data | Displays the report data in the display pane.
Navigate Back | Displays the previously viewed report or report library location.
Navigate Forward | Displays the next viewed report or report library location.
Drill Down | Drills down into next level of detail in Management Reporter. This command is available when you view financial detail or account detail and the report includes supporting data.
Duplicate Accounts | Opens an exception report, which shows the financial data account balances that were not duplicated in the financial report. This option is not available if there is no exception report or if you are currently viewing an exception report about duplicate accounts.
Dimension Descriptions | Displays the dimension descriptions in addition to the dimension values that apply to each row on a report. For financial reports, the fully-qualified account is displayed. For example, +Account = [110140], Department = [070], Cost Centre = [0101]. For other types of reports, the concise codes are displayed.
Refresh | Refreshes the report library to show the current data.
Navigation Pane | Displays or hides the navigation pane.
Status Bar | Displays or hides the status bar at the bottom of the screen.
Go To Pane | Displays the Go To pane at the bottom of the display pane, which includes Quick Link, page number field, and page navigation buttons.
Fact Pane | Displays the Fact Pane on the right side of Report Viewer in the Report Data tab only. The Fact Pane displays comments for the active report row and charts.
Toolbar | Displays or hides the standard toolbar.
Toolbar Icons | Changes the toolbar icon size to be large or small.
Lock Toolbar | Locks the toolbar to prevent changes.
Reset Toolbar | Resets the toolbar to the default options.
Zoom | Selects zoom options that are based on a percentage, a page, or a custom zoom level. In addition, you can use the slider at the bottom of the report window to zoom in and out of a report.
Show Versions | Shows all report versions. If you have Create, Edit, and Delete permissions, you can also move, rename, and delete report versions by using the Show Versions dialogue box.

Tools menu

The following table describes the Tools menu commands in Report Viewer.

Tools Menu Command | Description
Connection | Opens the Connection dialogue box. From here, you can connect to a server or test the connection.
Report Library Permissions | Modifies the security for a report library item. For example, you can change View, Edit, Create, and Delete permissions for a library item. This option is available to Management Reporter administrators.
Options | Configures basic options for viewing reports in Management Reporter, such as startup behaviour and default file locations.

Window menu

In Report Viewer, the Window menu displays a list of open report windows. The most recently accessed reports are listed first.

Help menu

The following table describes the Help menu commands in Report Viewer.

Help Menu Command | Description
Management Reporter Help | Opens the Management Reporter Help documentation.
About Management Reporter | Displays the release information about the application.

See Also

Report Viewer


Fact pane

The Fact pane appears to the right of the view pane when you have opened a report in Report Viewer. It displays the comments that are in the report and any charts that you have created from the report data.

To hide or display the Fact pane, from the View menu, click Fact Pane. If the Fact pane is hidden and you add a comment to a report row, the Fact pane is displayed. To expand and collapse the fact pane, click the arrow in the upper-right corner. To change the width of the pane, select the splitter bar on the left side of the pane.

Comments in the report are shown at the top of the Fact pane. You can use the scroll buttons to scroll through the comments, or you can click a comment, and then use the arrow keys to move through them. You can add or delete a comment using the icons in the Comment toolbar. For more information about comments, see Add a comment to a report.

Charts that you have created from the content of the report are listed under the comments in the Fact pane. Click on a chart title to view it in the Fact pane, and double-click a chart to open it in a new window. For more information about how to create charts, see Create a chart.

See Also

Add a comment to a report
Create a chart


View a report

Depending on your permissions, you can view the latest version or a previously generated version of a report.

View a report

  1. In Report Viewer, click Report Library in the navigation pane. Reports are listed in the viewer pane.

  2. Double-click the report to view to open the report in the viewer pane.

    • If the report uses a reporting tree, the reporting tree appears in the navigation pane.

    • If the report includes additional detail, a hyperlink appears when you move the pointer over the data. Double-click report data to view the supporting detail. When you drill down into a report, you can navigate back and forward through the report views by clicking the Forward and Back buttons on the toolbar.

View a specific version of a report

  1. In Report Viewer, click Report Library in the navigation pane. Right-click a report, and then click Show Versions.

  2. Select the report version to view, and then click Open.

See Also

Report Viewer
Report Viewer menu commands


Change page setup

Use the Page Setup dialogue box to change the margins, orientation, scaling, page order, and paper size for reports. This page setup applies to all reports in the current Management Reporter session, only. When you close Management Reporter, the page setup reverts to the default page setup for the report. To make permanent changes to page setup, see Page Setup options in report definition.

Change page setup

  1. When viewing a report in Report Viewer, click File, and then click Page Setup.

  2. Modify the Page Setup options as needed.

  3. Click OK.

The following options are available:

Option

Description

Margins

Select the width of the top, bottom, left, and right margins of the report. The default margin value is 0.75 inches.

Scaling

Resize the report page.

  • Reduce or enlarge to – Changes the size of the printed report and maintains the proportions of the report columns.

  • Shrink to page width – Adjusts the size of report columns to fit on a single page of paper. Page width is based on the Paper size dimension.

Orientation

Select Landscape for horizontal page orientation or Portrait for vertical page orientation.

Page Order

Controls the order that the report pages are displayed.

  • Down, then over – Information in report pages is read or displayed down in columns first, and then over in rows.

  • Over, then down – Information in report pages is read or displayed across in rows first, and then down in columns.

Paper size

Select the page size that is appropriate for your location or project requirements.

See Also

Change report magnification
Print a report


Change report magnification

You can change the magnification of the print on a report to make it easier to read.

Change report magnification using a predefined zoom setting or a custom setting

  1. Open a report in Report Viewer.

  2. On the View menu, click Zoom. Select a predefined zoom size, or click Other to enter a custom zoom size.

Change report magnification using the slider

To use the slider to change report magnification, open a report in Report Viewer and complete one of the following steps:

  • On the bottom of the report window, click the slider and drag it to the right to increase magnification. Drag the slider to the left to reduce magnification.

  • Click the + sign to increase magnification, or click the – sign to reduce magnification.

  • Click the report magnification number to open the Zoom dialogue box. Select a magnification percentage and then click OK.

See Also

Report Viewer
Change page setup
Print a report


Print a report

You can print the current view, current page, current reporting unit, selected reporting units, or all reporting units. When working with a detailed report, you can print the entire financial report, which combines all supporting details, or you can print specific detailed reports.

Note Note

To change the report page setup in Report Viewer, on the File menu, click Page Setup.

Print a report

  1. In Report Viewer, click Report Library in the navigation pane, and open the report to be printed.

  2. On the File menu, click Print, or click Print in the toolbar.

  3. Select the print destination in the Printer field. To change the printer options, click Printers.

  4. Under Print range, select one of the following options.

    • Current View - Prints the current view of a report. For example, if the current report view is three pages, those three pages are printed.

    • Current Page – Prints the page that is currently displayed in Report Viewer.

    • Current Reporting Unit – Prints the current reporting unit of a reporting tree. For example, if the current reporting unit is three pages, three pages are printed.

    • Selected reporting units – Opens a dialogue box where you can select the reporting units to print.

    • All reporting units – Prints all reporting units in a reporting tree.

  5. Under Report type, select one or more of the following options. If you selected Current View or Current page for the Print range option, these options are not available.

    • Financial report – Prints only the financial report.

    • Account details – Prints only the account details report.

    • Transaction details – Prints only the transaction details report.

    • Exception report – Prints only the exception details report.

  6. To print any comments that are included in the report, select Include comments.

  7. Specify the width of the report columns, or select Autofit to automatically define the column width.

  8. Specify the number of copies to print and whether to collate multiple copies, and then click OK to print the report.

See Also

Change report magnification
Change page setup


Share a report

You can create an email message that contains a link to your report in the report library. In Report Viewer, select a report, click File, and then select Send link using email. Select one of the following options:

  • Management Reporter – Send a link by email to the report that is in the report library. The email recipient must have the appropriate permissions in Management Reporter to view the report.

  • Microsoft Excel (.xlsx) – Send a link by email to open the report as a Microsoft Excel worksheet.

  • Microsoft XPS – Send a link by email to open the report as a Microsoft XPS document.

  • All – Send a link by email to the report in all output types.

See Also

Export a report


Insert external files into the report library

You can add external, supporting documentation to the report library, such as an Excel worksheet, a Microsoft Word document, or a .pdf file. This can be useful to view files associated with a report. To open the external file, double-click the file name. The file is opened by the appropriate application.

Note Note

To view the external file, you must have the application associated with the external file installed on your computer.

Insert external files into report library

  1. In Report Viewer, click Report Library in the navigation pane, and select the folder to insert an external file in to.

  2. On the Insert menu, click External File.

  3. Browse to the location of the file.

  4. Select the file, and then click Open.

See Also

Maintain report versions
Rename a folder, report, or building block
Move a folder, report, or building block
Delete report library items
Change report library permissions


Export a report

Management Reporter can export a report to a .xps document, an Excel spreadsheet, or to an XBRL instance document. If you have export permission, you can export a reporting tree, a current reporting unit, or a current view. When you work with a detailed report, you can also export the entire financial report, including all the supporting details, or you can export specific detail reports. For more information about security and export permissions, see Security, user roles, and permissions.

Tip Tip

To change the default import and export file directory for the current user, open Report Viewer. On the Tools menu, click Options to open the Options dialogue box. In the Default import and export file directory field, type or browse for a new default file directory. Click OK.

Export a report to Microsoft Excel

  1. In Report Viewer, click Report Library in the navigation pane, and then double-click a report to open it.

  2. On the File menu, click Export, and then click Microsoft Excel (.xslx).

  3. In the Export to Microsoft Excel dialogue box, in the Export data to field, enter a path and file name to export the report to, or click Browse to locate a path and file name. The file name that you specify must end in .xlsx or .xls.

  4. Under Export range, select one of the following options:

    • Current View – Exports the current view of a report.

    • Current Reporting Unit – Exports the current reporting unit of a reporting tree.

    • Selected Reporting Units – Open a dialogue box where you can select the reporting units to export.

    • All Reporting Units – Export all reporting units in a reporting tree.

  5. Under Report type, select one or more of the following options:

    • Financial report – Export only the financial report.

    • Account details – Export only the account detail report.

    • Transaction details – Export only the transaction detail report.

    • Exception report – Export only the exception report.

    Note Note

    Report type options are not available if you select Current View for the Export range option.

  6. To export any comments that are attached to the report, select Include comments.

  7. Under Microsoft Excel options, select one or more of the formatting and file options.

  8. Click OK. If you selected Open workbook after exporting, the report will open in Microsoft Excel. Otherwise, it is saved to the location that you specified in step 3.

Export a report to an XBRL instance document

If XBRL details were included when a report was generated, you can export the report to an XBRL instance document.

  1. In Report Viewer, click Report Library in the navigation pane, and then double-click a report to open it.

  2. On the File menu, click Export, and then click XBRL Instance Document. This opens the Export to XBRL Instance Document dialogue box.

  3. In the Export data to field, enter the location where your instance document will be sent.

  4. In the File and folder name field, enter the name that will identify the file and folder after it is sent. Click OK.

    Note Note

    If you use the File and folder name field, the supporting XBRL documents, such as the taxonomy files and extensions, will be sent together with the instance document.

Export a report to an XPS document

  1. In Report Viewer, click Report Library in the navigation pane, and then double-click a report to open it.

  2. On the File menu, click Export, and then click XPS.

  3. In the Export to XPS dialogue box, in the Export data to field, enter a path and file name to export the report to, or click Browse to locate a path and file name. The file name that you specify must end in .xps.

  4. Under Export range, select one of the following options:

    • Current View – Export the current view of a report.

    • Current Reporting Unit – Export the current reporting unit of a reporting tree.

    • Selected Reporting Units – Open a dialogue box where you can select the reporting units to export.

    • All Reporting Units – Export all reporting units in a reporting tree.

  5. Under Report type, select one or more of the following options:

    • Financial report – Export only the financial report.

    • Account details – Export only the account detail report.

    • Transaction details – Export only the transaction detail report.

    Note Note

    Report type options are not available if you select Current View for the Export range option.

  6. To export any comments that are attached to the report, select Include comments.

  7. Select the width of the report columns, or select Autofit to automatically size the columns.

  8. Under XPS options, select one or more of the formatting and file options.

  9. Click OK. If you selected Open XPS after exporting, the report will open in Microsoft Document Viewer. Otherwise, it is saved to the location that you specified in step 3.

See Also

XPS and Management Reporter
Excel and Management Reporter
XBRL and Management Reporter
Security, user roles, and permissions
Change report library permissions
Select user preferences


Create a chart

You can quickly create a chart from highlighted rows or columns of data within a report. When you view report data, the fact pane, which displays the comments that are within the report and the charts that you have created from the report data, opens to the right of the viewer pane.

For a list of the types of charts available in Report Viewer, see Chart types later in this topic.

Create a quick chart

  1. Open a report in Report Viewer.

  2. Select the sequential rows or columns of data to include in the chart. You can include data from the financial, account, and transaction levels of the report. You can select data in the following ways:

    • Right-click on a row or column in the report, and select Select Row or Select Column from the context menu.

    • If there is an active cell in the report and you right-click and select a chart or click a chart icon in the toolbar, the row where the active cell resides is used to create the chart.

    • Select a row or column, hold down the Shift key, and use the arrow keys on the keyboard to select sequential row or columns of data.

  3. Select the type of chart in one of the following ways:

    • Right-click on the report data, select Quick charts, and then select the type of chart to create.

    • Click the appropriate chart icon in the tool bar.

  4. A separate window opens to display the chart. Click stick pin fact pane in the chart toolbar to pin the chart to the fact pane. It docks beneath the last docked chart. Optionally, you can right-click on the chart and select one of the following options:

    • Copy – Copy the image to the clipboard to paste into other applications.

    • Show Legend – Show or hide the chart legend.

    • Chart Type – Select and create a different chart using the same data.

    • Palette – Select a different colour palette for the chart.

    • Series – If a row was selected for the chart, all columns are listed. If a column was selected, all rows are listed. Select Add All to chart all series or select Clear All to clear all series, in which case the chart would be blank.

    • 3D – Convert the chart to a 3D image.

    • Add Chart Title – Opens the Chart Title dialogue box. Type the name of the chart and select formatting options. Click OK.

When you close the report, the chart is saved with it.

Example

Kevin is preparing a Microsoft PowerPoint presentation of monthly sales for the quarterly review. On the Profit and Loss report, it shows each month, January through August. Kevin highlights the Sales row, right-clicks, and then selects Quick Chart and then Pie. A separate window opens that displays the data in a pie chart. Kevin clears the Total column option so that he sees just the sales month over month. Kevin reviews the trend and finds it to be very useful. Kevin right-clicks the chart, clicks Copy, and then pastes the chart into his PowerPoint slide. When he closes the report, the chart is saved with it.

Chart icons and options

Icon

Description

lightning bolt icon

Lightning bolt action menu in the fact pane provides the following options:

  • Move Up – Move the selected item above the previous docked item. If the item is already at the top, no action occurs.

  • Move Down – Moves the selected item below the previous docked item. If the item is the last item, no action occurs.

  • Undock– Undocks the item from the fact pane and opens chart in a separate window.

  • Close – Closes the item.

fact box collapse rest icon

Collapses the detail of the item. When collapsed, only the caption bar is displayed.

Factbox expand rest icon

Expands the detail of the item.

stick pin fact pane

Docks the chart to the fact pane.

close icon

Closes the chart.

Chart types

The following charts can be created from an open report in Report Viewer:

Chart type

Description

Bar chart

A bar chart has rectangular bars with lengths that are proportional to the values that they represent. The bars are plotted horizontally. Bar charts are used to plot data that has discrete values and is not continuous.

Tip Tip

Do not use a bar chart for comparisons or larger data sets; use a line chart.

Column chart

A column chart displays a series as a set of vertical bars that are grouped by category. These charts are useful for showing data changes over a period of time or for illustrating comparisons among departments.

Tip Tip

Do not use a column chart for comparisons or larger data sets; use a line chart.

Line chart

A line chart displays information as a series of data points that represent individual measurements that are connected by straight line segments. A line chart is often used to visualise a trend in data over intervals of time.

Tip Tip

Do not use a line chart if the X axis has non-numeric values.

Pie chart

A pie chart, or a circle graph, is a circular chart divided into sections that illustrate proportion. Pie charts can be an effective way to display information if the intent is to compare the size of a slice with the whole pie, rather than comparing the slices among them. It also shows the frequency within certain groups of information.

Tip Tip

Do not use a pie chart for exact comparisons of values because it is difficult to estimate angles. For rank data, use a column or bar chart, and for grouped data, use multiple column or bar charts. If proportions vary greatly, do not use multiple pies to compare corresponding parts.

Area chart

An area chart displays graphically quantitative data. It is based on the line chart with the area between axis and line ordinarily emphasized with colours, textures, and hatchings. Area charts are used to represent cumulated totals using numbers or percentages over time.


Add a comment to a report

You can add and respond to comments in any report that you have access to. Comments appear in the report and, optionally, in the Fact pane. If you have the role of designer or administrator, you can also copy comments from a previous report version into the current report version, which overwrites any existing comments.

Comments can be added to all user-defined financial dimension rows, calculation rows, and total rows.

Add a comment to a report

  1. Open a report in Report Viewer.

  2. Right-click a row in the report to comment on, and then click Add Comment.

  3. Type your comments in the Comment dialogue box.

  4. Click OK. The comment is displayed in the fact pane. When you close your report, the comments are saved with it.

Copy comments from a previous report version

You can copy comments from an earlier version of a report to the current version. You must have the role of designer or administrator to copy comments, and the original author maintains ownership of the comments. Copying overwrites any comments in the current version.

  1. Open a report in Report Viewer.

  2. From the toolbar, click Copy Comments. The Report Versions dialogue box opens.

  3. Select the version of a report that contains the comments that you want to copy.

  4. Click OK.

See Also

Fact pane


Drill to Dynamics

The Drill to Dynamics feature lets you obtain additional information about an account from the Microsoft Dynamics ERP system, such as viewing the source and originating transactions for general ledger data to provide more details for data analysis.

For example, suppose that Phyllis generates a Quarter 1 Income Statement. She opens the report in Report Viewer and drills down to the account level on Sales. She wants to view additional information about the account, such as where the transactions originated. Phyllis knows that she can drill down to the transaction level in Management Reporter, but she wants to see more information than what is provided. On the account level, she can right-click and select Drill to Dynamics. Depending on the Microsoft Dynamics ERP system she is using, an ERP system window opens, and from there she can view additional information related to the account.

Use Drill to Dynamics

Note Note

To use Drill to Dynamics, a Microsoft Dynamics ERP client must be installed on the computer that you are using, or the following options will not be available.

In Report Viewer, open the report. To use the Drill to Dynamics feature, you must be at the account level of the report. You can access the Drill to Dynamics feature in one of the following ways:

  • Select an account name, and then click Drill to Dynamicx on the toolbar.

  • Select an account name, and then on the View menu, select Drill to Dynamics.

  • Select an account name, press Alt+D.

Depending on the Microsoft Dynamics ERP system that you are using, the ERP system window opens, based on the system that is connected to the report or the node of the tree that you are drilling down on. If you are not logged on to the ERP system, you must enter your credentials.

Note Note

Reports that were generated using a previous version of Management Reporter might not produce accurate results for the Drill to Dynamics feature. If this occurs, you must generate the report again.

See Also

Report Viewer
Report Viewer menu commands


Send an instant message

You can initiate an instant message exchange with a co-worker while you view a report in Report Viewer. To use this feature, you must be using Microsoft Lync 2010.

Send an instant message

  1. Open a report in Report Viewer.

  2. Right-click in a cell in the report, and select Send an Instant Message to open the Lync instant message dialogue box.

See Also

Add a comment to a report


Web Viewer

The Web Viewer allows you to view a Management Reporter report in a web browser, without using Desktop Viewer or an installation of the Management Reporter client.

Note Note

Web Viewer requires a current generation web browser. For more information, see the Management Reporter System Requirements.

Web Viewer commands

The following table describes the buttons that are available on the application bar of the Web Viewer.

Button

Description

Reporting Tree

View information for individual units of the reporting tree of the report. You can view only the units of the reporting tree that you have been granted access to in Management Reporter.

Note Note

This option is available only if the current report uses a reporting tree.

Add Comment

Add a comment to the row that is currently selected in the report.

Go To

View specific rows in the report or a specific level of the reporting tree.

Note Note

This feature is available for the Financial level of a report only.

Show

Open a menu of the following commands:

  • Show Charts and Comments or Hide Charts and Comments – View the charts and comments that are associated with rows of a report. By default, charts and comments are not displayed.

  • Show Header and Footer or Hide Header and Footer – View the headers and footers for the report. By default, headers and footers are not displayed.

Zoom

Increase or decrease magnification of the report data.

Download

Download the current report as an XPS (.xps) file, a worksheet in Microsoft Excel (.xlsx file), or as a report in Management Reporter.

For more information about export options in Management Reporter, see Export a report.

Settings

View information about Management Reporter.

View a report in the Web Viewer

To view a report in the Web Viewer, you must generate a link to the report in the report library. For more information about how to create a link to a report, see Share a report.

If the report in Management Reporter contains additional levels of detail, such as the Account or Financial Detail view, links for these views are displayed below the title of the report. Click one of the view options to display additional data for the selected level of detail. For example, if you are viewing transaction details for a sales account, click the Financial Detail link to view a Financial Detail version of the report with summarised data.

If the report in Management Reporter contains account and transaction details for certain rows of the report, the rows are displayed as hyperlinks in the report. Click a row that includes details to view additional information in Web Viewer.

  1. Select the link to open the report in the Web Viewer.

  2. Use the arrow keys to move through the rows of the report.

  3. To select a row in the report, click between the columns of data to select that row. Any charts or comments that are associated with the row are displayed in the Fact Pane.

    Note Note

    Only one row can be selected at a time.

  4. To return to a previous view of the report, click the Back button in the Web Viewer. The Back button is located next to the report name.

    Note Note

    Do not use the Back button in the web browser.

  5. To print a report, use one of the following options:

    • Click Print in the web browser.

    • Download the report as an .xps file or a worksheet in Microsoft Excel, and then use the Print function in the application that you selected.

View or add comments to a report

Any user who can view the report in the Web Viewer can add comments to rows in the report. Comments can be added to any level of detail in the report, such as the Financial, Account, or Transaction detail level.

To view comments in a report in the Web Viewer, select a row in the report. On the application bar, click Show, and then select Chart and comments. Comments for the selected row are displayed in the Fact Box.

To delete a comment that you created, select the comment, and then click Delete. Click Yes to permanently delete the comment.

Note Note

By default, you can modify or delete only the comments that you have created. To delete the comments of other users, you must have the Delete permission that is defined in the report library Management Reporter. To modify the comments of other users, you must have the Edit permission that is defined in the report library in Management Reporter.

View charts that are associated with a report

Any user who can view the report in the Web Viewer can view the charts that are associated with the report. If a chart is added to the report in Desktop Viewer, the chart is displayed in the Fact Pane of the Web Viewer.

To view a chart in the Web Viewer, select a row in the report. Any charts that are associated with that row are displayed in a gallery in the Fact Pane. Click a thumbnail to view the chart.

View units of a reporting tree in a report

If a report has a reporting tree, you can filter data for individual units of the reporting tree. Users can view only the units of the reporting tree that they have been granted access to in Management Reporter.

To filter data in the report, click Reporting Tree in the application bar, and then select a unit of the reporting tree to filter results for.

If the report has a reporting tree, click Reporting Tree in the application bar to view information for a specific unit of the reporting tree.

See Also

Share a report
Export a report
Report Viewer


Multicurrency translation
Important Important

Multicurrency management is supported only in Microsoft Dynamics GP 2010. For details about currency translation and the configuration changes to make in Microsoft Dynamics GP 2010, see Microsoft Dynamics GP Multicurrency Management.

Currency translation lets you report general ledger amounts in a currency that is not the functional currency or originating currency for a transaction. The general ledger functional amounts are translated using a currency translation type that is assigned to each account. For example, if the functional currency of your company is Malaysian Ringgit (MYR), but you are considering expanding to Canada, you can print your financial statements in Canadian dollars (CAD) to present to a potential partner. You can also use multicurrency management to generate reports in Canadian dollars.

You can generate multicurrency reports in Microsoft Dynamics GP 2010, as well as in Management Reporter. Before you make any changes in Management Reporter, you must first open the Multicurrency Setup window in Microsoft Dynamics GP 2010 and enter the appropriate currency exchange information. After you have updated Microsoft Dynamics GP, you can configure the Currency Source field in the column definition for the report. For more information about this procedure, see Format a multiple currency report in a column definition.

See Also

Format a multiple currency report in a column definition


Glossary

&

See ampersand character (&).

?

See wildcard character (?, *).

*

See wildcard character (?, *).

account

The unique identifier for a record that holds the balance relating to any single asset, liability, owner's equity, revenue, or expense of the business.

account dimension

In a dimension-based system, the dimension that describes the type of account, for example, asset, liability, revenue, expense, or retained earnings.

account modifier

An operator that is used in a row definition to offset the reporting period or year for a specific row.

additional text

Customised text that is specific to a reporting unit. Additional text is a special form of auto text.

alphanumeric characters

A combination of alphabetical and numeric characters, usually used to refer to a code, such as a report name, row code, or row description.

ampersand character (&)

A special character that is used to identify which dimensions or segments in a chart of accounts should be selected when you use the Insert Rows from Dimension function. This default selection is the natural account, but any combination of account and dimensions can be selected.

apply date

The effective posting date of a transaction in dimensions. The apply date determines which financial data accounting period includes a transaction.

attribute category

A classification of the dimension values that additionally defines transaction data in an attribute column.

attribute filter

In a column definition, the list of attributes that limit the data that is available for a report.

attributes

Financial and non-financial information that is in a financial data source database. Management Reporter supports two types of attributes: account-based and transaction-based.

auto text

Text that is updated every time that a report is generated in Management Reporter. Auto text can be used in report headers and footers, in row descriptions, and in column headers.

base period

The reporting period specified in a report definition. The column definition can refer to the base period to specify report columns for relative time periods. For example, if the column definition specifies BASE in the Period cell, then the actual period is defined when the report is generated.

base row

The format code Baserow identifies the row to use as the base row for any percentage calculations. This base row remains in effect until another Baserow format code is used in the same row definition.

beginning balances

The opening balances for a period or a year.

book code modifier

A modifier in a row definition that limits a row to a specific financial data source book code.

building block

A component that is used to build a report, such as a row definition, a column definition, a reporting tree definition, or a report definition. Each report in Management Reporter can have its own set of building blocks, or several Management Reporter reports can share the same building blocks.

building block group

A group of row definitions, column definitions, reporting tree definitions, and report definitions. Each Management Reporter company can have its own building block group, or several Management Reporter companies can share the same building block group.

child unit

A unit in a reporting tree that is a subsidiary to a higher-level unit called a parent unit. Data can be rolled up from child units to parent units to create summary reports.

column definition

The specified headings in report columns and of the codes that define the type of information in a column, such as reporting periods to display data from the source system and calculations on the data in other columns.

column period offset (/CPO)

A switch used in a row definition when linking to Excel worksheets. If the worksheet contains multiple columns that represent different periods, the /CPO switch matches the accounting periods in the column definition with the appropriate columns in the worksheet.

company

A data provider that is the source of financial information for reports. A default company, which is the company whose information is being used to create a report, must be specified. Additional companies can be defined as needed.

default company

The company currently selected for processing. The company description appears in the status bar. Set the default company in the Companies dialogue box.

default printer

The printer selected in the Printer Setup dialogue box as the default printer. When no other printer is specified, print jobs are sent to the default printer.

demote reporting unit

To move a reporting unit lower in the hierarchy of a reporting tree definition.

detail level

A selection in the report definition that refers to the level of detail in a report.

detail unit

A reporting unit that draws information directly from the financial data.

dimension

A reporting unit that draws information directly from the financial data. It defines the logical positioning and lengths for the account and related segments.

dimension filter

In a column definition, the specification of one or more segment or dimension values to restrict a column to specific financial data accounts.

dimension set

A named group of accounts that can be used in multiple row definitions.

dimension value

A unique identifier for a dimension. The length of a dimension value is variable. The values for a dimension can have different numbers of characters. For example, a division dimension might have the values Atlanta and Beijing.

document date

The date that is assigned to a transaction document, such as an invoice. Often, the document date is the date when the document is entered into the dimensions.

Drill down

Action taken from the account level to see the transaction level in Management Reporter.

Drill to Dynamics

A feature in that lets you access the Microsoft Dynamics ERP system from the account level of a report to obtain more information; see Drill to Dynamics.

element

An XML element, or a "fact" or piece of information that is described by this taxonomy. For example, the name "nonCurrentAssets.propertyPlantAndEquipmentNet" is an element.

entity

An object, such as a customer, item, or employee that shares a set of defined attributes or characteristics, and that is used to manage rules for data.

entry date

The date when a record is entered into dimensions. The default entry date is the system date and cannot be modified.

financial data

A ledger of accounts that are reported in the financial statements. Posting a transaction updates the accounts in the financial data.

format code

A code that controls the appearance of a row in a generated report. Each row is interpreted as a dimension detail row unless the Format Code cell in the row definition contains a format code.

format override

A group of codes used in row definitions and calculations that defines how monetary amounts are shown on reports. The override controls the symbols and placement of decimals and thousands separators in addition to the presence or absence of currency symbols and leading or trailing zeros.

fully-qualified account

A unique identifier that includes a value for each defined segment in a fully-qualified-account-based system.

functional currency

The primary currency that a company typically used to conduct business transactions. It is also known as home currency or base currency.

instance document

Contains the financial data and XBRL taxonomy information of a report in a .xml format.

link

Connects a row definition to an Excel spreadsheet in Management Reporter.

natural segment

A segment of a general ledger account code that corresponds to the type of account, for example, cash, sales, or travel expense.

originating currency

The currency in which a transaction, such as an invoice, was conducted. The originating currency may be different from the functional currency.

parent unit

A unit in a reporting tree that has subsidiary, or child, units. Data from child units can be rolled up to parent units to create summary reports.

period

A unit of time, such as a month, quarter, or year, that financial statements, such as income statements, are prepared. At the end of each accounting period, all financial data accounts must balance. Accounting periods are defined in the financial data.

posting

The act of transferring financial transactions that are entered in journals and subledgers to dimensions in order to update account balances.

Posting updates accounts that are tracked in dimensions with financial data that is entered in other areas, such as inventory and accounts payable, in addition to financial data.

print control

An option in a column definition that enables special printing characteristics, such as nonprinting and reversed credit and debit signs, when reports are generated.

promote reporting unit

To move a reporting unit up in the hierarchy of a reporting tree definition.

provisional reporting

The provisional reporting options in a report definition determine whether Management Reporter includes posted, unposted, or both posted and unposted financial data transactions in a report. Posted transactions include activity from other modules, such as accounts receivable and accounts payable, in which a financial data update has been run.

regional options

The settings that determine the currency symbol and formatting of amounts for a company. The settings are determined by the Microsoft Windows operating system.

report definition

The parameters that are set up to generate reports. The report definition names the row definition, column definition, and optional reporting tree definition that are combined to create a financial report. The report definition also specifies the base period and year, report output destination, and other report-wide settings.

report group

A group of report definitions that can be used to generate multiple reports at the same time.

report library

The top-level folder where Management Reporter stores generated reports.

report output location

The specified the destination of a generated report. When a report is generated, it is automatically saved in this location.

report wizard

The Management Reporter tool that is used to create a basic report.

reporting currency

A currency for financial reporting. This is typically the currency of the parent company.

reporting tree

A visual representation of an organisation's structure that shows levels in the corporate hierarchy, such as companies, divisions, departments, projects, and tasks.

reporting unit

A reporting tree level that represents an individual department that draws data directly from the financial data or a summary unit. By using multiple reporting trees, you can create various financial reports without affecting the financial data.

responsibility segment

The segment or dimension of the financial data account identifier that refer to the overall organisation of an company. Examples are departments, divisions, projects, and tasks.

row code

An alphanumeric code that identifies a row in a row definition.

row definition

The specified text and amounts in report rows.

row modifier

The row cell that overrides the fiscal years, periods, and other information that is specified in the column definition for that row. The selected modifier applies to every account in the row

row period offset (/RPO)

A switch used in a row definition when linking to Excel worksheets. If the worksheet contains multiple rows that represent different periods, the /RPO switch matches the accounting periods in the column definition with the appropriate rows in the worksheet.

segment

A category for storing financial data. For example, you might have natural, division, and department dimensions. See also dimension.

segment value

A unique identifier for a segment. The length of a segment value is fixed. All values for a segment contain the same number of characters. For example, a division segment might have values 1100 and 1200.

summary unit

A reporting unit that summarises data from lower-level units. The lower-level units can be either detail units or other summary units.

taxonomy

A classification of words, labels, and tags into groups based on similarities.

transaction

In general, a business event that can be measured in currency and can be entered in accounting records.

unit

A measurement that specifies in what quantity a product will be sold.

wildcard character (?, *)

A special character or placeholder that represents one or more possible characters. For example, the asterisk (*) is a wildcard character in a dimension-based system.

XBRL eXtensible Business Reporting Language

An XML language for the electronic communication of business and financial data.

XCR

eXtended Character Recognition print code that is used in a row definition to reverse signs of calculations.

XML

A markup language to describe and exchange structured data in a format that is independent of operating systems and applications. XML is a World Wide Web Consortium (W3C) specification and is a subset of Standard Generalised Markup Language (SGML).

XPS (OpenXPS)

OpenXPS is an open specification for a page description language and a fixed-document format originally developed by Microsoft as XML Paper Specification (XPS). XPS uses XML markup to define the layout and visual appearance of each page of a document, together with rules for distributing, archiving, rendering, processing, and printing the documents. Like .pdf format, it provides device-independent document appearance. XPS is supported on several versions of Windows.


Microsoft Software Licence Terms

Management Reporter for Microsoft Dynamics ERP

These licence terms are an agreement between Microsoft Corporation (or based on where you live, one of its affiliates) and you. Please read them. They apply to the software named above, which includes the media on which you received it, if any. The terms also apply to any Microsoft

  • updates,

  • supplements,

  • Internet-based services, and

  • support services

for this software, unless other terms accompany those items. If so, those terms apply.

By using the software, you accept these terms. If you do not accept them, do not use the software. Instead, return it to the retailer for a refund or credit.

If you comply with these licence terms, you have the rights below for each software licence you acquire.

1. OVERVIEW.

a. Software. The software may include

  • server software;

  • client software that can be installed on devices and used with the server software.

2. INSTALLATION AND USE RIGHTS. You may install and use any number of copies of the software on your devices.

3. SCOPE OF LICENCE The software is licensed, not sold. This agreement only gives you some rights to use the software. Microsoft reserves all other rights. Unless applicable law gives you more rights despite this limitation, you may use the software only as expressly permitted in this agreement. In doing so, you must comply with any technical limitations in the software that only allow you to use it in certain ways. You may not

  • work around any technical limitations in the software;

  • reverse engineer, decompile or disassemble the software, except and only to the extent that applicable law expressly permits, despite this limitation;

  • make more copies of the software than specified in this agreement or allowed by applicable law, despite this limitation;

  • publish the software for others to copy;

  • rent, lease or lend the software;

  • transfer the software or this agreement to any third party; or

  • use the software for commercial software hosting services.

Rights to access the software on any device do not give you any right to implement Microsoft patents or other Microsoft intellectual property in software or devices that access that device.

4. BACKUP COPY. You may make one backup copy of the software. You may use it only to reinstall the software.

5. DOCUMENTATION. Any person that has valid access to your computer or internal network may copy and use the documentation for your internal, reference purposes.

6. UPGRADE. If this software is marked as an upgrade version, you may use it only if you have a licence to use the software eligible for upgrade. If you upgrade, this software takes the place of the earlier version, and this agreement takes the place of the agreement for that earlier version. You may not use the earlier version after you upgrade.

7. EXPORT RESTRICTIONS. The software is subject to United States export laws and regulations. You must comply with all domestic and international export laws and regulations that apply to the software. These laws include restrictions on destinations, end users and end use. For additional information, see www.microsoft.com/exporting.

8. SUPPORT SERVICES. Microsoft provides support services for the software as described at www.support.microsoft.com/common/international.aspx.

9. ENTIRE AGREEMENT. This agreement (including the warranty below), and the terms for supplements, updates, Internet-based services and support services that you use, are the entire agreement for the software and support services.

10. APPLICABLE LAW.

a. United States. If you acquired the software in the United States, Washington state law governs the interpretation of this agreement and applies to claims for breach of it, regardless of conflict of laws principles. The laws of the state where you live govern all other claims, including claims under state consumer protection laws, unfair competition laws, and in tort.

b. Outside the United States. If you acquired the software in any other country, the laws of that country apply.

11. LEGAL EFFECT. This agreement describes certain legal rights. You may have other rights under the laws of your state or country. You may also have rights with respect to the party from whom you acquired the software. This agreement does not change your rights under the laws of your state or country if the laws of your state or country do not permit it to do so.

12. LIMITATION ON AND EXCLUSION OF DAMAGES. You can recover from Microsoft and its suppliers only direct damages up to the amount you paid for the software. You cannot recover any other damages, including consequential, lost profits, special, indirect or incidental damages.

This limitation applies to

  • anything related to the software, services, content (including code) on third party Internet sites, or third party programs; and

  • claims for breach of contract, breach of warranty, guarantee or condition, strict liability, negligence, or other tort to the extent permitted by applicable law.

It also applies even if

  • repair, replacement or a refund for the software does not fully compensate you for any losses; or

  • Microsoft knew or should have known about the possibility of the damages.

Some states do not allow the exclusion or limitation of incidental or consequential damages, so the above limitation or exclusion may not apply to you. They also may not apply to you because your country may not allow the exclusion or limitation of incidental, consequential or other damages.

LIMITED WARRANTY

A. LIMITED WARRANTY. If you follow the instructions, the software will perform substantially as described in the Microsoft materials that you receive in or with the software.

B. TERM OF WARRANTY; WARRANTY RECIPIENT; LENGTH OF ANY IMPLIED WARRANTIES. The limited warranty covers the software for one year after acquired by the first user. If you receive supplements, updates, or replacement software during that year, they will be covered for the remainder of the warranty or 30 days, whichever is longer. If the first user transfers the software, the remainder of the warranty will apply to the recipient.

To the extent permitted by law, any implied warranties, guarantees or conditions last only during the term of the limited warranty. Some states do not allow limitations on how long an implied warranty lasts, so these limitations may not apply to you. They also might not apply to you because some countries may not allow limitations on how long an implied warranty, guarantee or condition lasts.

C. EXCLUSIONS FROM WARRANTY. This warranty does not cover problems caused by your acts (or failures to act), the acts of others, or events beyond Microsoft’s reasonable control.

D. REMEDY FOR BREACH OF WARRANTY. Microsoft will repair or replace the software at no charge. If Microsoft cannot repair or replace it, Microsoft will refund the amount shown on your receipt for the software. It will also repair or replace supplements, updates and replacement software at no charge. If Microsoft cannot repair or replace them, it will refund the amount you paid for them, if any. You must uninstall the software and return any media and other associated materials to Microsoft with proof of purchase to obtain a refund. These are your only remedies for breach of the limited warranty.

E. CONSUMER RIGHTS NOT AFFECTED. You may have additional consumer rights under your local laws, which this agreement cannot change.

F. WARRANTY PROCEDURES. You need proof of purchase for warranty service.

  1. United States and Canada. For warranty service or information about how to obtain a refund for software acquired in the United States and Canada, contact Microsoft at

    • (800) MICROSOFT;

    • Microsoft Customer Service and Support, One Microsoft Way, Redmond, WA 98052-6399; or

    • visit www.microsoft.com/info/nareturns.htm.

  2. Europe, Middle East and Africa. If you acquired the software in Europe, the Middle East or Africa, Microsoft Ireland Operations Limited makes this limited warranty. To make a claim under this warranty, you should contact either

    • Microsoft Ireland Operations Limited, Customer Care Centre, Atrium Building Block B, Carmanhall Road, Sandyford Industrial Estate, Dublin 18, Ireland; or

    • the Microsoft affiliate serving your country (see www.microsoft.com/worldwide).

  3. Outside United States, Canada, Europe, Middle East and Africa. If you acquired the software outside the United States, Canada, Europe, the Middle East and Africa, contact the Microsoft affiliate serving your country (see www.microsoft.com/worldwide).

G. NO OTHER WARRANTIES. The limited warranty is the only direct warranty from Microsoft. Microsoft gives no other express warranties, guarantees or conditions. Where allowed by your local laws, Microsoft excludes implied warranties of merchantability, fitness for a particular purpose and non-infringement. If your local laws give you any implied warranties, guarantees or conditions, despite this exclusion, your remedies are described in the Remedy for Breach of Warranty clause above, to the extent permitted by your local laws.

H. LIMITATION ON AND EXCLUSION OF DAMAGES FOR BREACH OF WARRANTY. The Limitation on and Exclusion of Damages clause above applies to breaches of this limited warranty.

This warranty gives you specific legal rights, and you may also have other rights which vary from state to state. You may also have other rights which vary from country to country.


Spreadsheet link example

The following tables show the budget forecast Excel files for San Francisco, Beijing, and Corporate Headquarters of Fabrikam, Sdn. Bhd. The row definition excerpt that is shown after the Excel files shows the link to the Excel files to report total compensation expenses.

Example for San Francisco

Budget forecast for San Francisco.

 | A | B | C | D | E | F | G | H | I | J | K | L | M | N
1 | Fabrikam Works, Sdn. Bhd. |  |  |  |  |  |  |  |  |  |  |  |  |
2 | Budget - San Francisco |  |  |  |  |  |  |  |  |  |  |  |  |
3 |  |  |  |  |  |  |  |  |  |  |  |  |  |
4 |  | Jan | Feb | Mar | Apr | May | Jun | Jul | Aug | Sep | Oct | Nov | Dec | Total
5 | Sales | 202,941 | 207,000 | 211,140 | 215,363 | 219,670 | 224,063 | 228,545 | 233,115 | 237,778 | 242,533 | 247,384 | 252,332 | 2,721,864
6 | Sales Returns | (3,521) | (3,591) | (3,663) | (3,737) | (3,811) | (3,887) | (3,965) | (4,045) | (4,125) | (4,208) | (4,292) | (4,378) | (47,223)
7 | Sales Discounts | (11,737) | (11,972) | (12,211) | (12,455) | (12,705) | (12,959) | (13,218) | (13,482) | (13,752) | (14,027) | (14,307) | (14,593) | (157,418)
8 | Total Sales | 187,683 | 191,437 | 195,265 | 199,171 | 203,154 | 207,217 | 211,362 | 215,589 | 219,901 | 224,299 | 228,785 | 233,360 | 2,517,223
9 |  |  |  |  |  |  |  |  |  |  |  |  |  |
10 | Cost of Goods Sold | 116,500 | 118,830 | 121,207 | 123,631 | 126,103 | 128,625 | 131,198 | 133,822 | 136,498 | 139,228 | 142,013 | 144,853 | 1,562,508
11 | Gross Profit | 71,183 | 72,607 | 74,059 | 75,540 | 77,051 | 78,592 | 80,164 | 81,767 | 83,402 | 85,070 | 86,772 | 88,507 | 954,714
12 |  |  |  |  |  |  |  |  |  |  |  |  |  |
13 | Salary Expense | 30,910 | 31,528 | 30,000 | 30,000 | 30,000 | 30,000 | 30,000 | 30,000 | 31,000 | 31,000 | 31,000 | 31,000 | 366,438
14 | Commissions Expense | 11,524 | 11,754 | 10,000 | 10,000 | 10,000 | 10,000 | 10,000 | 10,000 | 11,000 | 11,000 | 11,000 | 11,000 | 127,278
15 | Total Compensation | 42,434 | 43,282 | 40,000 | 40,000 | 40,000 | 40,000 | 40,000 | 40,000 | 42,000 | 42,000 | 42,000 | 42,000 | 493,716
16 |  |  |  |  |  |  |  |  |  |  |  |  |  |
17 | Depreciation | 2,500 | 2,550 | 2,601 | 2,653 | 2,706 | 2,760 | 2,815 | 2,872 | 2,929 | 2,988 | 3,047 | 3,108 | 33,529
18 | Office Expense | 1,841 | 1,878 | 1,915 | 1,954 | 1,993 | 2,033 | 2,073 | 2,115 | 2,157 | 2,200 | 2,244 | 2,289 | 24,692
19 | Supplies | 315 | 321 | 328 | 334 | 341 | 348 | 355 | 362 | 369 | 376 | 384 | 392 | 4,225
20 | Maintenance | 620 | 632 | 645 | 658 | 671 | 685 | 698 | 712 | 726 | 741 | 756 | 771 | 8,315
21 | Rent | 4,500 | 4,590 | 4,682 | 4,775 | 4,871 | 4,968 | 5,068 | 5,169 | 5,272 | 5,378 | 5,485 | 5,595 | 60,353
22 | Travel | 4,075 | 4,157 | 4,240 | 4,324 | 4,411 | 4,499 | 4,589 | 4,681 | 4,775 | 4,870 | 4,967 | 5,067 | 54,655
23 | Advertising | 3,359 | 3,426 | 3,495 | 3,565 | 3,636 | 3,709 | 3,783 | 3,858 | 3,936 | 4,014 | 4,095 | 4,176 | 45,052
24 | Total Other G&A | 17,210 | 17,554 | 17,906 | 18,263 | 18,629 | 19,002 | 19,381 | 19,769 | 20,164 | 20,567 | 20,978 | 21,398 | 230,821
25 |  |  |  |  |  |  |  |  |  |  |  |  |  |
26 | Before Tax Income | 11,539 | 11,770 | 12,005 | 12,245 | 12,490 | 12,740 | 12,995 | 13,255 | 13,520 | 13,790 | 14,066 | 14,347 | 143,223

Example for Beijing

Budget forecast for Beijing.

 | A | B | C | D | E | F | G | H | I | J | K | L | M | N
1 | Fabrikam Works, Sdn. Bhd. |  |  |  |  |  |  |  |  |  |  |  |  |
2 | Budget - Beijing |  |  |  |  |  |  |  |  |  |  |  |  |
3 |  |  |  |  |  |  |  |  |  |  |  |  |  |
4 |  | Jan | Feb | Mar | Apr | May | Jun | Jul | Aug | Sep | Oct | Nov | Dec | Total
5 | Sales | 230,008 | 234,608 | 239,300 | 244,086 | 248,968 | 253,947 | 259,026 | 264,207 | 269,491 | 274,881 | 280,378 | 285,986 | 3,084,886
6 | Sales Returns | (3,850) | (3,927) | (4,006) | (4,086) | (4,167) | (4,251) | (4,336) | (4,422) | (4,511) | (4,601) | (4,693) | (4,787) | (51,637)
7 | Sales Discounts | (12,832) | (13,089) | (13,350) | (13,617) | (13,890) | (14,168) | (14,451) | (14,740) | (15,035) | (15,335) | (15,642) | (15,955) | (172,104)
8 | Total Sales | 213,326 | 217,593 | 221,944 | 226,383 | 230,911 | 235,529 | 240,240 | 245,045 | 249,945 | 254,944 | 260,043 | 265,244 | 2,861,147
9 |  |  |  |  |  |  |  |  |  |  |  |  |  |
10 | Cost of Goods Sold | 123,700 | 126,174 | 128,697 | 131,271 | 133,897 | 136,575 | 139,306 | 142,092 | 144,934 | 147,833 | 150,790 | 153,805 | 1,659,075
11 | Gross Profit | 89,626 | 91,419 | 93,247 | 95,112 | 97,014 | 98,954 | 100,934 | 102,953 | 105,011 | 107,111 | 109,253 | 111,439 | 1,202,073
12 |  |  |  |  |  |  |  |  |  |  |  |  |  |
13 | Salary Expense | 35,800 | 36,516 | 35,000 | 35,000 | 35,000 | 35,000 | 35,000 | 36,000 | 36,000 | 36,000 | 36,000 | 36,000 | 427,316
14 | Commissions Expense | 13,972 | 14,251 | 12,000 | 12,000 | 12,000 | 12,000 | 12,000 | 13,000 | 13,000 | 13,000 | 13,000 | 13,000 | 153,223
15 | Total Compensation | 49,772 | 50,767 | 47,000 | 47,000 | 47,000 | 47,000 | 47,000 | 49,000 | 49,000 | 49,000 | 49,000 | 49,000 | 580,539
16 |  |  |  |  |  |  |  |  |  |  |  |  |  |
17 | Depreciation | 2,355 | 2,402 | 2,450 | 2,499 | 2,549 | 2,600 | 2,652 | 2,705 | 2,759 | 2,814 | 2,871 | 2,928 | 31,584
18 | Office Expense | 1,782 | 1,818 | 1,854 | 1,891 | 1,929 | 1,967 | 2,007 | 2,047 | 2,088 | 2,130 | 2,172 | 2,216 | 23,901
19 | Supplies | 350 | 357 | 364 | 371 | 379 | 386 | 394 | 402 | 410 | 418 | 427 | 435 | 4,693
20 | Maintenance | 550 | 561 | 572 | 584 | 595 | 607 | 619 | 632 | 644 | 657 | 670 | 684 | 7,375
21 | Rent | 4,675 | 4,769 | 4,864 | 4,961 | 5,060 | 5,162 | 5,265 | 5,370 | 5,478 | 5,587 | 5,699 | 5,813 | 62,703
22 | Travel | 3,700 | 3,774 | 3,849 | 3,926 | 4,005 | 4,085 | 4,167 | 4,250 | 4,335 | 4,422 | 4,510 | 4,600 | 49,623
23 | Advertising | 3,666 | 3,739 | 3,814 | 3,890 | 3,968 | 4,048 | 4,129 | 4,211 | 4,295 | 4,381 | 4,469 | 4,558 | 49,168
24 | Total Other G&A | 17,078 | 17,420 | 17,767 | 18,122 | 18,485 | 18,855 | 19,233 | 19,617 | 20,009 | 20,409 | 20,818 | 21,234 | 229,047
25 |  |  |  |  |  |  |  |  |  |  |  |  |  |
26 | Before Tax Income | 22,776 | 23,231 | 23,696 | 24,170 | 24,653 | 25,146 | 25,649 | 26,162 | 26,686 | 27,219 | 27,764 | 28,320 | 305,472

Example for Corporate Headquarters

Budget forecast for Corporate Headquarters.

 | A | B | C | D | E | F | G | H | I | J | K | L | M | N
1 | Fabrikam Works, Sdn. Bhd. |  |  |  |  |  |  |  |  |  |  |  |  |
2 | Budget - Beijing |  |  |  |  |  |  |  |  |  |  |  |  |
3 |  |  |  |  |  |  |  |  |  |  |  |  |  |
4 |  | Jan | Feb | Mar | Apr | May | Jun | Jul | Aug | Sep | Oct | Nov | Dec | Total
5 | Officers' Compensation | 25,000 | 25,250 | 25,503 | 25,758 | 26,015 | 26,275 | 26,538 | 26,803 | 27,071 | 27,342 | 27,616 | 27,892 | 317,063
6 |  |  |  |  |  |  |  |  |  |  |  |  |  |
7 | Other G&A Expense | 2,000 | 2,020 | 2,040 | 2,061 | 2,081 | 2,102 | 2,123 | 2,144 | 2,166 | 2,187 | 2,209 | 2,231 | 25,364
8 |  |  |  |  |  |  |  |  |  |  |  |  |  |
9 | Interest Income | 228 | 230 | 233 | 235 | 237 | 240 | 242 | 244 | 247 | 249 | 252 | 254 | 2,891
10 | Interest Expense | 1,125 | 1,136 | 1,148 | 1,159 | 1,171 | 1,182 | 1,194 | 1,206 | 1,218 | 1,230 | 1,243 | 1,255 | 14,267
11 | Total Other Income/(Expense) | (897) | (906) | (915) | (924) | (934) | (942) | (952) | (962) | (971) | (981) | (991) | (1,001) | (11,376)
12 |  |  |  |  |  |  |  |  |  |  |  |  |  |
13 | Net Income Before Tax | (27,897) | (28,176) | (28,458) | (28,742) | (29,030) | (29,320) | (29,613) | (29,909) | (30,208) | (30,511) | (30,816) | (31,124) | (353,804)

Example of worksheet links to Excel files

The following table shows example rows from the row definition that links the San Francisco, Beijing, and Corporate Headquarters external worksheet files.

Description | Normal Balance | Link to Financial Dimensions | Link to External Worksheet Req Link | Link to External Worksheet HQ Link
Gross Sales | C | (410?-4109) | A5/CPO |
Returns | C | 4110 | A6/CPO |
Discounts | C | 4250 | A7/CPO |
Compensation Expense |  | 5000+(5050)+(5400) | A15/CPO | A5/CPO

In this row definition, the Link to External Worksheet Req Link column links with the San Francisco and Beijing external worksheet files, and the Link to External Worksheet HQ Link column links with the Corporate Headquarters external worksheet file. In the previous tables, row 14 (the Compensation Expense row) in the row definition links to row 15 (the Total Comp row) in the San Francisco and Beijing external worksheet files and row 5 (the Officers' Comp row) in the Corporate Headquarters external worksheet file. The San Francisco and Beijing spreadsheets each require only one link, because they have identical external worksheet files. The Corporate Headquarters spreadsheet requires a separate Link column because it has a different external worksheet file.

See Also

Link reports to Microsoft Excel
Match worksheets with fiscal periods
Identify an Excel file in a reporting tree
Identify an Excel file in a reporting tree
Prepare a link column in a row definition


Print control for conditional columns example

You can use conditional column options to conditionally display or omit any column, depending on the relationship between the fiscal period for the column and the base period for the report.

For example, you can create a report that displays 12 different periods in which actual amounts are printed for the base period and for all prior periods. Also, the forecast amounts from an external spreadsheet are printed for all future periods in the report. This report dynamically derives the correct data for the actual amount, budget amount, or forecast amount, based on the base period for which the report is run.

To set up the example conditional report, complete the following steps:

  1. Create a column definition with two columns for each period.

    The first column for a period contains actual amounts, and the second column for that period contains budget amounts.

  2. For the actual column, in the Print Control row, enter the conditional operator P<=B.

  3. For the budget column, in the Print Control row, enter the conditional operator P>B.

    Note Note

    When a column is suppressed by a conditional option, it is not included in any calculations.

You can also add a Total column that provides the totals all of the periods in the year. However, if you specify a range of columns in the total, Management Reporter includes only columns that actually appear in the report.

See Also

XCR Print Control code example


XCR Print Control code example

The following tables are examples of, respectively, a column definition that uses the XCR (eXtended Character Recognition) code, the corresponding row definition with credit signs reversed, and the resulting report.

In the following excerpt from a column definition, the XCR code in the column definition reverses the sign of the calculation.

 | A | B | C | D | E
Column Type | DESC | FD | FD | CALC | CALC
Book Code/Attribute |  | ACTUAL | ACTUAL |  |
Fiscal Year |  | BASE | BASE |  |
Period |  | BASE | BASE |  |
Periods Covered |  | YTD | PERIODIC |  |
Formula |  |  |  | C:B | D/B.B
Column Width | 30 | 14 | AutoFit | 14 | 14
Extra Spaces Before Column |  |  |  |  |
Print Control |  |  |  | XCR | XCR

In the following excerpt from a row definition, the C codes in the Normal Balance column tell Management Reporter to reverse the amount signs that are in the XCR columns.

Description | Format Code | Related Formulas... | Normal Balance | Print Control | Column | Link to Financial Dimensions
Net Revenue |  |  | C |  |  | (4100:4259)
COGS |  |  |  |  |  | (450?:4509)
Gross Profit | TOT | 100:160 | C |  |  |
Gross Margin % | CAL | @220/@100"10.0%" | C |  | B:D |
Operating Expenses | DES |  |  |  |  |
Salaries and Wages |  |  |  |  |  | 5177+(5077)+(5477)
Office Expense |  |  |  |  |  | 52??
Advertising Expense |  |  |  |  |  | 53??
Total Operating Expense | TOT | 340:489 |  |  |  |
Net Income from Operations | TOT | 220:520 | C | CS |  |

The following example shows the results of using the XCR code to change the print control and using the C code to reverse the amount signs in the XCR columns.

Income Statement
For the Three Months Ending March 31, 2007
 | Actual | Budget | MYR Variance | % Variance
 |  |  | (Unfavourable) | (Unfavourable)
Net Revenue | $2,136,207 | $1,034,335 | $1,101,872 | 51.58%
COGS | 1,444,056 | 644,131 | (799,925) | (55.39%)
Gross Profit | 692,151 | 390,204 | 301,947 | 43.62%
Gross Margin % | 32.4% | 37.7% | (5.3%) |
Operating Expenses |  |  |  |
Salaries and Wages | 399,824 | 270,851 | (128,973) | (32.26%)
Office Expense | 52,455 | 36,814 | (15,641) | (29.82%)
Advertising Expense | 48,135 | 39,687 | (8,448) | (17.55%)
Total Operating Expenses | 500,414 | 347,352 | (153,062) | (30.59%)
Net Income from Operation | $191,737 | $42,852 | $148,885 | 77.65%

See Also

Print control for conditional columns example


Override Report Definition Settings dialogue box

Use the Override Report Definition Settings dialogue box to override the settings in the report definitions that are defined in the report group.

To open this dialogue box, open Report Designer, and then select Report Groups in the navigation pane. Click Generate in the toolbar to open the Override report definition settings dialogue box, where you can specify the following information:

Option

Description

Override report dates from the report definitions

Select to override the report dates from the report definitions defined in the report group by using the dates selected in the Base period and Base year fields.

Base period

Select a base period from the list. Periods are from the default company data. If the specified base period is not valid for the company defined in a report in the report group, a message is displayed. The report for that company will not be generated but all other reports in the report group are generated.

Base year

Select a base year from the list. Years are from the default company data. If the specified base year is not valid for the company defined in a report in the report group, a message is displayed. The report for that company will not be generated but all other reports in the report group are generated.

Override report library location from report definition

Select to override the report library location defined in the report definition. The default location is the root node in the library but the path is not displayed in the text box. Type a new location or click the Browse button to open the Select Report Library Location dialogue box to select a new location.

If this option is not selected, the reports are generated to the location that is defined in the report definitions.

If a report definition has Select units at runtime selected, the Select Reporting Units dialogue box will open.

Note Note

If View report when generated is selected in the Output and Distribution tab of a report definition, this option is ignored when generating the report group.

OK

Click to continue with the generation of the report group.

Cancel

Click to cancel the override settings and return to the report group.


AutoText descriptions

Insert AutoText codes

The following tables describe the types of Insert AutoText codes.

Header from codes

Code | Description
@CompDesc | Company description
@CompName | Company name
@CompName:@UnitName | Company name and Unit name in reporting tree
@UnitDesc | Unit description
@UnitName | Title in reporting tree
@ReportName | Report name
@ReportDesc | Report description
@RowName | Row definition name
@RowDesc | Row definition description
@ColName | Column definition name
@ColDesc | Column definition description
@TreeName | Reporting tree definition name
@TreeDesc | Reporting tree definition description

Date and time codes

Code | Description
@DateLong | Report date in text form
@DateShort | Report date in numeric form
@PeriodCount | Number of periods covered in numeric form
@PeriodCountText | Number of periods covered in text form
@PeriodCoverage | Period covered in text form
@PeriodCoverage @DateLong | Period covered and report date in text form
@PrintDateShort | Current system date. This is updated each time that a report is viewed in Report Viewer, printed, or exported.
@PrintTimeShort | Current system time. This is updated each time that a report is viewed in Report Viewer, printed, or exported.

Page number codes

Code | Description
@Page | Current page number
@Pages | Total number of pages
@Page of @Pages | Current page number of the total number of pages; for example, 1 of 2 .

Text fields from Reporting Tree codes

Code | Description
@UnitText1 | Text 1 from reporting tree
@UnitText2 | Text 2 from reporting tree
@UnitText3 | Text 3 from reporting tree
@UnitText4 | Text 4 from reporting tree
@UnitText5 | Text 5 from reporting tree
@UnitText6 | Text 6 from reporting tree
@UnitText7 | Text 7 from reporting tree
@UnitText8 | Text 8 from reporting tree
@UnitText9 | Text 9 from reporting tree
@UnitText10 | Text 10 from reporting tree

Other codes

Code | Description
@Rounding | Rounding precision
@OutputName | Report output name from Output and Distribution tab
@GroupName | Building block group name
@GroupDesc | Building block group description
@Blank | Empty line

See Also

Headers and footers in report definitions


Levels of Security

Insert introduction here.

Section Heading

Insert section body here.

Subsection Heading

Insert subsection body here.


Customising a transaction detail report

To generate a transaction detail report, you must create a customised column definition specifically for that type of report.

When you set up the column definition for your transaction detail report, include at least one column for the financial data current period amounts (PERIODIC) and at least one column for the financial data year-to-date amounts (YTD). The transaction amounts appear in the PERIODIC column and period balances in the YTD column. You can also include any transaction detail codes that are specific to your accounting system.

When you generate your transaction detail report, use either the Transaction Only or the Financial, Account & Transaction option in the Detail Level list of the report definition.

Note Note

By default, transaction detail accounts with a zero balance and no period activity are suppressed in reports. To show these transaction detail accounts, select the Display rows with no amounts check box on the Settings tab of the report definition.

Creating a multiple period transaction detail report

Transaction detail amounts can appear only in columns for which the Periods Covered cell is set to PERIODIC. If you want a report to cover more than one period, enter the period range in the Period cell of the PERIODIC column. For example, to run a report that covers the last three periods, enter a Period of BASE-2:BASE in the PERIODIC column.

You can use multiple book codes in a transaction detail report.

Creating a year-to-date transaction detail report

To run a transaction detail report for the entire year, type 1:BASE in the Period cell of the PERIODIC column, and then type BASE in the YTD column, as shown in the following table.

 | A | B | C
Header 1 |  | Activity | Balance
Column Type | DESC | FD | FD
Book Code/Attribute Category |  | ACTUAL | ACTUAL
Fiscal Year |  | BASE | BASE
Period |  | 1:BASE | BASE
Periods Covered |  | PERIODIC | YTD

You can specify YTD columns for transaction detail reports, but no transactions appear in the YTD columns.

Creating a debit/credit report

To create a report that categorises transactions by debit and credit, follow the procedures below.

  1. Create two PERIODIC columns (one PERIODIC column for debits, and one PERIODIC column for credits).

  2. Create one YTD column for the period totals.

  3. Enter the debit code (DR) in the Column Restriction cell of one of the PERIODIC columns, and the credit code (CR) in the Column Restriction cell of the other PERIODIC column, as shown in the following table.

 | A | B | C | D | E
Header 1 |  | Beg Balance | Debits | Credits | YTD
Column Type | DESC | FD | FD | FD | FD
Book Code/Attribute Category |  | ACTUAL | ACTUAL | ACTUAL | ACTUAL
Fiscal Year |  | BASE | BASE | BASE | BASE
Period |  | BASE | BASE | BASE | BASE
Periods Covered |  | PERIODIC/BB | PERIODIC | PERIODIC | YTD
... |  |  |  |  |
Column Restrictions |  |  | DR | CR |

As in other transaction reports, if you want to display details for multiple periods, enter a range (for example, 1:BASE) in the Period cell.

Note Note

The value in the Column Restrictions cell overrides any restriction that is assigned in the row definition.

See Also

Adjust rounding in a row definition
Tabular report example


Tabular report example

You can design a tabular report with the amounts from one period extended across the page into multiple print columns. Using multiple display columns can emphasise particular totals.

For example, the following excerpt of a column definition sets up three identical columns for displaying financial data.

 | A | B | C | D
Column type | DESC | FD | FD | FD
Book Code/Attribute Category |  | ACTUAL | ACTUAL | ACTUAL
Fiscal Year |  | BASE | BASE | BASE
Period |  | BASE | BASE | BASE
Periods Covered |  | YTD | YTD | YTD
Formula |  |  |  |
Column Width | 35.2 | 13.72 | 13.72 | 13.72
Extra Spaces Before Column |  |  |  |
Format / Currency Override |  |  |  |
Print Control | WT | WT | WT | WT

In the following excerpt of a row definition, the financial data amounts are distributed across three columns in the report:

  • The amounts that were pulled from the financial data system appear in column B.

  • The subtotals for Current Assets and Net Fixed Assets appear in column C.

  • The Total Assets total amount appears in column D.

Row Code | Description | Format Code | Related Formulas | Print Control | Column | Link to Financial Dimensions
160 | Cash-Checking |  |  |  | B | 11??-(1110)
190 | Money Market Accounts |  |  |  | B | 1110+1600
250 | Total Cash | TOT | 130:220 |  | B |
310 | Net Trade A/R |  |  |  | B | SET(Accts Rec)
340 | NP - Intercompany |  |  | NP |  | 1309
370 | Due from FWC | CAL | IF @340 >0 THEN @340 ELSE 0 |  | B |
400 | Inventories |  |  |  | B | (1310:1350)
430 | Prepaid Other |  |  |  | B | 1430
490 | Total Other Assets | TOT | 310+370+(400:460) |  | B |
550 | Total Current Assets | TOT | 250+490 |  | C |
610 | Investment in FWC |  |  |  | B | 1809
670 | Furniture & Fixtures |  |  |  | B | 15?0
700 | Less Accumulated Depreciation |  |  |  | B | 15?5
760 | Net Fixed Assets | TOT | 670:730 |  | C |
850 | Total Assets | TOT | 550+610+760 | CS | D |
... |  |  |  |  |  |

The resulting report looks similar to the following example:

Balance Sheet
May 31, 2007
ASSETS |  |  |
Cash - Checking | 343,744 |  |
Money Market Accounts | 129,423 |  |
Total Cash | 473,167 |  |
Net Trade A/R | 241,711 |  |
Due from FWC | 10,946 |  |
Inventories | 1,735,983 |  |
Prepaid Other | 2,034 |  |
Total Other Assets | 1,990,733 |  |
Total Current Assets |  | 2,463,900 |
Investment in FWC | 505,662 |  |
Furniture & Fixtures | 160,300 |  |
Less Accumulated Depreciation | (101,810) |  |
Net Fixed Assets |  | 58,490 |
Total Assets |  |  | $3,028,051
LIABILITIES AND EQUITY |  |  |
Accounts Payable | 53,652 |  |
Other Accrued Liabilities | 325,212 |  |
Total Current Liabilities | 378,864 |  |
Notes Payable | 126,466 |  |
Leases Payable | 4000 |  |
Total Long Term Liabilities | 130,466 |  |
Total Liabilities |  | 509,330 |
Retained Earnings | 1,606,839 |  |
Common Stock | 61,000 |  |
Add'l Paid-In Capital | 519,269 |  |
Year to Date Income | 331,614 |  |
Total Equity |  | 2,518,722 |
Total Liabilities and Equity |  |  | $3,028,051

See Also

Adjust rounding in a row definition
Customising a transaction detail report